=== nautilus 2.26.2 ===
=== nautilus 2.26.1 ===

2009-03-24  Alexander Larsson  <alexl@redhat.com>

        * eel-background.c:
	Ensure that we correctly free root pixmaps that are never set
	as desktop background, so that they are not leaked.

2009-03-16  Cosimo Cecchi  <cosimoc@gnome.org>

	* Makefile.am: remove -version-info LDFLAG from eel,
	as this is not a private library anymore.

=== nautilus 2.26.0 ===
=== nautilus 2.25.93 ===

2009-03-09  Alexander Larsson  <alexl@redhat.com>

        * eel-editable-label.c:
	(eel_editable_label_move_forward_word):
	Don't move past end of string (#569165).

2009-03-09  Alexander Larsson  <alexl@redhat.com>

        * eel-editable-label.c:
        (eel_editable_label_move_cursor):
	Revert wrong cursor move change.

2009-02-24  Alexander Larsson  <alexl@redhat.com>

	* eel-background.c (eel_background_get_image_uri):
	Don't spew warning if there is no uri.

2009-02-17  Alexander Larsson  <alexl@redhat.com>

	* eel-background.c (eel_background_ensure_realized):
	Ignore pending background changes when we've realized the
	background to avoid an unnecessary re-set of the pixmap.

=== nautilus 2.25.91 ===
=== nautilus 2.25.4 ===

2009-01-28  Cosimo Cecchi  <cosimoc@gnome.org>

	* eel-editable-label.c: (eel_editable_label_move_cursor):
	make sure we take care about UTF-8/byte conversion when we move
	around the cursor (#569165).

2009-01-22  A. Walton  <awalton@gnome.org>

	* eel-debug-drawing.c (eel_debug_show_pixbuf_in_external_viewer):
	Use g_mkstemp() instead of mkstemp(). Pointed out by Paolo Borelli.

2009-01-21  A. Walton  <awalton@gnome.org>

	* eel-debug-drawing.c (eel_debug_show_pixbuf_in_external_viewer):
	Really fix bug #568630, replace mktemp() with mkstemp().

2009-01-21  A. Walton  <awalton@gnome.org>

	* eel-debug-drawing.c (eel_debug_show_pixbuf_in_external_viewer):
	Last commit is wrong; mkstemp is not a drop in replacement for 
	mktemp.

2009-01-21  A. Walton  <awalton@gnome.org>

	* eel-debug-drawing.c (eel_debug_show_pixbuf_in_external_viewer):
	Bug 568630 eel should use mkstemp() instead of mktemp()
	mktemp() is deprecated and should not be used.
	Patch by Jasper Lievisse Adriaanse.

2009-01-20  Cosimo Cecchi  <cosimoc@gnome.org>

	* eel-background.c: (on_bg_changed), (on_bg_transitioned),
	(eel_background_init), (free_fade), (eel_background_finalize),
	(set_root_pixmap), (fade_to_pixmap),
	(eel_background_set_up_widget), (on_background_changed),
	(init_fade), (eel_widget_queue_background_change),
	(widget_style_set_cb), (widget_realized_setup),
	(on_widget_destroyed), (eel_get_widget_background):
	Support fading between backgrounds.
	Bug #552859, patch by Ray Strode.

=== nautilus 2.25.2 ===

2008-12-15  Alexander Larsson  <alexl@redhat.com>

	* Makefile.am:
	Don't install headers

2008-12-10  Alexander Larsson  <alexl@redhat.com>

        * eel/eel-enumeration.[ch]:
        * eel/eel-preferences-builder.c:
        * eel/eel-preferences.[ch]:
	Make enums uint (so we can use larger values for thumbnail limit).

2008-12-08  Cosimo Cecchi  <cosimoc@gnome.org>

	* test/test.h:
	Flip include orders to fix the build (#563731).

2008-12-07  Cosimo Cecchi  <cosimoc@gnome.org>

	* eel/eel-background.c:
	* test/test.h:
	Remove more useless includes.
	Thanks to Luis Menina (#563569).

2008-12-07  Cosimo Cecchi  <cosimoc@gnome.org>

	* eel/check-program.c:
	* eel/eel-gdk-pixbuf-extensions.c:
	* test/test-eel-background.c:
	* test/test-eel-image-table.c:
	Use single gdk-pixbuf and GTK+ headers includes.

2008-12-01  Alexander Larsson  <alexl@redhat.com>

	* configure.in:
	Post release version bump

==================== 2.25.1 ====================

2008-12-01  Alexander Larsson  <alexl@redhat.com>

	* NEWS:
	Update for release

2008-11-18  Cosimo Cecchi  <cosimoc@gnome.org>

	* eel/eel-preferences.c:
	(eel_preferences_add_auto_string_array_as_quarks):
	Plug a leak.

2008-10-09  Alexander Larsson  <alexl@redhat.com>

        * eel/eel-gdk-extensions.[ch]:
	Remove old now unused function eel_gdk_color_parse()

2008-10-07  Alexander Larsson  <alexl@redhat.com>

        * configure.in:
        * eel-2.0-uninstalled.pc.in:
        * eel-2.0.pc.in:
	Remove deps on startup-notify, libgnome* and libglade

        * eel/eel-gnome-extensions.[ch]:
	Remove GnomeIconSelector functions.
	Remove glade functions
	
        * eel/eel-preferences-glade.c: Removed.
        * eel/eel-preferences-builder.c: Added.
        * eel/eel-preferences-glade.h: Removed
        * eel/eel-preferences.h:
	Move eel-preferences-glade.c to eel-preferences-builder.c and use
	GtkBuilder instead of Glade.
	Remove eel-preferences-glade.h and move GtkBuilder functions
	into eel-preferences.h

        * eel/Makefile.am:
	Update for file renamed/deletions
	
        * eel/check-program.c:
        * eel/eel-stock-dialogs.c:
	Don't include libgnome headers.

2008-10-07  Alexander Larsson  <alexl@redhat.com>

        * eel/eel-gnome-extensions.[ch]:
	Remove gnome_icon_selector code

2008-10-06  Alexander Larsson  <alexl@redhat.com>

        * eel/check-program.c:
        * test/test-eel-widgets.c:
        * test/test.c:
	Don't use GnomeProgram

2008-10-06  Alexander Larsson  <alexl@redhat.com>

	* eel/eel-stock-dialogs.c (timed_wait_callback):
	Don't call gnome_authentication_manager_dialog_is_visible()
	anymore, not needed with no gnome-vfs.

2008-10-06  Alexander Larsson  <alexl@redhat.com>

	* eel/eel-debug-drawing.c (eel_debug_show_pixbuf_in_external_viewer): 
	Better ignoring of system return value. Fixes build (#555264)
	
2008-10-06  Alexander Larsson  <alexl@redhat.com>

        * eel/Makefile.am:
        * eel/eel-mount-operation.[ch]:
	Remove EelMountOperation

2008-10-01  Alexander Larsson  <alexl@redhat.com>

	* configure.in:
	Bump version to 2.25.1.
	Stable version lives on the gnome-2-24 branch.

2008-09-22  Christian Neumair  <cneumair@gnome.org>

	* configure.in: post-release bump to 2.24.1

==================== 2.24.0 ====================

2008-09-22  Christian Neumair  <cneumair@gnome.org>

	* NEWS:
	Update for release.

2008-09-15  Christian Neumair  <cneumair@gnome.org>

	* eel/eel-mount-operation.c (ask_password):
	Do not make password dialog modal. Fixes #539966.

2008-09-13  Cosimo Cecchi  <cosimoc@gnome.org>

	* eel/eel-preferences.c: (update_auto_string_array_as_quarks):
	Fix a warning for an uninitialized variable.
	Patch by Christian Kirbach (#552135).

2008-09-10  Christian Neumair  <cneumair@gnome.org>

	* eel/eel-preferences.c (update_auto_string_array_as_quarks),
	(preferences_entry_update_auto_storage),
	(preferences_entry_remove_auto_storage),
	(eel_preferences_add_auto_string_array_as_quarks):
	* eel/eel-preferences.h:
	Add eel_preferences_add_auto_string_array_as_quarks(), which maps a
	string array to a quark array. No remove function yet, since up to now
	it is not needed. Parly fixes #551576.

2008-09-08  Christian Neumair  <cneumair@gnome.org>

	* configure.in: post-release bump to 2.40.0

==================== 2.23.92 ====================

2008-09-08  Christian Neumair  <cneumair@gnome.org>

	* NEWS:
	Update for release.

2008-09-08  Christian Neumair  <cneumair@gnome.org>

	* eel/Makefile.am:
	* eel/eel-app-launch-context.c:
	* eel/eel-app-launch-context.h:
	Remove in favor of GdkAppLaunchContext.

2008-09-06  Christian Neumair  <cneumair@gnome.org>

	* eel/eel-gdk-pixbuf-extensions.c (pixbuf_loader_size_prepared):
	Explicitly cast to float when determining aspect ratio. Fixes #550997.

2008-09-02  Cosimo Cecchi  <cosimoc@gnome.org>

	* eel/*.[ch]: use single headers GTK/GDK/Pango includes.

2008-09-01  Christian Neumair  <cneumair@gnome.org>

	* configure.in: post-release bump to 2.23.92.

==================== 2.23.91 ====================

2008-09-01  Christian Neumair  <cneumair@gnome.org>

	* NEWS:
	Update for release.

2008-09-01  Christian Neumair  <cneumair@gnome.org>

	* eel/eel-vfs-extensions.c (eel_filename_strip_extension),
	(eel_filename_get_rename_region):
	* eel/eel-vfs-extensions.h:
	Add eel_filename_strip_extension(), and use it in
	eel_filename_get_rename_region(). Part of #309510. Thanks to Paolo
	Borelli <pborelli@katamail.com> and Jared Moore <jaredm@gmx.com>.

2008-09-01  Christian Neumair  <cneumair@gnome.org>

	* eel/eel-gdk-pixbuf-extensions.c
	(eel_gdk_pixbuf_load_from_stream), (pixbuf_loader_size_prepared),
	(eel_gdk_pixbuf_load_from_stream_at_size):
	* eel/eel-gdk-pixbuf-extensions.h:
	Add eel_gdk_pixbuf_load_from_stream_at_size(), which sets the size of
	the pixbuf loader when loading. Part of #529371.

2008-08-03  Christian Neumair  <cneumair@gnome.org>

	* configure.in: post-release bump to 2.23.91.

==================== 2.23.90 ====================

2008-08-03  Christian Neumair  <cneumair@gnome.org>

	* configure.in: post-release bump to 2.23.90.

==================== 2.23.6 ====================

2008-07-21  Christian Neumair  <cneumair@gnome.org>

	* configure.in: post-release bump to 2.23.6.

==================== 2.23.5 ====================

2008-06-16  Christian Neumair  <cneumair@gnome.org>

	* configure.in: post-release bump to 2.23.5.

==================== 2.23.4 ====================

2008-06-16  Christian Neumair  <cneumair@gnome.org>

	* configure.in: actually pre-release bump to 2.23.4.

2008-06-16  Christian Neumair  <cneumair@gnome.org>

	* NEWS: Update for release.
	* configure.in: pre-release bump to 2.23.4.

2008-06-10  Christian Neumair  <cneumair@gnome.org>

	* eel/eel-editable-label.c
	(eel_editable_label_get_block_cursor_location),
	(eel_editable_label_draw_cursor),
	(eel_editable_label_toggle_overwrite):
	Use block cursor in insert mode. Fixes #511617. Thanks to Arthur
	Taylor.

2008-06-03  Vincent Untz  <vuntz@gnome.org>

	* configure.in: post-release bump to 2.23.3

==================== 2.23.2 ====================

2008-06-03  Christian Neumair  <cneumair@gnome.org>

	* NEWS:
	* configure.in:
	Require libgnome 2.23.0.

2008-06-03  Christian Neumair  <cneumair@gnome.org>

	* NEWS:
	Update for release.

Sun Jun  1 21:04:04 2008  Søren Sandmann  <sandmann@redhat.com>

	* eel/eel-background.c (struct EelBackgroundDetails): Remove
	unused image_mtime

Sun Jun  1 21:02:00 2008  Søren Sandmann  <sandmann@redhat.com>

	* eel/eel-background.c: Don't store the image_uri - instead rely
	on getting it from GnomeBG.

Sun Jun  1 20:39:03 2008  Søren Sandmann  <sandmann@redhat.com>

	* eel/eel-background.c: Don't monitor the file anymore; this is
	done by GnomeBG.

Sun Jun  1 20:24:12 2008  Søren Sandmann  <sandmann@redhat.com>

	* eel/eel-background.c (struct EelBackgroundDetails): Don't store
	an EelBackgroundPlacement; instead compute it from the GnomeBG.

Sun Jun  1 19:30:16 2008  Søren Sandmann  <sandmann@redhat.com>

	* eel/eel-background.c (eel_background_save_to_gconf): New function.

Sat May 31 02:23:16 2008  Søren Sandmann  <sandmann@redhat.com>

	* eel/eel-background.c (eel_background_reload_image): Deal with
	the case where image_uri is NULL.

Sat May 31 00:39:25 2008  Søren Sandmann  <sandmann@redhat.com>

	* eel/eel-background.c (eel_background_reload_image): Use
	gnome_bg_set_filename().

	* configure.in: Require new gnome-desktop

Fri May 30 23:23:53 2008  Søren Sandmann  <sandmann@redhat.com>

	* Revert last commit, since we still need to deal with file uris.

Fri May 30 22:13:51 2008  Søren Sandmann  <sandmann@redhat.com>

	* eel/eel-background.[ch]: Rename eel_background_set/get_image_uri()
	to set/get_image_filename() to reflect the fact that only local
	files works.

Fri May 30 21:31:09 2008  Søren Sandmann  <sandmann@redhat.com>

	* eel/eel-background.h: Remove unused
	eel_background_set_image_uri_sync() function.

2008-04-21  Christian Neumair  <cneumair@gnome.org>

	* configure.in:
	post release version bump

=== eel 2.23.1 ===

2008-04-21  Christian Neumair  <cneumair@gnome.org>

	* NEWS:
	Update for release.

2008-03-29  Christian Neumair  <cneumair@gnome.org>

	* configure.in:
	Use a slightly cleaner method of detecting libstartup-notification,
	using macros instead of manually calling pkg-config (#507811).
	Thanks to Loïc Minier <lool@dooz.org>.

2008-03-29  Christian Neumair  <cneumair@gnome.org>

	* eel/eel-debug-drawing.c
	(eel_debug_show_pixbuf_in_external_viewer):
	Cast system() call result to void, to avoid complier warnings
	(#502579).

2008-03-28  Alexander Larsson  <alexl@redhat.com>

	* configure.in:
	Bump version to 2.23.1
	Gnome 2.22 work continues on gnome-2-22 branch

2008-03-28  Christian Neumair  <cneumair@gnome.org>

	* eel/eel-accessibility.h:
	* eel/eel-background.c (eel_background_set_image_uri_helper),
	(eel_background_is_set):
	* eel/eel-canvas-rect-ellipse.c (eel_canvas_re_destroy),
	(eel_canvas_re_set_property), (eel_canvas_re_get_property):
	* eel/eel-canvas.c (eel_canvas_item_set_property),
	(eel_canvas_item_get_property), (eel_canvas_item_dispose),
	(eel_canvas_item_invoke_update), (eel_canvas_group_set_property),
	(eel_canvas_group_get_property), (eel_canvas_group_destroy),
	(group_remove), (eel_canvas_accessible_get_n_children),
	(eel_canvas_accessible_ref_child), (eel_canvas_accessible_create),
	(eel_canvas_accessible_factory_create_accessible),
	(eel_canvas_destroy), (eel_canvas_map), (eel_canvas_unmap),
	(eel_canvas_realize), (eel_canvas_unrealize),
	(eel_canvas_size_allocate), (eel_canvas_button),
	(eel_canvas_motion), (eel_canvas_key), (eel_canvas_crossing),
	(eel_canvas_expose), (do_update),
	(eel_canvas_item_accessible_get_extents),
	(eel_canvas_item_accessible_get_mdi_zorder),
	(eel_canvas_item_accessible_component_interface_init),
	(eel_canvas_item_accessible_create),
	(eel_canvas_item_accessible_factory_create_accessible):
	* eel/eel-debug-drawing.c (debug_pixbuf_viewer_size_request),
	(debug_pixbuf_viewer_expose_event),
	(debug_pixbuf_viewer_set_pixbuf):
	* eel/eel-editable-label.c (add_move_binding),
	(eel_editable_label_finalize), (eel_editable_label_size_request),
	(eel_editable_label_style_set), (_eel_draw_insertion_cursor),
	(eel_editable_label_expose),
	(eel_editable_label_select_region_index), (popup_position_func),
	(atk_text_interface_init), (atk_editable_text_interface_init),
	(eel_editable_label_accessible_get_name):
	* eel/eel-enumeration.c (eel_enumeration_new),
	(eel_enumeration_new_from_entries):
	* eel/eel-gconf-extensions.c (simple_value_is_equal):
	* eel/eel-gdk-extensions.c (eel_gradient_new),
	(eel_gradient_set_edge_color), (eel_gradient_set_left_color_spec),
	(eel_gradient_set_top_color_spec),
	(eel_gradient_set_right_color_spec),
	(eel_gradient_set_bottom_color_spec),
	(eel_gdk_color_parse_with_white_default):
	* eel/eel-gdk-pixbuf-extensions.c (pixbuf_destroy_callback):
	* eel/eel-graphic-effects.c (create_new_pixbuf),
	(create_new_pixbuf_with_alpha):
	* eel/eel-gtk-extensions.c (while_realized_disconnecter):
	* eel/eel-image-table.c (eel_image_table_realize),
	(eel_image_table_unrealize), (eel_image_table_remove),
	(image_table_emit_signal), (image_table_handle_motion),
	(ancestor_enter_notify_event), (ancestor_leave_notify_event),
	(ancestor_motion_notify_event), (ancestor_button_press_event),
	(ancestor_button_release_event):
	* eel/eel-labeled-image.c (eel_labeled_image_set_property),
	(eel_labeled_image_get_property), (eel_labeled_image_size_request),
	(eel_labeled_image_size_allocate),
	(eel_labeled_image_expose_event), (eel_labeled_image_map),
	(eel_labeled_image_unmap), (eel_labeled_image_add),
	(eel_labeled_image_remove), (eel_labeled_image_forall),
	(labeled_image_get_image_dimensions),
	(labeled_image_get_label_dimensions),
	(labeled_image_get_image_bounds_fill),
	(labeled_image_get_label_bounds_fill),
	(labeled_image_update_alignments),
	(labeled_image_get_content_dimensions),
	(labeled_image_get_content_bounds), (labeled_image_ensure_label),
	(labeled_image_ensure_image), (labeled_image_show_image),
	(labeled_image_show_label), (eel_labled_set_mnemonic_widget),
	(button_leave_callback), (button_focus_out_event_callback):
	* eel/eel-preferences.c (preferences_gconf_value_get_int),
	(preferences_gconf_value_get_bool),
	(preferences_gconf_value_get_string),
	(preferences_gconf_value_get_string_array),
	(preferences_peek_storage_path), (preferences_set_storage_path),
	(preferences_get_value), (preferences_preference_is_gconf_key),
	(preferences_key_make), (preferences_get_default_value),
	(eel_preferences_get_is_invisible), (string_array_is_valid),
	(preferences_callback_entry_invoke_function),
	(preferences_entry_invoke_callbacks), (update_auto_string),
	(update_auto_string_array), (update_auto_integer_or_boolean),
	(preferences_something_changed_notice),
	(preferences_entry_ensure_gconf_connection),
	(preferences_entry_add_callback),
	(preferences_entry_add_auto_storage),
	(preferences_entry_remove_callback),
	(preferences_entry_remove_auto_storage),
	(preferences_callback_entry_free),
	(preferences_callback_entry_free_func), (preferences_entry_free),
	(preferences_global_table_lookup),
	(preferences_global_table_insert),
	(preferences_global_table_lookup_or_insert),
	(preferences_set_emergency_fallback_stealing_value):
	* eel/eel-wrap-table.c (eel_wrap_table_set_property),
	(eel_wrap_table_get_property), (eel_wrap_table_size_request),
	(eel_wrap_table_size_allocate), (eel_wrap_table_expose_event),
	(eel_wrap_table_map), (eel_wrap_table_unmap),
	(eel_wrap_table_realize), (eel_wrap_table_add),
	(eel_wrap_table_remove), (eel_wrap_table_forall),
	(wrap_table_get_num_fitting), (wrap_table_layout),
	(wrap_table_irect_max_dimensions),
	(wrap_table_get_max_child_dimensions),
	(wrap_table_get_content_dimensions),
	(wrap_table_get_content_bounds), (wrap_table_child_focus_in):
	g_assert() in static functions instead of using
	g_return(_val)_if_fail() (#320246). Thanks to Aaditya Sood.

2008-03-28  Alexander Larsson  <alexl@redhat.com>

	* configure.in:
	Post release version bump

=== eel 2.22.1 ===
	
2008-03-28  Alexander Larsson  <alexl@redhat.com>

	* NEWS:
	Update for release.

2008-03-24  Christian Neumair  <cneumair@gnome.org>

	* eel/eel-string.c (skip_argv), (custom1_skip), (custom2_skip):
	Fix compiler warnings about unused value by casting va_arg
	calls with unused return values to void (#523899).

2008-03-11  Christian Neumair  <cneumair@gnome.org>

	* eel/eel-background.c: (background_image_file_changed),
	(eel_background_update_file_monitor),
	(eel_background_set_image_uri_helper): Update EelBackground if the
	image file changes. Fixes #106613.

2008-03-11  Alexander Larsson  <alexl@redhat.com>

        * eel/eel-mount-operation.c:
        (ask_question):
	Don't pass in NULL as primary if there
	is no newline in the message.

2008-03-10  Alexander Larsson  <alexl@redhat.com>

	* configure.in (LIBGLADE_REQUIRED):
	Post release version bump

=== eel 2.22.0 ===
	
2008-03-10  Alexander Larsson  <alexl@redhat.com>

	* NEWS:
	Update for release

	* configure.in (LIBGLADE_REQUIRED):
	Bump version to 2.22.0

2008-02-25  Alexander Larsson  <alexl@redhat.com>

	* configure.in:
	Post release version bump

=== eel 2.21.92 ===
	
2008-02-25  Alexander Larsson  <alexl@redhat.com>

	* NEWS:
	Update for release

2008-02-22  Carlos Garcia Campos  <carlosgc@gnome.org>

	* eel/eel-mount-operation.c: (ask_question):
	Use the first line of the question message as primary text for the
	dialog so that it's formatted.
	
2008-02-21  Cosimo Cecchi  <cosimoc@gnome.org>

	* eel/eel-background.c: (eel_background_ensure_realized):
	Better fix for bug #517681.

2008-02-21  Cosimo Cecchi  <cosimoc@gnome.org>

	* eel/eel-background.c: (eel_background_ensure_realized):
	Fix compilation warning. (#517681)
	Patch from Rodrigo Moya.

2008-02-21  Cosimo Cecchi  <cosimoc@gnome.org>

	* eel-2.0-uninstalled.pc.in:
	* eel-2.0.pc.in:
	Update dependencies (#505831).

2008-02-18  Alexander Larsson  <alexl@redhat.com>

        * eel/eel-mount-operation.c:
	Handle the save-password flags (#516997)
	Patch from Carlos Garcia Campos

2008-02-13  Christian Persch  <chpe@gnome.org>

	* eel/eel-editable-label.c:
	(eel_editable_label_select_region_index): Update text targets list.
	Bug #516230.

2008-02-13  Christian Persch  <chpe@gnome.org>

	* configure.in:
	* eel/eel-string.c: (eel_strdup_vprintf_with_custom): Use G_VA_COPY.
	Bug #516232.

2008-02-13  Alexander Larsson  <alexl@redhat.com>

        * configure.in:
	Check for va_copy and define a replacement if not availible (#513199)
	Patch from Jens Granseuer

2008-02-11  Alexander Larsson  <alexl@redhat.com>

	* configure.in:
	Post release version bump

=== eel 2.21.91 ===
	
2008-02-11  Alexander Larsson  <alexl@redhat.com>

	* NEWS:
	Update for release

2008-01-28  Alexander Larsson  <alexl@redhat.com>

	* configure.in:
	Post release version bump

=== eel 2.21.90 ===
	
2008-01-28  Alexander Larsson  <alexl@redhat.com>

	* NEWS:
	Update for release

	* configure.in:
	Bump version to 2.21.90
	
2008-01-28  Alexander Larsson  <alexl@redhat.com>

        * test/test-eel-image-table.c:
	Use G_STRFUNC instead of deprecated G_GNUC_FUNCTION
	
Fri Jan 25 14:08:11 2008  Søren Sandmann  <sandmann@redhat.com>

	* eel/eel-background.c: Add #define GNOME_DESKTOP_USE_UNSTABLE_API
	before including gnome-bg.h
	
	* eel/eel-background.c: Delete eel_background_set_is_constant_size().

2008-01-22  Alexander Larsson  <alexl@redhat.com>

        * eel/eel-string.c:
        (eel_ref_str_unref):
	Fix leak and tighten up a possible race
	condition when a unique string is ressurected.

2008-01-14  Alexander Larsson  <alexl@redhat.com>

	* configure.in (LIBGLADE_REQUIRED):
	Post release version bump

=== eel 2.21.5 ===

2008-01-14  Alexander Larsson  <alexl@redhat.com>

	* configure.in (LIBGLADE_REQUIRED):
	Bump version to 2.21.5

	* NEWS:
	Updated for release

2008-01-09  Alexander Larsson  <alexl@redhat.com>

        * eel/eel-mount-operation.c:
	Update for gio API changes

2007-12-20  Alexander Larsson  <alexl@redhat.com>

	* configure.in:
	Post release version bump

=== eel 2.21.1 ===

2007-12-20  Alexander Larsson  <alexl@redhat.com>

	* NEWS:
	Update for release

	* configure.in:
	Require glib 2.15.0

2007-12-20  Alexander Larsson  <alexl@redhat.com>

        * eel/eel-app-launch-context.c:
	Update to new file attribute names

2007-12-14  Alexander Larsson  <alexl@redhat.com>

        * eel/eel-mount-operation.c:
	Update to new flag enum names and values

2007-12-14  Alexander Larsson  <alexl@redhat.com>

        * eel/eel-app-launch-context.c:
        * eel/eel-app-launch-context.h:
        * eel/eel-background.c:
        * eel/eel-gdk-pixbuf-extensions.c:
        * eel/eel-gdk-pixbuf-extensions.h:
        * eel/eel-mount-operation.h:
        * eel/eel-vfs-extensions.c:
	Only use <gio/gio.h> include 

2007-12-13  Alexander Larsson  <alexl@redhat.com>

        * eel/eel-mount-operation.c:
        (ask_password):
	G_PASSWORD_FLAGS_ANON_SUPPORTED -> G_PASSWORD_FLAGS_ANONYMOUS_SUPPORTED

2007-12-10  Alexander Larsson  <alexl@redhat.com>

	* eel/eel-app-launch-context.c (add_startup_timeout):
	Correct set_data name

2007-11-30  Alexander Larsson  <alexl@redhat.com>

	* configure.in (LIBGLADE_REQUIRED):
	Bump version to 2.21.1
	Remove extraversion

2007-11-29  Alexander Larsson  <alexl@redhat.com>

        * eel/eel-app-launch-context.c:
        * eel/eel-vfs-extensions.c:
	Update code to handle glib version of gio

2007-11-22  Alexander Larsson  <alexl@redhat.com>

	* eel/eel-string.c (handlers):
	Make handlers static

2007-11-22  Alexander Larsson  <alexl@redhat.com>

        * eel/eel-string.[ch]:
        Added eel_strdup_vprintf_with_custom and
        eel_strdup_printf_with_custom

2007-11-06  Alexander Larsson  <alexl@redhat.com>

        * eel/eel-mount-operation.c:
	Fix build for new gio

2007-11-06  Alexander Larsson  <alexl@redhat.com>

        * configure.in:
	Look for libstartupnotify
	
        * eel/Makefile.am:
        * eel/eel-app-launch-context.[ch]:
	Add EelAppLaunchContext
	
2007-11-02  Paolo Borelli  <pborelli@katamail.com>

        * eel/eel-string.c:
        * eel/eel-string.h:
	Remove two functions that were just used in eel-string-list.

2007-11-02  Paolo Borelli  <pborelli@katamail.com>

        * eel/eel-preferences-glade.c:
        * eel/eel-gconf-extensions.c:
        * eel/eel-preferences.c:
        * eel/eel-preferences.h:
	Introduce eel_preference_[get|set]_string_array and remove
	all uses of eel-string-list.

        * eel/eel-enumerations.c:
        * eel/eel-enumerations.h:
	Simplify implementation and API and avoid use of eel-string-list.

        * eel/eel-string-list.c:
        * eel/eel-string-list.h:
        * eel/Makefile.am:
	Remove eel-string-list.c

2007-11-02  Alexander Larsson  <alexl@redhat.com>

	* eel/eel-string.c (eel_str_middle_truncate):
	Fix off by one bug

2007-11-01  Alexander Larsson  <alexl@redhat.com>

        * eel/eel-string.c:
        Make eel_str_middle_truncate handle utf8 strings
	correctly.

2007-10-24  Alexander Larsson  <alexl@redhat.com>

        * eel/eel-mount-operation.[ch]:
	Add active_changed signal

2007-10-24  Alexander Larsson  <alexl@redhat.com>

        * eel/Makefile.am:
        * eel/eel-mount-operation.[ch]:
	Add GMountOperation version with gtk+ dialogs

2007-10-24  Alexander Larsson  <alexl@redhat.com>

        * eel/eel-gdk-pixbuf-extensions.[ch]:
        * eel/eel-background.c:
	Convert gnome_vfs use to gio
	
        * configure.in:
        * eel/check-program.c:
        * test/test-eel-background.c:
        * test/test.[ch]:
	Remove dependencies on gnome-vfs, libgnomedesktop, etc

2007-10-24  Alexander Larsson  <alexl@redhat.com>

        * eel/eel-art-extensions.[ch]:
        * eel/eel-enumeration.c:
        * eel/eel-gdk-extensions.[ch]:
        * eel/eel-glib-extensions.c:
        * eel/eel-gtk-extensions.[ch]:
        * eel/eel-pango-extensions.[ch]:
        * eel/eel-self-checks.c:
        * eel/eel-string-list.[ch]:
        * eel/eel-string.[ch]:
	Remove even more unused functions

2007-10-24  Alexander Larsson  <alexl@redhat.com>

        * eel/eel-editable-label.c:
        * eel/eelmarshal.list:
	Remove unused marshallers

2007-10-24  Alexander Larsson  <alexl@redhat.com>

        * eel/eel-art-extensions.[ch]:
        * eel/eel-debug-drawing.c:
        * eel/eel-gdk-extensions.[ch]:
        * eel/eel-gdk-pixbuf-extensions.[ch]:
        * eel/eel-glib-extensions.[ch]:
        * eel/eel-lib-self-check-functions.h:
        * test/Makefile.am:
        * test/test-eel-gtk-style.c: Removed.
        * test/test-eel-pixbuf-tile.c: Removed.
        * test/test.c:
	Remove unused functions

2007-10-23  Alexander Larsson  <alexl@redhat.com>

        * configure.in:
        * eel/eel-art-extensions.[ch]:
        * eel/eel-art-gtk-extensions.[ch]:
        * eel/eel-background.c:
        * eel/eel-debug-drawing.[ch]:
        * eel/eel-gdk-pixbuf-extensions.[ch]:
        * eel/eel-gnome-extensions.c:
        * eel/eel-graphic-effects.c:
        * eel/eel-gtk-container.[ch]:
        * eel/eel-image-table.c:
        * eel/eel-labeled-image.[ch]:
        * eel/eel-self-checks.[ch]:
        * eel/eel-wrap-table.c:
        * test/test-eel-gtk-style.c:
        * test/test-eel-pixbuf-tile.c:
        * test/test.c:
	Lift in the small amount of code and typedefs we
	need from libart. Remove libart dependency.

2007-10-23  Alexander Larsson  <alexl@redhat.com>

        * eel/Makefile.am:
        * eel/eel-dateedit-extensions.[ch]: Removed.
        * eel/eel-gnome-extensions.[ch]:
        * eel/eel.h:
	Remove unneeded eel functions

2007-10-23  Alexander Larsson  <alexl@redhat.com>

        * eel/eel-lib-self-check-functions.h:
        * eel/eel-vfs-extensions.[ch]:
	Remove a bunch of unnecessary gnome-vfs functions

2007-10-11  Alexander Larsson  <alexl@redhat.com>

        * eel/eel-gdk-pixbuf-extensions.[ch]:
        Added eel_gdk_pixbuf_load_from_stream

2007-10-01  Alexander Larsson  <alexl@redhat.com>

        * eel/Makefile.am:
        * eel/eel-mime-application-chooser.[ch]:
        * eel/eel-open-with-dialog.[ch]:
	Move these to nautilus

2007-10-01  Alexander Larsson  <alexl@redhat.com>

        * eel/eel-mime-application-chooser.c:
        * eel/eel-open-with-dialog.c:
	Port more stuff to gio mimetype code

        * eel/Makefile.am:
        * eel/eel-mime-extensions.[ch]:
	Remove unused code
	
2007-10-01  Alexander Larsson  <alexl@redhat.com>

        * configure.in:
	Pull in gio when linking
	
        * eel/eel-open-with-dialog.[ch]:
	Update to use GAppInfo and gio APIs.

2007-09-26  Alexander Larsson  <alexl@redhat.com>

        * eel/eel-string.h:
	Fix up macro definition.
	It can't have a space before the param list

2007-09-26  Alexander Larsson  <alexl@redhat.com>

        * eel/eel-string.[ch];
	Add eel_ref_str, a set of refcounted and optionally uniquified
	string functions.

2007-09-26  Alexander Larsson  <alexl@redhat.com>

        * eel/eel-vfs-extensions.[ch]:
	Remove more unused code

2007-09-26  Alexander Larsson  <alexl@redhat.com>

	* eel/eel-vfs-extensions.c:
	Remove code not used by nautilus anymore

2007-11-28  Soren Sandmann <sandmann@redhat.com>

	* configure.in: Require libgnomedesktop 2.21.3

	* eel/eel-background.[ch]: Make EelBackground a thin wrapper
	around GnomeBG from libgnomedesktop.

2007-10-12  Christian Kirbach  <Christian.Kirbach@googlemail.com>

	* eel/eel-debug-drawing.c:
	* eel/eel-debug-drawing.h:
	(eel_debug_show_pixbuf): unconstify parameter 1 to
	unbreak the build on gcc 4.2

2007-09-18  Alexander Larsson  <alexl@redhat.com>

	* configure.in:
	Add gio as extraversion

        * eel/eel-gdk-pixbuf-extensions.c:
        * eel/eel-vfs-extensions.[ch]:
	Use goffset instead of GnomeVFSFileSize

=== gio-branch starts here ===
	
2007-09-18  Alexander Larsson  <alexl@redhat.com>

	* configure.in:
	Post release version bump

=== eel 2.20.0 ===

2007-09-18  Alexander Larsson  <alexl@redhat.com>

	* NEWS: 
	* configure.in:
	Bump version to 2.20.0

2007-08-14  Martin Wehner  <martin.wehner@gmail.com>

	* configure.in:
	Post release version bump

=== eel 2.19.90 ===

2007-08-14  Martin Wehner  <martin.wehner@gmail.com>

	* NEWS:
	Update for release

2007-07-31  Martin Wehner  <martin.wehner@gmail.com>

	* configure.in:
	Post release version bump

=== eel 2.19.6 ===

2007-07-31  Martin Wehner  <martin.wehner@gmail.com>

	* NEWS:
	Update for release

2007-07-28  Martin Wehner  <martin.wehner@gmail.com>

	* eel/eel-open-with-dialog.c: (get_all_applications_from_dir):
	Don't crash if a menu entry has no exec. Fixes #455949.
	Patch from Pascal Terjan  <pascal.terjan@free.fr>

2007-07-10  Martin Wehner  <martin.wehner@gmail.com>

	* configure.in:
	Post release version bump

=== eel 2.19.5 ===

2007-07-10  Martin Wehner  <martin.wehner@gmail.com>

	* NEWS:
	Update for release

2007-07-10  Martin Wehner  <martin.wehner@gmail.com>

	* configure.in:
	Remove AC_ISC_POSIX: It would have to be called after AC_PROG_CC,
	but Interactive Unix is obsolete.
	Replace obsolete AC_STDC_HEADERS with AC_HEADER_STDC.
	Remove AM_SANITY_CHECK: It's an internal macro that is called by
	AM_INIT_AUTOMAKE anyway.
	Remove unused AC_C_BIGENDIAN.
	Remove redundant AC_PROG_AWK call.

2007-06-23  Martin Wehner  <martin.wehner@gmail.com>

	* eel/eel-glib-extensions.c: (eel_self_check_glib_extensions):
	Set LC_TIME="C" before testing the output of eel_strdup_strftime
	instead of having the translators to provide the expected results.
	Fixes 'make check' when LC_TIME != LC_MESSAGES. (#348191)

2007-06-21  Martin Wehner  <martin.wehner@gmail.com>

	* configure.in:
	Don't set both -Wsign-compare and -Wno-sign-compare.
	Don't set -Wchar-subscripts as it's included in -Wall.

2007-06-20  Martin Wehner  <martin.wehner@gmail.com>

	* configure.in:
	Don't set extra warning flags in the user environment CFLAGS.
	Fixes 'make distcheck'.

2007-06-19  Martin Wehner  <martin.wehner@gmail.com>

	* configure.in:
	Post release version bump

=== eel 2.19.4 ===
	
2006-06-18  Martin Wehner  <martin.wehner@gmail.com>

	* NEWS:
	Update for release

2007-06-12  Martin Wehner  <martin.wehner@gmail.com>

	* eel/eel-mime-application-chooser.c: (set_uri_and_mime_type):
	Clarify message by replacing "others" with "other files" in the
	application chooser dialog. (#150559)
	Patch from Björn Lindqvist  <bjourne@gmail.com>  

2006-06-05  Martin Wehner  <martin.wehner@gmail.com>
	
	* configure.in:
	Post release version bump

=== eel 2.19.3 ===
	
2006-06-05  Martin Wehner  <martin.wehner@gmail.com>

	* NEWS:
	Update for release

2007-06-01  Christian Neumair  <cneumair@gnome.org>

	* eel/eel-open-with-dialog.c: (eel_open_with_search_equal_func): Match
	application display name and binary path/base path. Fixes #359912.

=== eel 2.19.2 ===
	
2007-05-14  Alexander Larsson  <alexl@redhat.com>

	* configure.in: 
	* NEWS:
	Update for 2.19.2

2007-04-10  Alexander Larsson  <alexl@redhat.com>

        * eel/eel-gconf-extensions.c:
        (eel_gconf_monitor_add):
        (eel_gconf_monitor_remove):
        (eel_gconf_preload_cache):
	Avoid leaked refcounts on default gconf client. (#235657)
	Patch from Matthias Clasen

2007-03-19  Alexander Larsson  <alexl@redhat.com>

	* configure.in:
	Bump version to 2.19.1
	Gnome 2.18 work continues on gnome-2-18 branch

2007-03-12  Alexander Larsson  <alexl@redhat.com>

	* NEWS:
	Update for release

	* eel/eel-gtk-extensions.c (eel_gtk_window_set_initial_geometry):
	Fix crasher due to bug sparse cleanup.

2007-03-12  Alexander Larsson  <alexl@redhat.com>

	* configure.in:
	Post release version bump
	
=== eel 2.18.0 ===
	
2007-03-12  Alexander Larsson  <alexl@redhat.com>

	* NEWS:
	Update for release

	* configure.in:
	Bump version to 2.18.0

2007-03-02  Alexander Larsson  <alexl@redhat.com>

        * eel/eel-background.c:
        * eel/eel-canvas.c:
        * eel/eel-enumeration.c:
        * eel/eel-gtk-extensions.c:
        * eel/eel-image-table.c:
        * eel/eel-labeled-image.c:
	Sparse cleanups from kjartan

2007-02-20  Christian Persch  <chpe@svn.gnome.org>

	* eel/eel.h: Remove eel-ellipsizing-label.h inclusion.

2007-02-20  Christian Persch  <chpe@svn.gnome.org>

	* eel/Makefile.am:
	R eel/eel-ellipsizing-label.c:
	R eel/eel-ellipsizing-label.h:
	* test/Makefile.am:
	R test/test-eel-ellipsizing.c: Remove EelEllipsisingLabel. Bug
	#409272.

2007-02-20  Christian Persch  <chpe@svn.gnome.org>

	* eel/Makefile.am:
	* eel/eel-editable-label.c:
	(eel_editable_label_select_region_index):
	* eel/eel-ellipsizing-label.c:
	* eel/eel-ellipsizing-label.h:
	* eel/eel-string.c: (eel_self_check_string), (main):
	* test/Makefile.am:
	* test/test-eel-ellipsizing.c:

2007-01-22  Alexander Larsson  <alexl@redhat.com>
	
	* configure.in:
	Post release version bump
	
=== eel 2.17.90 ===
	
2007-01-22  Alexander Larsson  <alexl@redhat.com>

	* NEWS: 
	* configure.in:
	Bump to 2.17.90

2007-01-18  Christian Persch  <chpe@svn.gnome.org>

	* eel/eel-accessibility.c: (eel_accessibility_add_simple_text),
	(eel_accessible_text_get_type):
	* eel/eel-alert-dialog.c: (eel_alert_dialog_get_type):
	* eel/eel-canvas.c: (eel_canvas_item_get_type),
	(eel_canvas_group_get_type), (eel_canvas_get_type),
	(eel_canvas_accessible_factory_get_type),
	(eel_canvas_item_accessible_get_type),
	(eel_canvas_item_accessible_factory_get_type):
	* eel/eel-editable-label.c: (eel_editable_label_get_type),
	(eel_editable_label_get_accessible):
	* eel/eel-labeled-image.c: (eel_labeled_image_get_accessible):
	* eel/eel-mime-application-chooser.c:
	(eel_mime_application_chooser_get_type):
	* eel/eel-open-with-dialog.c: (eel_open_with_dialog_get_type): No need
	to make GTypeInfo and GInterfaceInfo static. Bug #362031.

2006-12-18  Alexander Larsson  <alexl@redhat.com>

	* configure.in:
	post release version bump

=== eel 2.17.1 ===
	
2006-12-18  Alexander Larsson  <alexl@redhat.com>

	* NEWS:
	Update for release

2006-12-08  Alexander Larsson  <alexl@redhat.com>

	* eel/eel-gdk-pixbuf-extensions.c: (eel_gdk_pixbuf_intersect):
	* eel/eel-gdk-pixbuf-extensions.h:
	* eel/eel-gtk-extensions.c: (eel_gtk_get_system_font):
	* eel/eel-gtk-extensions.h:
	* eel/eel-pango-extensions.c:
	* eel/eel-pango-extensions.h:
	Remove all traces of pangoft2 use, as we don't need this
	any more. (#377711)

2006-11-23  Alexander Larsson  <alexl@redhat.com>

	* eel/eel-open-with-dialog.c: (get_all_applications_from_dir):
	Only list appliations that accept file arguments (#345521)
	Patch from Tom Parker

2006-11-23  Alexander Larsson  <alexl@redhat.com>

	* configure.in:
	Bump version to 2.17.1
	Gnome 2.16 work continues on gnome-2-16 branch

2006-11-20  Alexander Larsson  <alexl@redhat.com>

	* configure.in:
	Post release version bump

=== eel 2.16.3 ===
	
2006-11-20  Alexander Larsson  <alexl@redhat.com>

	* configure.in: 
	Call it 2.16.3 to match nautilus release
	
	* NEWS:
	Update for release.

2006-11-07  Alexander Larsson  <alexl@redhat.com>

	* configure.in:
	post release version bump

=== eel 2.16.1 ===

2006-11-07  Alexander Larsson  <alexl@redhat.com>

	* configure.in: 
	* NEWS:
	Update for release.

2006-10-19  Christian Neumair  <chris@gnome-de.org>

	* eel/eel-preferences.c:
	(preferences_callback_entry_compare),
	(preferences_entry_add_callback),
	(preferences_entry_add_auto_storage),
	(preferences_entry_remove_callback),
	(preferences_uninitialize),
	(preferences_global_table_get_global),
	(preferences_while_alive_disconnector):
	Bail when trying to add or remove an entry twice, skip entry removal
	on object destroy disconnection after eel shutdown.

=== eel 2.16.0 ===

2006-09-04  Alexander Larsson  <alexl@redhat.com>

	* configure.in:
	Bump version to 2.16.0

	* NEWS:
	Update for release

2006-09-01  Alexander Larsson  <alexl@redhat.com>

	* eel/eel-editable-label.c: (eel_editable_label_enter_text):
	Don't reset im context when commiting text.

2006-08-25  Alexander Larsson  <alexl@redhat.com>

	* eel/check-program.c: (main):
	Fix build with EEL_OMIT_SELF_CHECK.

2006-08-23  Alexander Larsson  <alexl@redhat.com>

	* eel/eel-vfs-extensions.c: (eel_vfs_has_capability):
	Fix crash that happened on DnD from firefox in nautilus.

2006-08-21  Alexander Larsson  <alexl@redhat.com>

	* configure.in:
	Post release version bump

=== eel 2.15.92 ===

2006-08-21  Alexander Larsson  <alexl@redhat.com>

	* NEWS:
	Update for release

2006-08-15  Kjartan Maraas  <kmaraas@gnome.org>

	* configure.in: Fix intltool req.

2006-08-08  Alexander Larsson  <alexl@redhat.com>

	* configure.in:
	Post release version bump.

=== eel 2.15.91 ===

2006-08-08  Alexander Larsson  <alexl@redhat.com>

	* NEWS:
	Update for release

2006-08-08  Kjartan Maraas  <kmaraas@gnome.org>

       * configure.in: Really depend on a newer libgnome-menu.
       * eel/eel-string-list.c: (eel_self_check_string_list):
       * test/test-eel-gtk-style.c: (style_get_color), (style_get_gc),
       (color_box_expose_event), (gc_box_expose_event),
       (pixmap_box_expose_event):
       * test/test-eel-image-table.c: (image_table_child_enter_callback),
       (image_table_child_leave_callback):
       * test/test-eel-pixbuf-tile.c: Remove and #if 0 out some dead code.

2006-08-08  Alexander Larsson  <alexl@redhat.com>

	* eel/eel-background.c:
	Fix crash in previous fix.
	
2006-08-08  Alexander Larsson  <alexl@redhat.com>

	* eel/eel-background.c:
	Check mtime for background uri changes. (#349962)
	Patch from Matthias Clasen

2006-07-25  Martin Wehner  <martin.wehner@gmail.com>

	* configure.in:
	Post-release version bump

=== eel 2.15.90 ===

2006-07-25  Martin Wehner  <martin.wehner@gmail.com>

	* NEWS:
	Update for release

2006-07-24  Martin Wehner  <martin.wehner@gmail.com>

	* eel/eel-mime-application-chooser.c: (refresh_model),
	(set_uri_and_mime_type):
	* eel/eel-open-with-dialog.c: (set_uri_and_mime_type):
	Fix build with gcc 2.95 (#347552)

	Patch from Jens Granseuer  <jensgr@gmx.net>

2006-07-11  Martin Wehner  <martin.wehner@gmail.com>

	* configure.in:
	Post-release version bump

=== eel 2.15.4 ===

2006-07-11  Martin Wehner  <martin.wehner@gmail.com>

	* NEWS:
	Update for release

	* configure.in:
	Bump version to 2.15.4

2006-07-11  Martin Wehner  <martin.wehner@gmail.com>

	* eel/eel-open-with-dialog.c: (compare_applications),
	(eel_open_with_dialog_add_items_idle):
	Handle entry name == NULL without crashing. (#339904)

	Based on a patch from Miguel Quiros  <mquiros@ugr.es>

2006-07-11  Martin Wehner  <martin.wehner@gmail.com>

	* eel/eel-accessibility.c:
	(eel_accessibility_set_up_label_widget_relation):
	Set up the atk widget/label relationship correctly. (#341420)  	

	Patch from Willie Walker  <william.walker@sun.com>

2006-06-19  Alexander Larsson  <alexl@redhat.com>

	* configure.in:
	Require new gtk+

	* eel/eel-mime-application-chooser.c:
	word+char wrap label to avoid wide dialogs on large filenames.
	Fixes bug #344958

2006-06-12  Alexander Larsson  <alexl@redhat.com>

	* configure.in:
	post release version bump

=== eel 2.15.2 ===

2006-06-12  Alexander Larsson  <alexl@redhat.com>

	* NEWS:
	Update for release

2006-05-24  Paolo Borelli  <pborelli@katamail.com>

	* eel/eel-gtk-extensions.[ch]: remove eel_gtk_signal_connect_free_data
	and eel_gtk_signal_connect_free_data_custom, since there is
	g_signal_connect_data.

2006-05-24  Alexander Larsson  <alexl@redhat.com>

	* eel/Makefile.am:
	* eel/eel-cell-renderer-pixbuf-list.[ch]:
	Remove

2006-05-24  Paolo Borelli  <pborelli@katamail.com>

	* eel/eel-vfs-extensions.[ch]: remove eel_make_uri_from_input,
	eel_make_uri_from_input_with_trailing_ws, eel_make_uri_from_shell_arg,
	eel_uris_match, eel_uri_get_scheme, eel_uri_make_full_from_relative.
	They have been moved into gnome-vfs itself for a long time and they
	are not used anymore in nautilus. (bug #342237)

2006-05-16  Martin Wehner  <martin.wehner@gmail.com>

	* configure.in:
	Post-release version bump.

=== eel 2.15.1 ===

2006-05-16  Martin Wehner  <martin.wehner@gmail.com>

	* NEWS:
	Update for release

2006-05-07  Martin Wehner  <martin.wehner@gmail.com>

	* eel/eel-glib-extensions.c:
	* eel/eel-glib-extensions.h:
	Remove obsolete eel_setenv and eel_unsetenv functions.

	* eel/eel-gtk-extensions.c: (eel_gtk_widget_set_shown):
	* eel/eel-gtk-extensions.h:
	Remove unused and obsolete eel_gtk_button_* functions (#170126)

2006-05-07  Martin Wehner  <martin.wehner@gmail.com>

	* eel/eel-mime-extensions.c: (eel_mime_get_available_mime_types):
	* eel/eel-mime-extensions.h:
	Fix typo in function name: s/availible/available/ (#326053)

	Patch from Josep Puigdemont <josep.puigdemont@gmail.com>

2006-05-01  Martin Wehner  <martin.wehner@gmail.com>

	* eel/eel-mime-application-chooser.c: (refresh_model),
	(set_uri_and_mime_type):
	* eel/eel-open-with-dialog.c: (set_uri_and_mime_type):
	Don't include surrounding markup in translateable messages.
	Fixes #150555.

	Patch from Ruben Vermeersch <ruben@lambda1.be>

2006-04-28  Martin Wehner  <martin.wehner@gmail.com>

	* configure.in:  
	* po/LINGUAS:
	Update po/LINGUAS support to new guidelines. (#338017)

	Patch from Przemyslaw Grzegorczyk  <pgrzegorczyk@gmail.com>

2006-04-25  Alexander Larsson  <alexl@redhat.com>

	* configure.in:
	Bump version to 2.15.1
	2.14 development continues on gnome-2-14 branch.

2006-04-15  Martin Wehner  <martin.wehner@gmail.com>

	* po/LINGUAS:
	Remove newlines to fix build with CVS intltool. (#338423) 

2006-04-11  Martin Wehner  <martin.wehner@gmail.com>

	* configure.in:
	Post-release version bump.

=== eel 2.14.1 ===

2006-04-11  Martin Wehner  <martin.wehner@gmail.com>

	* NEWS:
	Update for release

2006-04-10  Martin Wehner  <martin.wehner@gmail.com>

	* Makefile.am: Add intltool artefacts.

	* po/LINGUAS: New file listing all supported languages.

	* configure.in: Require intltool and use po/LINGUAS instead of including
	all languages directly in this file. See the wiki for more information:
	http://live.gnome.org/GnomeGoals/PoLinguas

	Patch from Przemyslaw Grzegorczyk  <pgrzegorczyk@gmail.com>

2006-04-08  Martin Wehner  <martin.wehner@gmail.com>

	* configure.in:
	Don't check for *env functions anymore.

	* eel/eel-glib-extensions.c: (eel_setenv), (eel_unsetenv):
	Just call g_setenv and g_unsetenv. Fixes build on Darwin (#166880).
	
	Patch from Tony Arnold <tonyarnold@users.sourceforge.net>

2006-03-26  Sebastien Bacher  <seb128@debian.org>

	* configure.in: popt is not used by eel no need to require it

2006-03-22  Tommi Vainikainen  <thv@iki.fi>

	* configure.in (ALL_LINGUAS): Added Dzongkha (dz).

2006-03-22  Paolo Borelli  <pborelli@katamail.com>

	* eel/eel-enumeration.c: remove inefficient use of glist.
	Fixes bug #335349.

2006-03-20  Christian Neumair  <chris@gnome-de.org>

	* configure.in:
	Depend on libgnome-menu 2.13.5.
	* eel/eel-open-with-dialog.c: (get_all_applications):
	Also request desktop items which have NoDisplay set to TRUE.

2006-03-13  Alexander Larsson  <alexl@redhat.com>

	* configure.in:
	Post release version bump

=== eel 2.14.0 ===

2006-03-13  Alexander Larsson  <alexl@redhat.com>

	* configure.in:
	Bump version to 2.14.0

	* NEWS:
	Update for release

2006-03-01  Vladimer SIchinava <vlsichinava@gmail.com>

        * configure.in: Added ka (Georgian) to ALL_LINGUAS

2006-02-28  Bill Haneman <billh@gnome.org>

	* eel/eel-labeled-image.c:
	(eel_labeled_image_accessible_get_name): Fixed
	segv due to use of labeled_image struct without NULL check.
	bug #330995.

2006-02-27  Alexander Larsson  <alexl@redhat.com>

	* configure.in:
	Post release version bump

=== eel 2.13.92 ===

2006-02-27  Alexander Larsson  <alexl@redhat.com>

	* NEWS:
	Update for release

2006-02-19  Erdal Ronahi  <erdal.ronahi@gmail.com>

	* configure.in: Added ku (Kurdish) to ALL_LINGUAS

2006-02-16  Martin Wehner  <martin.wehner@gmail.com>

	* eel/eel-editable-label.c:
	Include config.h to fix i18n of the context menu.
	Fixes bug #331377.
	Patch from Takao Fujiwara <takao.fujiwara@sun.com>

2006-02-16  Martin Wehner  <martin.wehner@gmail.com>

	* test/test.c: (test_window_set_title_with_pid):
	Add a cast to fix build on Solaris. (#117825)
	Patch from Fredrik Jonsson <fjo@nada.kth.se>

2006-02-13  Alexander Larsson  <alexl@redhat.com>

	* configure.in:
	Post release version bump

=== eel 2.13.91 ===

2006-02-13  Alexander Larsson  <alexl@redhat.com>

	* NEWS:
	Update for release.

2006-02-07  Alexander Larsson  <alexl@redhat.com>

	* eel/eel-mime-extensions.c (eel_mime_add_application):
	Add %f to exec line when creating open-with desktop files.
	Patch from Christian Persch <chpe@gnome.org>
	Bug #169202

2006-01-31  Martin Wehner  <martin.wehner@gmail.com>

	* configure.in:
	Post release version bump.

=== eel 2.13.90 ===

2006-01-31  Martin Wehner  <martin.wehner@gmail.com>

	* NEWS:
	Update for release.

	* configure.in:
	Bump version to 2.13.90

2006-01-21  Luca Ferretti  <elle.uca@libero.it>

	* .cvsignore:
	Added missing files to ignore.
	* eel/.cvsignore:
	Ditto.

2006-01-16  Alexander Larsson  <alexl@redhat.com>

	* configure.in:
	Post release version bump.

=== eel 2.13.4 ===

2006-01-16  Alexander Larsson  <alexl@redhat.com>

	* NEWS:
	Update for release.

2006-01-12  Alexander Larsson  <alexl@redhat.com>

	* eel/eel-background.[ch]:
	Add EEL_BACKGROUND_ZOOM
	
	* eel/eel-gdk-pixbuf-extensions.[ch]:
	Add eel_gdk_scale_to_min_factor and eel_gdk_pixbuf_scale_to_min
 
	Patch by Alan Swanson (#320830)

2005-12-28  Abel Cheung  <maddog@linuxhall.org>

	* configure.in: Added "zh_HK" to ALL_LINGUAS.

2005-12-20  Alexander Larsson  <alexl@redhat.com>

	* configure.in:
	Actuallu bump version.

2005-12-20  Alexander Larsson  <alexl@redhat.com>

	* eel/eel-mime-extensions.[ch]:
	Add eel_mime_get_availible_mime_types

2005-12-17  Dennis Cranston  <dennis_cranston@yahoo.com>

	* eel/eel-alert-dialog.c:  Hide dialog from taskbar, so it
	does not display "untitled window".
	
2005-12-13  Dennis Cranston  <dennis_cranston@yahoo.com>

	* eel/eel-open-with-dialog.c: (eel_open_with_dialog_instance_init):
	HIG fixes.

2005-12-12  Alexander Larsson  <alexl@redhat.com>

	* configure.in:
	Post release version bump.

=== eel 2.13.3 ===

2005-12-12  Alexander Larsson  <alexl@redhat.com>

	* NEWS:
	Update for release

2005-12-09  Alexander Larsson  <alexl@redhat.com>

	* eel/eel-alert-dialog.[ch]:
	* eel/eel-gconf-extensions.c:
	* eel/eel-gnome-extensions.c:
	* eel/eel-open-with-dialog.c:
	* eel/eel-stock-dialogs.[ch]:
	Remove title from alerts. (#323134)

	Patch from jaap@haitsma.org

2005-12-08  Alexander Larsson  <alexl@redhat.com>

	* eel/eel-preferences-glade.[ch]:
	Use GtkComboBox, not GtkOptionMenu
	Patch from jaap@haitsma.org

2005-11-14  Alexander Larsson  <alexl@redhat.com>

	* configure.in:
	Post release version bump.

=== eel 2.13.2 ===

2005-11-14  Alexander Larsson  <alexl@redhat.com>

	* NEWS: 
	Update for release.
	
2005-11-14  Alexander Larsson  <alexl@redhat.com>

	* eel/eel-alert-dialog.c:
	Include config.h so we get translations.
	Patch from Yang Hong <yanghong@ccoss.com.cn>

2005-10-28  Simos Xenitellis  <simos@gnome.org>

	* configure.in: Added ky (Kirghiz) to ALL_LINGUAS.

2005-10-27  Kjartan Maraas  <kmaraas@gnome.org>

	* eel/eel-art-gtk-extensions.c:
	(eel_gdk_window_clip_dirty_area_to_screen):
	* eel/eel-background.c: (eel_background_class_init):
	* eel/eel-canvas.c: (item_post_create_setup),
	(eel_canvas_group_get_property), (pick_current_item):
	* eel/eel-editable-label.c: (eel_editable_label_ensure_layout),
	(eel_editable_label_size_allocate), (eel_editable_label_map),
	(eel_editable_label_unmap), (window_to_layout_coords),
	(eel_editable_label_button_release),
	(eel_editable_label_move_line),
	(eel_editable_label_move_backward_word):
	* eel/eel-ellipsizing-label.c: (real_expose_event):
	* eel/eel-gconf-extensions.c: (simple_value_is_equal):
	* eel/eel-gdk-pixbuf-extensions.c: (eel_gdk_pixbuf_average_value):
	* eel/eel-image-table.c: (eel_image_table_realize),
	(image_table_emit_signal):
	* eel/eel-mime-application-chooser.c:
	(eel_mime_application_chooser_destroy):
	* eel/eel-open-with-dialog.c: (eel_open_with_dialog_destroy):
	* eel/eel-pango-extensions.c:
	(eel_pango_layout_set_text_ellipsized):
	* eel/eel-stock-dialogs.c: (timed_wait_free): Large amounts of
	cleanups. Mostly removal of unused code and some compiler warnings.

2005-10-24  Alexander Larsson  <alexl@redhat.com>

	* configure.in:
	Post release version bump.

=== eel 2.13.1 ===

2005-10-24  Alexander Larsson  <alexl@redhat.com>

	* NEWS:
	Update for release

2005-10-19  Christian Neumair  <chris@gnome-de.org>

	* eel/eel-mime-application-chooser.c: (create_tree_view):
	Sort applications by display name, filed as part of #310038.

2005-10-03  Alexander Larsson  <alexl@redhat.com>

	* configure.in:
	Bump version to 2.13.1. Further 2.12.x work is on
	gnome-2-12 branch.
	
2005-10-03  Alexander Larsson  <alexl@redhat.com>

	* configure.in:
	Post release version bump.

=== eel 2.12.1 ===

2005-10-03  Alexander Larsson  <alexl@redhat.com>

	* NEWS:
	Update for 2.12.1.

2005-10-03  Alexander Larsson  <alexl@redhat.com>

	* eel/eel-accessibility.c:
	(eel_accessibility_set_up_label_widget_relation):
	Slight cleanup. Patch from Christian Neumair.

2005-09-05  Alexander Larsson  <alexl@redhat.com>

	* configure.in:
	Post release version bump

=== eel 2.12.0 ===

2005-09-05  Alexander Larsson  <alexl@redhat.com>

	* NEWS: Update for release.

2005-08-23  Martin Wehner  <martin.wehner@gmail.com>

	* configure.in:
	Post release version bump.

=== eel 2.11.92 ===

2005-08-23  Martin Wehner  <martin.wehner@gmail.com>

	* NEWS:
	Update for release.

2005-08-09  Martin Wehner  <martin.wehner@gmail.com>

	* configure.in:
	Post release version bump.

=== eel 2.11.91 ===
	
2005-08-09  Martin Wehner  <martin.wehner@gmail.com>

	* NEWS:
	Update for release.

2005-08-05  Christian Neumair  <chris@gnome-de.org>

	* src/eel-wrap-table.c: Get rid of broken scrolled window viewport
	code. Fixes #308996.

2005-08-01  Christian Persch  <chpe@cvs.gnome.org>

	* eel/eel-debug.c:
	(eel_make_warnings_and_criticals_stop_in_debugger):
	Use g_log_set_default_handler instead of adding handlers for
	tons of domains (#312268).

2005-07-25  Martin Wehner  <martin.wehner@gmail.com>

	* configure.in:
	Post release version bump.

=== eel 2.11.90 ===
	
2005-07-25  Martin Wehner  <martin.wehner@gmail.com>

	* configure.in:
	Bump version to 2.11.90

	* NEWS:
	Update for release.

2005-07-20  Mikael Hallendal  <micke@imendio.com>

	* eel/eel-vfs-extensions.[ch] (eel_uri_is_search):
	Add x-nautilus-search URI.

2005-07-19  Alexander Larsson  <alexl@redhat.com>

	* eel/eel-mime-application-chooser.c: (set_uri_and_mime_type):
	* eel/eel-open-with-dialog.c: (set_uri_and_mime_type):
	Add comments for translators. (#150558)

	Patch from Brent Smith

2005-07-13  Alexander Larsson  <alexl@redhat.com>

	* eel/eel-wrap-table.c:
	Take border width into account when wrapping (#155642)
	Patch from Christian Neumair.

2005-07-11  Alexander Larsson  <alexl@redhat.com>

	* configure.in:
	Post release version bump

=== eel 2.11.4 ===
	
2005-07-11  Alexander Larsson  <alexl@redhat.com>

	* NEWS:
	Update for release.

2005-07-06  Kjartan Maraas  <kmaraas@gnome.org>

	* eel/eel-open-with-dialog.c: (add_or_find_application):
	Fix a small leak.

2005-07-01  Alexander Larsson  <alexl@redhat.com>

	* configure.in:
	Post release version bump

=== eel 2.11.3 ===
	
2005-07-01  Alexander Larsson  <alexl@redhat.com>

	* NEWS:
	Update for release.

2005-06-11  Kjartan Maraas  <kmaraas@gnome.org>

	* eel/eel-mime-application-chooser.c: (remove_clicked_cb): Remove
	const qualifier now that we free the application id.

2005-06-11  Kjartan Maraas  <kmaraas@gnome.org>

	* eel/eel-mime-application-chooser.c:
	(eel_mime_application_chooser_finalize), (remove_clicked_cb):
	Plug some leaks.
	* eel/eel-open-with-dialog.c: (check_application): Here too.
	Closes bug #307268 and bug #307280

2005-06-10  Martin Wehner  <martin.wehner@gmail.com>

	* eel/eel-labeled-image.c: (labeled_image_get_image_bounds_fill),
	(eel_labeled_image_get_image_bounds),
	(labeled_image_get_label_bounds_fill),
	(eel_labeled_image_get_label_bounds):
	Add default cases with asserts.
	
	* eel/eel-mime-extensions.c: (open_temp_cache_file):
	Initialize filename in error case.

	* eel/eel-open-with-dialog.c: (eel_open_with_dialog_add_icon_idle):
	* eel/eel-preferences.c: (preferences_entry_remove_auto_storage):
	Use NULL instead of 0.

	* configure.in:
	Add --Wno-pointer-sign

	Fix gcc4 compilation (#300646). Based on patches from
	Kjartan Maraas <kmaraas@gnome.org> and
	James M. Cape <jcape@ignore-your.tv>

2005-06-08  Alexander Larsson  <alexl@redhat.com>

	* configure.in (LIBGLADE_REQUIRED):
	Post release version bump.

=== eel 2.11.2 ===
	
2005-06-08  Alexander Larsson  <alexl@redhat.com>

	* eel/eel-open-with-dialog.c:
	Fix const warning.

	* NEWS:
	Update for release.

2005-06-07  Kjartan Maraas  <kmaraas@gnome.org>

	* eel/eel-open-with-dialog.c: (program_list_selection_changed):
	Plug a couple of leaks. Closes bug #306767.

2005-05-22  Sebastien Bacher  <seb128@debian.org>

	* configure.in: 
	Update of glib and gtk requirements to 2.6.0 (Closes: #304875).

2005-05-17  Alexander Larsson  <alexl@redhat.com>

	* configure.in:
	Post release version bump.

=== eel 2.11.1 ===
	
2005-05-17  Alexander Larsson  <alexl@redhat.com>

	* NEWS:
	Update for 2.11.1 release

2005-04-12  Alexander Larsson  <alexl@redhat.com>

	* eel-2.0.pc.in: 
	* eel-2.0-uninstalled.pc.in: 
	Use gmodule-no-export-2.0 instead of gmodule-2.0 to avoid using --export-dynamic.

2005-04-11  Mark McLoughlin  <mark@skynet.ie>

	* eel/Makefile.am, eel/eel-open-with-dialog.c: update
	for libgnome-menu API renaming.

2005-04-11  Abduxukur Abdurixit <abduxukur.abdurixit@t-systems.ch>

	* configure.in: Added 'ug' to ALL_LINGUAS.

2005-04-08  Sebastien Bacher  <seb128@debian.org>

	* configure.in: 
	Update gnomevfs requirement to 2.9.1.

2005-04-06  Mark McLoughlin  <mark@skynet.ie>

	* eel/eel-open-with-dialog.c: (get_all_applications):
	Update for slight change in menu_tree_lookup() API.

2005-03-31  Steve Murphy  <murf@e-tools.com>

        * configure.in: Added "rw" to ALL_LINGUAS.

2005-03-28  Martin Wehner  <martin.wehner@gmail.com>

	* eel/eel-accessibility.c: (get_simple_text):
	Return NULL if the gobject is no longer valid.
	Fixes bug #168161.
	
	Patch from Muktha <muktha.narayan@wipro.com>

2005-03-27  Martin Wehner  <martin.wehner@gmail.com>

	* configure.in:
	Require libgnome-menu 2.11.1 for the new API.     

	* eel/eel-open-with-dialog.c: (get_all_applications_from_dir),
	(get_all_applications), (eel_open_with_dialog_add_items_idle):
	Update to the new libgnome-menu API.

	Patch from Christian Neumair <chris@gnome-de.org>

2005-03-24  Adi Attar  <aattar@cvs.gnome.org>

	* configure.in: Added 'xh' to ALL_LINGUAS.

2005-03-22  Alexander Larsson  <alexl@redhat.com>

	* configure.in:
	Bump version to 2.11.1
	Gnome 2.10 versions are now on the gnome-2-10 branch.

2005-03-16  Alexander Larsson  <alexl@redhat.com>

	* eel/eel-background.[ch]:
	Move desktop background setting here to be able to share
	pixmap with root window. (#169347)
	
	Patch from Nickolay V. Shmyrev 

2005-03-07  Alexander Larsson  <alexl@redhat.com>

	* eel/eel-mime-extensions.c: (eel_mime_add_application):
	Make sure user added desktop files don't conflict with global ones.
	Patch from Christian Persch

2005-03-07  Alexander Larsson  <alexl@redhat.com>

	* configure.in:
	Post release version bump

=== eel 2.10.0 ===
	
2005-03-07  Alexander Larsson  <alexl@redhat.com>

	* NEWS: 
	* configure.in:
	Update for 2.10 release

2005-03-01  Alexander Larsson  <alexl@redhat.com>

	* configure.in (LIBGLADE_REQUIRED):
	Post release version bump

=== eel 2.9.92 ===
	
2005-03-01  Alexander Larsson  <alexl@redhat.com>

	* NEWS:
	Update for release

2005-03-01  James Henstridge  <james@jamesh.id.au>

	Fixes bug #164796 (approved by Alex)

	* autogen.sh: request Automake >= 1.7.

	* eel/eel-gdk-extensions.h (EEL_RGBA_COLOR_PACK): add casts to
	guint32.  Fixes test failures on 64-bit systems.

2005-02-24  Alexander Larsson  <alexl@redhat.com>

	* eel/eel-vfs-extensions.c (eel_read_entire_file):
	Just use gnome_vfs_read_entire_file().
	We should remove this function eventually.

2005-02-11  Alexander Larsson  <alexl@redhat.com>

	* eel/eel-mime-application-chooser.c (refresh_model):
	Handle the case with no existing applications better.

2005-02-10  Alexander Larsson  <alexl@redhat.com>

	* configure.in (LIBGLADE_REQUIRED):
	Post release version bump.

=== eel 2.9.91 ===
	
2005-02-10  Alexander Larsson  <alexl@redhat.com>

	* NEWS:
	Update for release.

2005-01-26  Alexander Larsson  <alexl@redhat.com>

	* eel/eel-open-with-dialog.c (eel_open_with_dialog_finalize):
	Remove idle handlers when closing window. (#165208)

2005-01-25  Alexander Larsson  <alexl@redhat.com>

	* configure.in:
	Post release version bump

=== eel 2.9.90 ===
	
2005-01-25  Alexander Larsson  <alexl@redhat.com>

	* NEWS:
	Update for release

	* configure.in:
	Bump version to 2.9.90

2005-01-25  Alexander Larsson  <alexl@redhat.com>

	* eel/eel-open-with-dialog.c (eel_open_with_dialog_add_icon_idle):
	Don't crash if no icon .

2005-01-24  Kjartan Maraas  <kmaraas@gnome.org>

	* eel/eel-accessibility.c: (eel_accessible_text_get_type):
	* eel/eel-editable-label.c:
	(eel_editable_label_accessible_get_selection):
	* eel/eel-gdk-extensions.c: (eel_stipple_bitmap):
	* eel/eel-gtk-extensions.c:
	(eel_gtk_tree_view_set_activate_on_single_click):
	* eel/eel-preferences.c: (preferences_get_value),
	(eel_preferences_get), (eel_preferences_get_string_list):
	* eel/eel-stock-dialogs.c: (eel_show_yes_no_dialog):
	* eel/eel-string-list.c: (eel_string_list_find_by_function):
	* eel/eel-wrap-table.c: Fix a bunch of warnings from sparse.

2005-01-24  Alexander Larsson  <alexl@redhat.com>

	* eel/eel-open-with-dialog.c: (eel_open_with_dialog_instance_init):
	Mark string for translation.
	Patch from Yang Hong <yanghong@ccoss.com.cn>

2005-01-23  Martin Wehner  <martin.wehner@epost.de>

	* eel/eel-mime-application-chooser.c: (create_tree_view),
	(refresh_model): Show application icon in the selector.

	Patch from Fernando Herrera  <fernando.herrera@tecsidel.es>

2005-01-21  Alexander Larsson  <alexl@redhat.com>

	* configure.in:
	* eel/Makefile.am:
	require libgnome-desktop and libgnome-menu
	
	* eel/eel-mime-extensions.[ch]:
	(eel_mime_add_custom_mime_type_for_desktop_file),
	(eel_mime_check_for_desktop_duplicates):
	New function to check for duplicate desktop files handling a mimetype
	and to add custom mime types for desktop files.
	
	* eel/eel-open-with-dialog.c:
	Show know applications from .desktop files and move
	the entry to an expander to specify a custom app/command line.

	Patch from Fernando Herrera <fernando.herrera@tecsidel.es>
	 
2005-01-13  Alexander Larsson  <alexl@redhat.com>

	* eel/eel-alert-dialog.c (eel_alert_dialog_set_primary_label):
	Escape the text put in the markup string.

2005-01-11  Alexander Larsson  <alexl@redhat.com>

	* configure.in:
	Post release version bump.

=== eel 2.9.2 ===
	
2005-01-11  Alexander Larsson  <alexl@redhat.com>

	* NEWS:
	Update for release.

2004-11-25  Marco Pesenti Gritti  <marco@gnome.org>

	reviewed by: Alexander Larsson  <alexl@redhat.com>

	* eel/eel-mime-application-chooser.c: (refresh_model):
	* eel/eel-mime-extensions.c: (eel_mime_add_application),
	(eel_mime_check_for_duplicates):

	Replcae usage of deprecate mime apis

2004-11-24  Alexander Larsson  <alexl@redhat.com>

	* configure.in:
	Post release bump

=== eel 2.9.1 ===
	
2004-11-24  Alexander Larsson  <alexl@redhat.com>

	* NEWS:
	Update for release

2004-11-19  Alexander Larsson  <alexl@redhat.com>

	* eel/eelmarshal.list:
	Add some new needed marshallers.

2004-10-29  Alexander Larsson  <alexl@redhat.com>

	* configure.in:
	Update version to 2.9.1.
	Gnome 2.8 versions are now on the gnome-2-8 branch.
	
==== gnome-2-8 branched from here ===	

2004-10-28  Alexander Larsson  <alexl@redhat.com>

	* configure.in:
	Post release bump

=== eel 2.8.2 ===
	
2004-10-28  Alexander Larsson  <alexl@redhat.com>

	* NEWS:
	Update for release

2004-10-28  Alexander Larsson  <alexl@redhat.com>

	* eel/eel-glib-extensions.[ch]:
	New function, eel_get_filename_charset.
	
	* eel/eel-vfs-extensions.c:
	Use eel_get_filename_charset to handle filename charset.
	
2004-10-21  Alexander Larsson  <alexl@redhat.com>

	* eel/eel-canvas.c: (eel_canvas_group_draw), (eel_canvas_expose):
	Update to latest foocanvas, fix expose returning TRUE.

2004-10-15  Alexander Larsson  <alexl@redhat.com>

	* eel/eel-mime-extensions.c: (eel_mime_add_application),
	(eel_mime_check_for_duplicates):
	Handle null mimetypes (required for property page if
	file has no extension).

2004-10-11  Alexander Larsson  <alexl@redhat.com>

	* configure.in:
	Post release version bump

=== eel 2.8.1 ===
	
2004-10-11  Alexander Larsson  <alexl@redhat.com>

	* NEWS:
	Update for 2.8.1

2004-09-28  Gora Mohanty  <gmohanty@cvs.gnome.org>
                                                                                
        * configure.in: Added 'or' to ALL_LINGUAS.
    
2004-09-13  Alexander Larsson  <alexl@redhat.com>

	* configure.in:
	Post release version bump.

=== eel 2.8.0 ===
	
2004-09-13  Alexander Larsson  <alexl@redhat.com>

	* NEWS: 
	* configure.in: 
	Update for 2.8.0

2004-09-11  Abel Cheung  <maddog@linuxhall.org>

	* configure.in: Added "ang" to ALL_LINGUAS.

2004-09-06  Alexander Larsson  <alexl@redhat.com>

	* eel/eel-mime-extensions.c: (eel_mime_set_default_application):
	Create ~/.local/share/applications as needed.

2004-08-31  Alexander Larsson  <alexl@redhat.com>

	* eel/eel-mime-application-chooser.c:
	(mime_monitor_data_changed_cb):
	Refresh model when mime db changes
		
	* eel/eel-mime-extensions.c: (mime_update_program_done):
	Remove spew

2004-08-30  Alexander Larsson  <alexl@redhat.com>

	* configure.in:
	Post release version bump

=== eel 2.7.92 ===

2004-08-30  Alexander Larsson  <alexl@redhat.com>

	* NEWS: 
	Update for 2.7.92
	
	* configure.in:
	Require new libgnomeui

2004-08-25  Alexander Larsson  <alexl@redhat.com>

	* eel/eel-stock-dialogs.c (timed_wait_callback):
	Don't pop up cancel dialog if password dialog is visible.

2004-08-16  Kjartan Maraas  <kmaraas@gnome.org>

	* configure.in: Added nb to ALL_LINGUAS.

2004-08-16  Alexander Larsson  <alexl@redhat.com>

	* configure.in:
	Post release bump to 2.7.92

=== eel 2.7.4 ===

2004-08-16  Alexander Larsson  <alexl@redhat.com>

	* NEWS:
	Update for 2.7.4

	* eel/eel-canvas.c:
	Update from foocanvas.

	* configure.in:
	Require new gnome-vfs (for default application file
	type change).

2004-08-12  Alexander Larsson  <alexl@redhat.com>

	* eel/eel-canvas-rect-ellipse.c:
	* eel/eel-canvas.c: (eel_canvas_key):
	Update to latest foocanvas.

2004-08-12  Alexander Larsson  <alexl@redhat.com>

	* eel/eel-mime-extensions.c (eel_mime_set_default_application):
	Use new name for default.list toplevel section.

2004-08-09  Ray Strode  <rstrode@redhat.com>

	* eel/eel-mime-extensions.c (eel_mime_add_application),
	(eel_mime_set_default_application): free strings
	when done with them (Spotted by Kjartan Maraas, bug 149718).

2004-07-23  Christian Neumair  <chris@gnome-de.org>

	* eel/eel-mime-application-chooser.c:
	* eel/eel-open-with-dialog.c: Include gi18n-lib.h instead of gi18n.h.

2004-07-23  Christian Neumair  <chris@gnome-de.org>
	
	* configure.in: Require GNOME-VFS 2.7.5 (HEAD).

2004-07-23  Tomasz Kłoczko <kloczek@pld.org.pl>

	* configure.in: better looking PKG_CHECK_MODULES() output.

2004-07-22  Dave Camp  <dave@novell.com>

	* configure.in: Post-release version bump

=== eel 2.7.3 ===

2004-07-22  Dave Camp  <dave@novell.com>

	* configure.in: 
	* NEWS: 2.7.3

2004-07-21  Dave Camp  <dave@novell.com>

	* Merged the eel-new-mime branch.

2004-07-21  Dave Camp  <dave@novell.com>

	* configure.in:
	* eel/Makefile.am:
	* eel/eel-mime-extensions.c: (write_desktop_file),
	(mime_update_program_done), (eel_mime_add_glob_type),
	(open_temp_cache_file), (line_is_for_mime_type),
	(eel_mime_set_default_application),
	(eel_mime_application_is_user_owned),
	(eel_mime_application_remove):
	* eel/eel-mime-extensions.h:
	* eel/eel-mime-application-chooser.c:
	* eel/eel-mime-application-chooser.h:
	* eel/eel-open-with-dialog.c: (eel_open_with_dialog_instance_init),
	(eel_open_with_dialog_new), (eel_add_application_dialog_new):
	* eel/eel-open-with-dialog.h: Add the eel-mime-application-chooser
	dialog.

Wed Jul 21 18:30:25 2004  Jonathan Blandford  <jrb@redhat.com>

	* eel/eel-mime-extensions.c: (arg_is_exec_param),
	(eel_mime_check_for_duplicates): Make fit eel coding guidelines.

	* eel/eel-open-with-dialog.c (get_run_dialog_image): Get the image
	from stock.
	(eel_open_with_dialog_instance_init): Use the panel gnome-run
	stock image.

Wed Jul 21 02:54:32 2004  Jonathan Blandford  <jrb@gnome.org>

	* eel/eel-mime-extensions.h: New public function:
	eel_mime_check_for_duplicates()

	* eel/eel-mime-extensions.c: (mime_update_program_done),
	(run_update_command), (eel_mime_add_application),
	(eel_mime_add_glob_type), (arg_is_exec_param),
	(eel_mime_check_for_duplicates): New function that will check a
	command line to see if another application with that name already
	exists.  Also, the post-mime-update stuff has been modified
	slightly.
	
	* eel/eel-open-with-dialog.c: (eel_open_with_dialog_finalize),
	(eel_open_with_dialog_destroy), (check_application),
	(get_app_name), (add_or_find_application), (response_cb),
	(eel_open_with_dialog_class_init), (chooser_response_cb),
	(browse_clicked_cb), (entry_changed_cb),
	(eel_open_with_dialog_instance_init), (get_extension),
	(set_uri_and_mime_type), (eel_open_with_dialog_get_type): Some
	whitespace 'cleanups'.  Dialog packing cleanup and behavior
	changes.  Better error handling is included as well.

Mon Jul 19 22:10:59 2004  Jonathan Blandford  <jrb@gnome.org>

	* eel/eel-open-with-dialog.c (eel_open_with_dialog_new): make
	function have no return value.

2004-07-19  Dave Camp  <dave@novell.com>

	* eel/Makefile.am:
	* eel/eel-mime-extensions.c: (recursive_mkdir), (get_user_dir),
	(ensure_mime_dir), (ensure_application_dir), (write_desktop_file),
	(update_application_database), (eel_mime_add_application),
	(get_override_filename), (get_override), (write_override),
	(create_type_node), (get_type_node), (get_comment_node),
	(add_glob_node), (update_mime_database), (eel_mime_add_glob_type):
	* eel/eel-mime-extensions.h:
	* eel/eel-open-with-dialog.c: (eel_open_with_dialog_finalize),
	(eel_open_with_dialog_destroy), (check_application),
	(get_app_name), (add_application), (emit_application_selected),
	(response_cb), (entry_activate_cb),
	(eel_open_with_dialog_class_init), (chooser_response_cb),
	(browse_clicked_cb), (eel_open_with_dialog_instance_init),
	(get_extension), (set_uri_and_mime_type),
	(eel_open_with_dialog_new), (eel_open_with_dialog_get_type):
	* eel/eel-open-with-dialog.h:
	* eel/eel-preferences.c: (eel_preferences_remove_callback):
	Add an Open With dialog that adds mime types and application 
	mappings.

2004-07-05  Alexander Larsson  <alexl@redhat.com>

	* NEWS:
	Update for 2.7.2

2004-06-01  Alexander Larsson  <alexl@redhat.com>

	* configure.in:
	Post release bump

=== eel 2.7.1 ===
	
	* NEWS:
	Update for 2.7.1

2004-05-14  Alexander Larsson  <alexl@redhat.com>

	* configure.in (LIBGLADE_REQUIRED):
	Bump to 2.7.1 on HEAD, 2.6.3 is on gnome-2-6 branch

2004-05-13  Dave Camp  <dave@novell.com>

	* configure.in: Post-release version bump.

=== eel 2.6.2 ===

2004-05-13  Dave Camp  <dave@novell.com>

	* NEWS: Updated for 2.6.2.

2004-04-19  Alexander Larsson  <alexl@redhat.com>

	* configure.in:
	Post release version bump

=== eel 2.6.1 ===

2004-04-19  Alexander Larsson  <alexl@redhat.com>

	* NEWS:
	Updates for 2.6.1

2004-04-09  Guntupalli Karunakar  <karunakar@freedomink.org>

        * configure.in: Added "gu" (Gujarati) to ALL_LINGUAS.

2004-03-22  Alexander Larsson  <alexl@redhat.com>

	* configure.in:
	Bump version to 2.6.1

=== eel 2.6.0 ===

2004-03-22  Alexander Larsson  <alexl@redhat.com>

	* configure.in:
	Update to 2.6.0

2004-03-20  Guntupalli Karunakar  <karunakar@freedomink.org>

        * configure.in: Added "pa" (Punjabi) to ALL_LINGUAS.

=== eel 2.5.91.1 ===

2004-03-16  Alexander Larsson  <alexl@redhat.com>

	* NEWS: 
	* configure.in:
	Update to 2.5.91.1

	* eel/eel-editable-label.c (eel_editable_label_retrieve_surrounding_cb):
	Use correct index in gtk_im_context_set_surrounding. (#133464)
	Patch from Theppitak Karoonboonyanan 

=== eel 2.5.91 ===

2004-03-15  Alexander Larsson  <alexl@redhat.com>

	* NEWS: 
	* configure.in:
	Update to 2.5.91

=== eel 2.5.90 ===

2004-03-08  Alexander Larsson  <alexl@redhat.com>

	* NEWS: 
	* configure.in:
	Update to 2.5.90

2004-03-02  Alexander Larsson  <alexl@redhat.com>

	* eel/eel-gnome-extensions.c (eel_gnome_shell_execute_on_screen):
	* eel/Makefile.am:
	* eel/egg-screen-exec.[c]:
	Remove egg-screen-exec. Use gdk_spawn instead.

2004-03-02  Carlos Garnacho Parro  <garnacho@tuxerver.net>

	* eel/eel-gnome-extensions.c: (eel_gnome_icon_selector_new)
	made it to use the new GtkFileChooser

2004-03-02  Alexander Larsson  <alexl@redhat.com>

	* eel/eel-canvas.h:
	* eel/eel-cell-renderer-pixbuf-list.c:
	* eel/eel-editable-label.c: (eel_editable_label_key_press),
	(popup_position_func):
	* eel/eel-gdk-extensions.h:
	* eel/eel-glib-extensions.c: (eel_unsetenv):
	* eel/eel-labeled-image.c:
	* eel/eel-wrap-table.c:
	* eel/eel-wrap-table.h:
	* test/test-eel-image-table.c: (image_table_child_enter_callback),
	(image_table_child_leave_callback), (image_table_size_allocate):
	* test/test.c: (test_quit):
	* test/test.h:
	Portability fixes. Patch from bugzilla-gnome@thewrittenword.com.
	Fixes #131647.

2004-03-01  Alexander Larsson  <alexl@redhat.com>

	Patches from sun.
	
	* test/test-eel-image-table.c: (labeled_image_new):
	Fix forte compiler issue
	
	* Makefile.am:
	* configure.in:
	* eel-2.0-uninstalled.pc.in:
	Add uninstalled pkg-config file.
		
=== eel 2.5.8 ===

2004-02-23  Alexander Larsson  <alexl@redhat.com>

	* NEWS: 
	* configure.in:
	Bump to 2.5.8

2004-02-21  Christian Rose  <menthos@menthos.com>

	* configure.in: Added "en_CA" to ALL_LINGUAS.

=== eel 2.5.7 ===

2004-02-11  Alexander Larsson  <alexl@redhat.com>

	* NEWS: 
	* configure.in:
	Bump to 2.5.7

2004-02-06  Alexander Larsson  <alexl@redhat.com>

	* eel/eel-glib-extensions.c (eel_strdup_strftime):
	Fix check

2004-02-06  Alexander Larsson  <alexl@redhat.com>

	* configure.in: 
	* eel/eel-glib-extensions.c (eel_strdup_strftime):
	Check for and support SUS modifiers.

2004-02-05  Padraig O'Briain  <padraig.obriain@sun.com>

	* eel/eel-alert-dialog.c (eel_alert_dialog_new): Set role of AtkObject
	to ATK_ROLE_ALERT. Fixes bug #133273.

2004-02-05  Tomasz Kӯczko <kloczek@pld.org.pl>

	* eel/Makefile.am:
	* test/Makefile.am: trivaial fix errors for automake 1.8.x - blank
	  line following trailing backslash. Fixes are backward compatible with
	  older automake.

=== eel 2.5.6===

2004-01-30  Alexander Larsson  <alexl@redhat.com>

	* NEWS: 
	* configure.in:
	Bump to 2.5.6

2004-01-27  Alexander Larsson  <alexl@redhat.com>

	* eel/eel-canvas-util.c: (eel_canvas_get_miter_points):
	* eel/eel-canvas.c: (emit_event):
	Update from foocanvas. May fix nautilus event crash.

2004-01-19  Narayana Pattipati <narayana.pattipati@wipro.com>

	* eel/eel-editable-label.c (eel_editable_label_style_set), 
	(eel_editable_label_expose): Change the background, foreground,
	cursor and outer rectangle colors according to the theme
	selected. Fixes bugzilla bug#123207

=== eel 2.5.5 ===

2004-01-12  Dave Camp  <dave@ximian.com>

	* NEWS: 
	* configure.in: 2.5.5

2004-01-11  Dave Camp  <dave@ximian.com>

	* eel/eel-glib-extensions.h:
	* eel/eel-glib-extensions.c: (eel_g_str_list_index): New function.
	* eel/eel-gconf-extensions.h:
	* eel/eel-gconf-extensions.c: (eel_gconf_unset): New function.
	* eel/eel-preferences.h:
	* eel/eel-preferences.c:  (eel_preferences_unset): New functions.
	(eel_preferences_get_string_glist),
	(eel_preferences_set_string_glist)
	(update_auto_string_glist),
	(preferences_entry_update_auto_storage),
	(eel_preferences_add_auto_string_glist): Added a GList * 
	interface to string list properties.
	* eel/eel-string-list.h:
	* eel/eel-string-list.c: (eel_string_list_as_g_slist): 
	Implemented differently.
	(eel_string_list_as_g_list): New function.

2004-01-03  Anders Carlsson  <andersca@gnome.org>

	* eel/eel-input-event-box.c:
	* eel/eel-input-event-box.h:
	Remove these too.
	
2004-01-03  Anders Carlsson  <andersca@gnome.org>

	* test/Makefile.am: Remove test-eel-image-chooser.c

	* eel/eel.h: Remove references to removed headers.

	* eel/Makefile.am:
	* eel/eel-caption.c:
	* eel/eel-caption.h:
	* eel/eel-generous-bin.c:
	* eel/eel-generous-bin.h:
	* eel/eel-image-chooser.c:
	* eel/eel-image-chooser.h:
	* eel/eel-radio-button-group.c:
	* eel/eel-radio-button-group.h:
	* eel/eel-string-picker.c:
	* eel/eel-string-picker.h:
	* test/Makefile.am:
	Remove unused eel stuff.
	
2004-01-02  Robert Sedak  <robert.sedak@sk.htnet.hr>

        * configure.in: Added "hr" in ALL_LINGUAS.

=== eel 2.5.4 ===
	
2003-12-29  Alexander Larsson  <alexl@redhat.com>

	* NEWS: 
	* configure.in:
	2.5.4

2003-12-11  Alexander Larsson  <alexl@redhat.com>

	* eel/eel-stock-dialogs.c (show_message_dialog):
	Connect to response in the right place
	
2003-12-11  Alexander Larsson  <alexl@redhat.com>

	* configure.in:
	Require gtk+ 2.3.0
	
	* eel/Makefile.am:
	* eel/eel-alert-dialog.[ch]:
	New hig suporting dialog 

	* eel/eel-stock-dialogs.[ch]:
	Use new dialog, split up message
	in primary and secondary string.
	
	* eel/eel-gconf-extensions.c:
	* eel/eel-gnome-extensions.c:
	* test/test-eel-widgets.c:
	Use new API

	Patch from dennis_cranston@yahoo.com (with some changes)
	
=== eel 2.5.3 ===
	
2003-12-08  Alexander Larsson  <alexl@redhat.com>

	* NEWS: 
	* configure.in:
	2.5.3

2003-11-25  Padraig O'Briain  <padraig.obriain@sun.com>

	eel/eel-accessibility.c 
	(eel_accessibility_set_up_label_widget_relation): Call g_object_unref
	on AtkRelationSet to avoid memory leak. Fixes bug #127899.

=== eel 2.5.2 ===
	
2003-11-24  Alexander Larsson  <alexl@redhat.com>

	* NEWS: 
	* configure.in:
	Bump to 2.5.2

2003-11-21  Alexander Larsson  <alexl@redhat.com>

	* eel/eel-editable-label.c:
	Accessibility support, and better support
	for GtkEditable signals.
	Patch by padraig o'briain <Padraig.Obriain@Sun.COM>

=== eel 2.5.1 ===
	
2003-11-10  Alexander Larsson  <alexl@redhat.com>

	* NEWS: 
	* configure.in:
	2.5.1

2003-10-27  Gregory Merchan  <merchan@phys.lsu.edu>

	* eel/eel-gdk-extensions.c (eel_gdk_window_focus):
	Use RevertToParent as specified in the ICCCM.
	(eel_gdk_window_set_wm_hints_input):
	Guard against changes to C booleans.
	* eel/eel-gnome-extensions.c (eel_gnome_icon_selector_new)
	* eel/eel-stock-dialogs.c (timed_wait_callback)
	* eel/eel-stock-dialogs.c (eel_run_simple_dialog)
	* eel/eel-stock-dialogs.c (create_message_dialog)
	Don't set WM_CLASS. It should match the application.
	* eel/eel-gtk-extensions.c:
	Remove comment and unused #define from bad old algorithm.
	(eel_gtk_window_event_is_close_accelerator):
	Remove Escape from close accelerators; it's not HIG compliant.
	This reverts change from 2001-04-30.

2003-10-22  Alexander Larsson  <alexl@redhat.com>

	* eel/Makefile.am: 
	* test/Makefile.am:
	Disable GNOME_DISABLE_DEPRECATED for now

2003-10-21  Alexander Larsson  <alexl@redhat.com>

	* eel/eel-preferences.c:
	Fix leaks.
	Patch from Martin Wehner <martin.wehner@epost.de>

=== eel 2.5.0 ===
	
2003-10-20  Alexander Larsson  <alexl@redhat.com>

	* NEWS: 
	* configure.in:
	Bump to 2.5.0

2003-10-15  Alexander Larsson  <alexl@redhat.com>

	* eel/Makefile.am: 
	* test/Makefile.am:
	Disable GTK_DISABLE_DEPRECATED for now, since gtk 2.4
	deprecated various widgets.

2003-10-06  Christian Rose  <menthos@menthos.com>

	* configure.in: Added "mr" to ALL_LINGUAS.

2003-10-02  Padraig O'Briain  <padraig.obriain@sun.com>

	Merge from foo-canvas.c:

        * eel/eeel-canvas.c 
	(eel_canvas_item_accessible_ref_state_set):
        Do not refer to item->canvas if item can be NULL. (bug #123179)

        (eel_canvas_set_pixels_per_unit) : round
          when mapping back to integer coordinates to guard against inadverent
          decrement due to lack of precision.
          eg zoom of 0.85 == 0.849999999 would lose a pixel
	Fix from Jody Goldberg <jody@gnome.org>

       (do_update):
        Loop do_update if picking caused need_update to be set again.
        (Thanks to George <jirka@5z.com> for noticing this)
	Fix from  Alexander Larsson  <alexl@redhat.com>

2003-09-24  Dave Camp  <dave@ximian.com>

	* eel/eelmarshal.list: Added VOID:STRING,LONG,LONG,POINTER.

2003-09-19  Christian Rose  <menthos@menthos.com>

	* configure.in: Added "br" to ALL_LINGUAS.

=== eel 2.4.0 ===
	
2003-09-08  Alexander Larsson  <alexl@redhat.com>

	* NEWS: 
	* configure.in:
	2.4.0

2003-09-04  Alexander Larsson  <alexl@redhat.com>

	* eel/eel-gdk-extensions.c (eel_gdk_window_focus):
	Don't use RevertToNone

=== eel 2.3.90 ===
	
2003-09-02  Alexander Larsson  <alexl@redhat.com>

	* NEWS: 
	* configure.in: 2.3.90

2003-08-28  Christian Rose  <menthos@menthos.com>

	* configure.in: Added "ne" to ALL_LINGUAS.

=== eel 2.3.9 ===
	
2003-08-25  Alexander Larsson  <alexl@redhat.com>

	* NEWS: 
	* configure.in:
	2.3.9

=== eel 2.3.8 ===
	
2003-08-08  Alexander Larsson  <alexl@redhat.com>

	* configure.in:  2.3.8

Tue Jul 22 16:18:26 2003  George Lebl <jirka@5z.com>

	* eel/eel-gconf-extensions.[ch]: add eel_gconf_key_is_writable,
	  which calls gconf_client_key_is_writable 

	* eel/eel-preferences.[ch]: add eel_preferences_key_is_writable,
	  which in turn calls eel_gconf_key_is_writable on the full key

	* eel/eel-preferences-glade.c: When the key is not writable on
	  setup, then make the widget insensitive and then monitor the
	  state to make sure it can't be ever made sensitive (since it can't
	  be ever written)

2003-07-21  Dave Camp  <dave@ximian.com>

	* NEWS:
	* configure.in:
	Bumped to 2.3.7.

2003-07-08  Balamurali Viswanathan <balamurali.viswanathan@wipro.com>

	* configure.in: Checking for X Development libraries explicitly.
	* eel/Makefile.am: Added X_LIBS to libeel_2_la_LDFLAGS

2003-07-07  Alexander Larsson  <alexl@redhat.com>

	* eel/eel-canvas-rect-ellipse.c (render_rect_alpha):
	Update from foocanvas, fixes #116752

=== eel 2.3.6 ===
	
2003-06-27  Dave Camp  <dave@ximian.com>

	* NEWS:
	* configure.in:
	Bump version to 2.3.6.

=== eel 2.3.5 ===
	
2003-06-23  Dave Camp  <dave@ximian.com>

	* NEWS: 
	* configure.in:
	Bump version to 2.3.5.

2003-06-15  Frederic Crozat  <fcrozat@mandrakesoft.com>

	* configure.in:
	Remove -Wsign-promo and add -Wno-strict-aliasing to the list
        of options to test for. Fixes the gcc 3.3 aliasing warnings.

2003-06-13  Alexander Larsson  <alexl@redhat.com>

	* eel/eel-canvas-rect-ellipse.c: (get_color_value),
	(set_colors_and_stipples), (eel_canvas_re_update_shared),
	(eel_canvas_re_realize), (eel_canvas_ellipse_update):
	* eel/eel-canvas.c: (eel_canvas_item_dispose),
	(eel_canvas_item_unrealize), (eel_canvas_item_invoke_update),
	(eel_canvas_item_ungrab), (eel_canvas_item_request_update),
	(eel_canvas_group_unrealize), (eel_canvas_group_map),
	(eel_canvas_init), (shutdown_transients), (eel_canvas_expose),
	(do_update):
	* eel/eel-canvas.h:
	Update to latest foo-canvas.

=== eel 2.3.4 ===
	
2003-06-10  Dave Camp  <dave@ximian.com>

	* NEWS: 
	* configure.in:
	Bump version to 2.3.4.

2003-06-05 Kenneth Rohde Christiansen <kenneth@gnu.org>

	* configure.in: Added li to ALL_LINGUAS.

2003-06-04  Alexander Larsson  <alexl@redhat.com>

	* NEWS: 
	* configure.in:
	Bump version to 2.3.3.

2003-05-26  Anders Carlsson  <andersca@codefactory.se>

	* eel/Makefile.am:
	* eel/eel-caption-table.c:
	* eel/eel-caption-table.h:
	* eel/eel-password-dialog.c:
	* eel/eel-password-dialog.h:
	* eel/eel.h:
	* test/Makefile.am:
	* test/test-eel-password-dialog.c:
	* test/test-eel-widgets.c: (main), (test_radio_changed_callback):
	Remove EelCaptionTable and EelPasswordDialog since they're not 
	used anymore.
	
=== eel 2.3.2 ===

2003-05-19  Alexander Larsson  <alexl@redhat.com>

	* NEWS: 
	* configure.in:
	Bump to 2.3.2.

2003-05-15  Alexander Larsson  <alexl@redhat.com>

	* eel/eel-vfs-extensions.[ch]:
	New define EEL_DESKTOP_URI and function eel_uri_is_desktop.

=== eel 2.3.1 ===

2003-05-05  Telsa Gwynne  <hobbit@aloss.ukuu.org.uk>

       * configure.in: Added cy to ALL_LINGUAS
       * po/cy.po: Added
	
2003-05-05  Alexander Larsson  <alexl@redhat.com>

	* NEWS:
	Update

	* configure.in:
	Bump version

2003-05-04  Christian Rose  <menthos@menthos.com>

	* configure.in: Added sr and sr@Latn to ALL_LINGUAS.

2003-04-23  Masahiro Sakai  <sakai@tom.sfc.keio.ac.jp>

	* configure.in: call AC_LIBTOOL_WIN32_DLL.
	* eel/Makefile.am (libeel_2_la_LDFLAGS): add -no-undefined.

	These are necessary for building DLL on win32 platform.

2003-04-07  Alexander Larsson  <alexl@redhat.com>

	* eel/eel-canvas.c:
	Update foocanvas.

=== eel 2.2.3 ===
	
2003-03-31  Alexander Larsson  <alexl@redhat.com>

	* NEWS: 
	* configure.in:
	Bump to 2.2.3

2003-03-27  Alexander Larsson  <alexl@redhat.com>

	* eel/eel-vfs-extensions.[ch] (eel_filename_get_rename_region):
	New function to get the rename region for a filename.

2003-03-19  Alexander Larsson  <alexl@redhat.com>

	* eel/eel-accessibility.c (eel_accessibility_set_atk_object_return):
	Fix warning.

2003-03-19  Padraig O'Briain  <padraig.obriain@sun.com>

	* eel/eel-accessibility.c
	(eel_accessibility_destroy): Change function name from
	eel_accessibility_weak_unref. Remove call to g_object_unref().
	(eel_accessibility_set_atk_object_return): Use call to
	call to g_object_qdata_full() instead of g_object_weak_ref().

	This fixes bug #107725.

2003-03-18  Alexander Larsson  <alexl@redhat.com>

	* eel/eel-canvas.c (eel_canvas_set_pixels_per_unit):
	Update from foocanvas. Now less tearing when changing
	zoom level.

2003-03-17  Alexander Larsson  <alexl@redhat.com>

	* eel/eel-preferences-glade.[ch]: 

	Add eel_preferences_glade_connect_string_enum_option_menu_slave
	and eel_preferences_glade_connect_bool_slave.
	
2003-03-17  Alexander Larsson  <alexl@redhat.com>

	* eel/eel-editable-label.c (eel_editable_label_expose):
	Draw frame even if text is "".

2003-03-13  Christian Rose  <menthos@menthos.com>

	* configure.in: Added "ml" to ALL_LINGUAS.

2003-03-12  Balamurali Viswanathan <balamurali.viswanathan@wipro.com>

	*eel/eel-stock-dialogs.c
	 connect the "response" signal of the trash dialog

=== eel 2.2.2 ===
	
2003-03-10  Alexander Larsson  <alexl@redhat.com>

	* NEWS: 
	* configure.in:
	Bump version to 2.2.2.

2003-03-04  Alexander Larsson  <alexl@redhat.com>

	* eel/Makefile.am: 
	* eel/eel-input-event-box.[ch]:
	New widget. Basically GtkEventBox with a INPUT_ONLY window.

2003-03-04  Alexander Larsson  <alexl@redhat.com>

	* eel/eel-canvas.c:
	Update foocanvas. Fix a11y crash.

2003-03-04  Alexander Larsson  <alexl@redhat.com>

	* eel/eel-accessibility.[ch]:
	Publicaly export some utility functions.
	Patch from padraig.obriain@sun.com

2003-03-04  Alexander Larsson  <alexl@redhat.com>

	* eel/eel-canvas.c:
	Update foocanvas. Gets a11y support from padraig.

2003-03-03  Alexander Larsson  <alexl@redhat.com>

	* eel/eel-canvas.c:
	Update from foo-canvas. Fixes group movement,
	removes silly warning.

2003-02-28  Alexander Larsson  <alexl@redhat.com>

	* eel/eel-editable-label.[ch]:
	Add eel_editable_label_get_font_description and
	eel_editable_label_set_font_description.

2003-02-27  Taneem Ahmed  <taneem@eyetap.org>

	* configur.in: Added "bn" to ALL_LINGUAS

2003-02-25  Samúel Jón Gunnarsson <sammi@techattack.nu>

	* configur.in: Added is to ALL_LINGUAS

2003-02-21  Paisa Seeluangsawat  <paisa@colorado.edu>

	* configure.in (ALL_LINGUAS): Added "th".

2003-02-18  Christian Rose  <menthos@menthos.com>

	* configure.in: Added "ga" to ALL_LINGUAS.

2003-02-14  Alexander Larsson  <alexl@redhat.com>

	* eel/eel-glib-extensions.c (eel_unsetenv):
	Fix bug. Patch from hidetoshi.tajima@sun.com.

=== eel 2.2.1 ===
	
2003-02-11  Alexander Larsson  <alexl@redhat.com>

	* NEWS: 
	* configure.in:
	Bump version to 2.2.1

2003-02-09  Christian Rose  <menthos@menthos.com>

	* configure.in: Added "kn" to ALL_LINGUAS.

2003-02-07  Abel Cheung  <maddog@linux.org.hk>

	* configure.in: Removed "ga" from ALL_LINGUAS. Empty translation file.

2003-02-06  Christian Rose  <menthos@menthos.com>

	* configure.in: Added "id" to ALL_LINGUAS.

2003-02-05  James M. Cape  <jcape@ignore-your.tv>

	* eel/eel-background.c,
	eel/eel-canvas-rect-ellipse.c,
	eel/eel-canvas.c,
	eel/eel-cell-renderer-pixbuf-list.c,
	eel/eel-editable-label.c,
	eel/eel-gdk-pixbuf-extensions.c,
	eel/eel-gnome-extensions.c,
	eel/eel-stock-dialogs.c,
	test/test-eel-image-table.c:
	Replace gtk+ functions deprecated in 2.3.

=== eel 2.2.0.2 ===

2003-01-27  Dave Camp  <dave@ximian.com>

	* NEWS: 
	* configure.in: 2.2.0.2

=== eel 2.2.0.1 ===

2003-01-22  Dave Camp  <dave@ximian.com>

	* NEWS:
	* configure.in: 2.2.0.1

2003-01-21  Christian Rose  <menthos@menthos.com>

	* configure.in: Added "mn" to ALL_LINGUAS.

=== eel 2.2.0 ===

2003-01-20  Dave Camp  <dave@ximian.com>

	* NEWS:
	* configure.in: 2.2.0.

2003-01-17  Alexander Larsson  <alexl@redhat.com>

	* eel/eel-preferences-glade.c:
	Correct previous fix.
	
2003-01-17  Alexander Larsson  <alexl@redhat.com>

	* eel/eel-preferences-glade.c:
	Fix a bug in the handling of the hashtable for int enums.

=== eel 2.1.91 ===

2003-01-13  Alexander Larsson  <alexl@redhat.com>

	* NEWS: 
	* configure.in:
	Bump to 2.1.91.

2003-01-13  Alexander Larsson  <alexl@redhat.com>

	* eel/eel-background.c:
	Hack in eel_background_set_up_widget to always get the right size
	for desktop window pixmaps. This is needed since bonoboplug children
	gets realized at the wrong size first and then the correct size.
	This hack allows us to not load the background image twice and to
	not flicker.
	Don't draw the background for canvases. This is not needed since
	we set up the correct window background.

2003-01-12  Pablo Saratxaga  <pablo@mandrakesoft.com>

	* configure.in: Added Amharic (am) and Farsi (fa) to ALL_LINGUAS

=== eel 2.1.6 ===

2003-01-06  Dave Camp  <dave@ximian.com>

	* NEWS:
	* configure.in: 2.1.6.

2002-12-17  Alexander Larsson  <alexl@redhat.com>

	* configure.in:
	* eel/Makefile.am:
	* test/Makefile.am:
	-pthread build fixes

=== eel 2.1.5 ===
	
2002-12-16  Alexander Larsson  <alexl@redhat.com>

	* NEWS: 
	* configure.in:
	Bump to 2.1.5

2002-12-13  Alex Duggan   <aldug@gnome.org>
 	
   * configure.in:
   * eel-2.0.pc.in:
   * eel.spec.in:
   remove libgnomecanvas deps
   
=== eel 2.1.4 ===
	
2002-12-09  Alexander Larsson  <alexl@redhat.com>

	* configure.in: 
	* NEWS:
	Bump to 2.1.4

2002-12-05  Dave Camp  <dave@ximian.com>

	* eel/eel-gnome-extensions.c: (list_icon_selected_callback): Free
	the return value of gnome_icon_selection_get_icon().  Patch from
	Jörgen Viksell <jorgen.viksell@telia.com>

Wed Dec  4 12:50:35 2002  HideToshi Tajima  <hidetoshi.tajima@sun.com>

	* eel/eel-editable-label.c (eel_editable_label_ensure_layout):
	Fix bugzilla.gnome.org #95429 - set input method text to pango layout.

=== eel 2.1.3 ===
	
2002-11-25  Alexander Larsson  <alexl@redhat.com>

	* eel/eel-vfs-extensions.c:
	Fix checks so we distcheck.
	
2002-11-25  Alexander Larsson  <alexl@redhat.com>

	* configure.in: 
	* NEWS:
	Bump to 2.1.3.

2002-11-21  Alexander Larsson  <alexl@redhat.com>

	* eel/eel-background.[ch]:
	(eel_background_set_up_widget):
	Set the background pixmap/color on the right window for canvas widgets.
	(eel_background_get_suggested_pixmap_size):
	New function.

	Based on patch from Brian.Cameron@sun.com
	
2002-11-19  Alexander Larsson  <alexl@redhat.com>

	* eel/eel-editable-label.[ch]:
	Don't use private gtk functions.

2002-11-05  Dave Camp  <dave@ximian.com>

	* test/Makefile.am:
	* test/test-eel-widgets.c: (main),
	(string_picker_changed_callback):
	* test/test.c:
	* test/test.h: Took out the tests of removed code. 

2002-11-05  Diego Gonzalez  <diego@pemas.net>

	* po/POTFILES.in: remove eel/eel-preferencs-box.c
	* eel/Makefile.am: remove eel-font-picker.[c-h],
	eel-preferences-box.[c-h], eel-preferences-group.[c-h],
	eel-preferences-item.[c-h], eel-preferences-pane.[c-h],
	eel-text-caption.[c-h] from the build, these files aren't
	used anymore

	* eel/eel.h: remove those headers from here.

2002-11-04  Diego González  <diego@pemas.net>

	* eel/eel-gnome-extensions.h:
	* eel/eel-gnome-extensions.c: (get_set_value_imethod),
	(do_nothing_cb), (eel_bonobo_pbclient_set_value_async):
	remove these functions since they are now in libbonobo

2002-11-04  Alexander Larsson  <alexl@redhat.com>

	* eel/eel-gdk-pixbuf-extensions.c: (file_read_callback):
	Fix bug with failed reads.

	* eel/eel-wrap-table.c: (eel_wrap_table_class_init),
	(eel_wrap_table_init), (eel_wrap_table_realize),
	(wrap_table_get_num_fitting), (wrap_table_layout),
	(wrap_table_get_max_child_dimensions):
	Correct size request.
	Patch from Jan Arne Petersen <jpetersen@gnome-de.org>

2002-11-03  Dmitry G. Mastrukov  <dmitry@taurussoft.org>

	* configure.in: Added Belarusian to ALL_LINGUAS

=== eel 2.1.2 ===
	
2002-10-31  Dave Camp  <dave@ximian.com>

	* MAINTAINERS: Updated.

	* configure.in:
	* NEWS: 2.1.2

2002-10-31  Dave Camp  <dave@ximian.com>
	
	* eel/eel-background.c: (eel_background_class_init),
	(eel_background_set_image_placement), (eel_background_set_color),
	(eel_background_set_image_uri_helper),
	(set_image_and_color_image_loading_done_callback),
	(eel_background_set_image_uri_and_color),
	(eel_background_receive_dropped_background_image),
	(eel_background_receive_dropped_color): * eel/eel-background.h:
	Take a GdkDragAction argument to the receive_dropped_* functions,
	and pass it on in the changed signal.

2002-10-31  Dave Camp  <dave@ximian.com>

	* eel/Makefile.am:
	* eel/eel-preferences-glade.c:
	* eel/eel-preferences-glade.h: New files to connect glade widgets to
	preferences.  Patch from Jan Arne Petersen <jpetersen@uni-bonn.de>.

2002-10-25  Dave Camp  <dave@ximian.com>

	* eel/Makefile.am: Oops.  Removed extra \ at the end of a
	commented out line.

2002-10-19  Dave Camp  <dave@ximian.com>

	* eel/Makefile.am: Take out -DBONOBO_DISABLE_DEPRECATED while the
	make_registration_id() api is being worked out.

=== eel 2.1.1 ===

2002-10-14  Alexander Larsson  <alexl@redhat.com>

	* NEWS:
	Added news items

	* configure.in:
	Bump version to 2.1.1

2002-10-02  Mark McLoughlin  <mark@skynet.ie>

	* acconfig.h: define HAVE_GTK_MULTIHEAD
	for egg-screen-exec.c.

	* configure.in: require gtk 2.1.0 and remove
	HAVE_GTK_MULTIHEAD define.

	* eel/eel-gnome-extensions.c,
	  eel/eel-gtk-extensions.c,
	  eel/eel-gdk-extensions.c: don't conditionally
	build multihead support, gtk HEAD is required.

2002-10-02  Mark McLoughlin  <mark@skynet.ie>

	* eel/eel-gdk-extensions.c:
	(eel_stipple_bitmap_for_screen): use gdk_screen_get_display
	instead of assuming the default display.

	* eel/eel-gnome-extensions.c:
	(eel_gnome_shell_execute_on_screen): use the default screen
	if screen == NULL.

2002-10-02  Mark McLoughlin  <mark@skynet.ie>

	* eel/eel-gnome-extensions.[ch]:
	(eel_gnome_shell_execute_on_screen): rename from
	eel_gnome_screen_shell_execute.
	(eel_gnome_shell_execute): update.
	(eel_gnome_open_terminal_on_screen): rename from
	eel_gnome_screen_open_terminal.
	(eel_gnome_open_terminal): update.

2002-10-02  Mark McLoughlin  <mark@skynet.ie>

	* eel/eel-gtk-extensions.c: (eel_gtk_window_set_initial_geometry):
	fix build without HAVE_GTK_MULTIHEAD.

	* eel/egg-screen-exec.c: sync with libegg.

2002-10-02  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: add check for gtk with multihead support.

	* eel/Makefile.am: add egg-screen-exec.[ch] to the build.

	* eel/eel-gdk-extensions.[ch]:
	(eel_stipple_bitmap_for_screen): implement per screen stipple
	bitmaps.
	(eel_stipple_bitmap): use eel_stipple_bitmap_for_screen.

	* eel/eel-gnome-extensions.[ch]:
	(eel_gnome_screen_shell_execute): implement.
	(eel_gnome_screen_open_terminal): implement.
	(eel_gnome_open_terminal):

	* eel/eel-gtk-extensions.c:
	(eel_gtk_window_set_initial_geometry):
	use gdk_screen_get_(width|height).

2002-10-01  Alexander Larsson  <alexl@redhat.com>

	* eel/eel-editable-label.[ch]:
	Added eel_editable_label_set_line_wrap_mode.

2002-09-30  Alexander Larsson  <alexl@redhat.com>

	* eel/eel-editable-label.c:
	Implement GtkEditable
	
2002-09-30  Alexander Larsson  <alexl@redhat.com>

	* eel/eel-editable-label.c:
	Finish cut/paste and other stuff.

=== eel 2.1.0 ===

2002-09-27  Dave Camp  <dave@ximian.com>

	* NEWS: Updated.

2002-09-27  Alexander Larsson  <alexl@redhat.com>

	* configure.in:
	Bump version to 2.1.0.

2002-09-26  Alexander Larsson  <alexl@redhat.com>

	* eel/eel-editable-label.c:
	Remove leftover debug spew.

2002-09-26  Alexander Larsson  <alexl@redhat.com>

	* test/Makefile.am:
	* test/test-eel-canvas-items.c:
	Remove canvas item test.

2002-09-26  Alexander Larsson  <alexl@redhat.com>

	* eel/Makefile.am:
	Add new files, remove old files.
	
	* eel/README.canvas:
	* eel/eel-canvas.[ch]:
	* eel/eel-canvas-util.[ch]:
	* eel/eel-canvas-rect-ellipse.[ch]:
	Import gtk+ only canvas from foocanvas.

	* eel/eel-canvas-rect.[ch]:
	Remove old rect object not longer needed.
	
	* eel/eel-gnome-extensions.[ch]:
	Remove old canvas extensions no longer needed.
	
	* eel/eel-background.[ch]:
	Update to the new canvas.
	
	* eel/eel-editable-label.[ch]:
	New editable label for rename mode.
	
	* eel/eel-lib-self-check-functions.h:
	Remove old tests.
	
	* eel/eelmarshal.list:
	New marshallers.
	
	* test/Makefile.am:
	* test/test-eel-editable-label.c:
	Small test for EelEditableLabel

2002-09-15  Dave Camp  <dave@ximian.com>

	* eel/eel-preferences-item.h:
	* eel/eel-preferences-item.c:
	(eel_preferences_item_set_description),
	(eel_preferences_item_set_accessible_description),
	(eel_preferences_item_set_accessible_description_array): Allow users
	to set accessible descriptions of preferences items.
	* eel/eel-preferences-box.c: (preferences_box_populate_pane):
	* eel/eel-preferences-box.h: Allow the user to specify accessible
	descriptions for the controls.
	* eel/eel-radio-button-group.c:
	(eel_radio_button_group_set_entry_accessible_description),
	* eel/eel-radio-button-group.h: Allow the user to specify
	accessible descriptions for the radio buttons.

2002-09-10  jacob berkman  <jacob@ximian.com>

	* eel/eel-types.c: define EEL_COMPILATION

	* eel/Makefile.am (INCLUDES): don't define EEL_COMPILATION

	this fixes actual build problems on OS X, but wasn't correct
	anywhere.

2002-09-10  Dave Camp  <dave@ximian.com>

	* eel/eel-background.c: (eel_background_ensure_realized),
	(eel_background_set_color_no_emit), (eel_background_set_use_base): 
	If requested, use base as the fallback color instead of bg.
	
2002-09-04  Christian Rose  <menthos@menthos.com>

	* configure.in: Added "he" to ALL_LINGUAS.

2002-09-03  Michael Meeks  <michael@ximian.com>

	* eel/eel-background.c
	(eel_background_load_image_callback): disable,
	until the nautilus side is re-thunk.

2002-09-03  Michael Meeks  <michael@ximian.com>

	* eel/eel-background.c
	(set_image_and_color_image_loading_done_callback): 
	don't double emit apperance_changed occasionaly.
	(eel_background_class_init): add determine_image_placement.
	(eel_background_load_image_callback): call signal.
	[ based on Thomas Meeks' prototype ]

	* eel/eelmarshal.list: add enum:int,int

2002-08-30  Alexander Larsson  <alexl@redhat.com>

	branched of gnome 2.0.x development to gnome-2-0 branch.

=== eel 2.0.6 ===
	
2002-08-28  Alexander Larsson  <alexl@redhat.com>

	* NEWS:
	* configure.in:
	Bumped to 2.0.6.

=== eel 2.0.5 ===

2002-08-23  Alexander Larsson  <alexl@redhat.com>

	* NEWS: 
	* configure.in:
	Version bumped to 2.0.5.

=== eel 2.0.4 ===

2002-08-14  Alexander Larsson  <alexl@redhat.com>

	* configure.in:
	Version bumped to 2.0.4

2002-08-12  Dave Camp  <dave@ximian.com>

	* eel/eel-string-picker.c: (eel_string_picker_set_string_list):
	Use eel_string_list_peek_nth() instead of eel_string_list_nth().
	Fixes a small leak.
	
=== eel 2.0.3 ===

2002-08-05  Dave Camp  <dave@ximian.com>

	* NEWS: Updated.
	* configure.in: 2.0.3.

2002-07-28  Christian Rose  <menthos@menthos.com>

	* configure.in: Added "sq" to ALL_LINGUAS.

2002-07-27  Dave Camp  <dave@ximian.com>

	* eel/eel-background.c: (widget_realize_cb),
	(eel_get_widget_background): Set up the widget background on
	realize.

2002-07-27  Dave Camp  <dave@ximian.com>

	* eel/eel-background.c: (widget_style_set_cb),
	(eel_get_widget_background): Put back the style_set handler.

=== eel 2.0.2 ===

2002-07-25  Dave Camp  <dave@ximian.com>

	* NEWS: Add a list of changes.
	* configure.in: Bump version to 2.0.2.

2002-07-25  Pablo Saratxaga  <pablo@mandrakesoft.com>

	* configure.in: Added Bosnian (bs) to ALL_LINGUAS

2002-07-24  Dave Camp  <dave@ximian.com>

	* eel/Makefile.am: Build eel-background-box.[ch], don't build
	eel-background-style.[ch].
	* eel/eel-background-style.[ch]: Removed.
	* eel/eel-background-box.[ch]: New widget that handles background
	drawing itself.
	* eel/eel-background.c: (eel_background_init),
	(eel_get_widget_background): Removed the style setting and font
	updating code.  This is now the responsibility of the widget using
	the EelBackground.
	(eel_background_expose): Helper function for widgets using
	EelBackground.
	(eel_background_set_up_widget): New function.
	(eel_widget_background_changed): Call
	eel_background_set_up_widget().

=== eel 2.0.1 ===
	
2002-07-22  Alexander Larsson  <alexl@redhat.com>

	* NEWS: 
	* configure.in:
	Bump version to 2.0.01.
	Add list of changes.

2002-07-18  Federico Mena Quintero  <federico@ximian.com>

	Fixes the eel part of #46238; see Nautilus for the rest of the fix.

	* eel/eel-background.c (eel_background_ensure_realized): If we
	fail to parse the color spec, don't default to white.  Instead use
	the background color from the widget's style.
	(widget_style_set_cb): New callback for the widget's "style_set"
	signal.  We regenerate the background and its style when the theme
	changes.
	(eel_background_set_widget_style): We need a little hack here to
	unset the GTK_USER_STYLE flag because otherwise we will not be
	notified of theme changes through the "style_set" signal.  The
	real solution is not to use a style of our own, but rather paint
	the widget by hand when needed.
	(eel_background_init): Start with is_solid_color = TRUE.

2002-07-17  Frank Worsley  <fworsley@shaw.ca>

	* eel/eel-gtk-extensions.c:
	* eel/eel-gtk-extensions.h:
	(eel_gtk_window_set_initial_geometry_from_string):
	add an ignore_position parameter
	
2002-07-12  Damon Chaplin  <damon@ximian.com>

	* eel/eel-gtk-extensions.c (eel_gtk_button_new_with_stock_icon): new
	function to create a button with a mnemonic label and a stock icon.
	GTK+ doesn't make this easy. Needed for bug #85666.

2002-07-10  Dave Camp  <dave@ximian.com>

	* eel/eel-gtk-extensions.c: (tree_view_button_press_callback),
	(eel_gtk_tree_view_set_activate_on_single_click): New functions 
	to make a GtkTreeView activate a row on a single click.
	* eel/eel-gtk-extensions.h: Prototype for
	eel_gtk_tree_view_set_activate_on_single_click.
	* eel/eel-image-chooser.c: (eel_image_chooser_row_activated),
	(eel_image_chooser_finalize), (eel_image_chooser_instance_init),
	(eel_image_chooser_get_selected_path),
	(eel_image_chooser_set_selected_row): Only send a changed event
	when the user activates the row.

2002-07-10  Michael Meeks  <michael@ximian.com>

	* eel/eel-gdk-pixbuf-extensions.c
	(eel_gdk_pixbuf_average_value): unsigned
	dividend, width, height.
	split out loop invariant and simplify,
	killing umpteen multiplies for non-alpha case.

2002-07-09  Michael Meeks  <michael@ximian.com>

	* eel/eel-gdk-pixbuf-extensions.c (destroy_global_buffer),
	(eel_gdk_pixbuf_get_global_buffer): move these into the only
	place that uses them, and hide.

	* test/test-eel-pixbuf-tile.c: here
	(pixbuf_drawing_area_expose_event): upd.

2002-07-09  Damon Chaplin  <damon@ximian.com>

	* eel/eel-preferences-box.c (eel_preferences_box_new): added a
	'Cat_egories' label and mnemonic accel above the list. Fixes part
	of bug #85673.

	* eel/eel-preferences-group.c (eel_preferences_group_new): set the
	border width of the second column of prefs to match the first.

2002-07-08  Michael Meeks  <michael@ximian.com>

	* eel/eel-labeled-image.c
	(eel_labeled_image_get_accessible): cope better
	with the no a11y scenario.

2002-07-08  Michael Meeks  <michael@ximian.com>

	* eel/eel-labeled-image.c
	(eel_labeled_image_radio_button_get_type): impl.
	(eel_labeled_image_radio_button_new_from_file_name),
	(eel_labeled_image_radio_button_new): impl.

2002-07-02  Michael Meeks  <michael@ximian.com>

	* configure.in: use libglade.

	* eel-2.0.pc.in (Requires): upd.

	* eel/eel-labeled-image.c (eel_labeled_image_set_text):
	set text with mnemonic.
	(eel_labled_set_mnemonic_widget): impl.
	(eel_labeled_*_button_new): set the mnemonic widget.

	* eel/eel-gnome-extensions.c (eel_glade_get_file): impl.

2002-06-28  Marco Pesenti Gritti  <marco@it.gnome.org>

	* eel/eel-gtk-extensions.c (eel_popup_menu_position_func):
	Remove context menus custom positioning code to be consistent
	with other gnome applications.

2002-06-27  Frank Worsley  <fworsley@shaw.ca>

	* eel/eel-vfs-extensions.c: (eel_vfs_has_capability_uri):
	* eel/eel-vfs-extensions.h:
	implemented EEL_VFS_CAPABILITY_SAFE_TO_EXECUTE

2002-06-25  Dave Camp  <dave@ximian.com>

	* eel/eel-vfs-extensions.c (eel_vfs_has_capability_uri): Moved
	here from eel_vfs_test_capabilities().
	(eel_vfs_has_capability): New function, takes a string uri.
	* eel/eel-vfs-extensions.h: Changed EelVfsTest to EelVfsCapability,
 	and EEL_VFS_TEST_* to EEL_VFS_CAPABILITY_*.

2002-06-25  Frederic Crozat  <fcrozat@mandrakesoft.com>

	* acconfig.h:
	* configure.in:
	* eel/Makefile.am:
	* eel/check-program.c: (main):
	* eel/eel-enumeration.c:
	* eel/eel-gconf-extensions.c:
	* eel/eel-glib-extensions.c:
	* eel/eel-gnome-extensions.c:
	* eel/eel-i18n.c: (_eel_gettext):
	* eel/eel-i18n.h:
	* eel/eel-password-dialog.c:
	* eel/eel-preferences-box.c:
	* eel/eel-stock-dialogs.c:
	* eel/eel-vfs-extensions.c:
	* eel/eel-xml-extensions.c:
	Use our own _() macro to ensure bind_textdomain_codeset is set
       	(when available)


2002-06-14  Satyajit Kanungo  <satyajit.kanungo@wipro.com>

	* eel/eel-preferences-box.c : Added a call to get the active pane
	  for eel preference dialog box. (Applied by Damon Chaplin.)

2002-06-13  Dave Camp  <dave@ximian.com>

	* eel/eel-stock-dialogs.c: (eel_run_simple_dialog): Don't try to
	connect to the delete_event signal of the dialog, and handle
	gtk_dialog_run() returning GTK_RESPONSE_DELETE_EVENT.  Fixes 
	#78948.

2002-06-12  Damon Chaplin  <damon@ximian.com>

	* eel/eel-gnome-extensions.c (icon_selected): hide the dialog at the
	start of the function and set the dismissed flag to indicate we're
	acting on it, so if we do get called again we just return.
	Fixes bug #84134.

2002-06-10  Alexander Larsson  <alla@lysator.liu.se>

	* eel/eel-preferences-box.c: change treeview shadow type
	to GTK_SHADOW_IN and add some spacing for consistency with
	the rest of gnome.

	Patch from Jorn Baayen  <jorn@nl.linux.org>

2002-06-10  Alexander Larsson  <alla@lysator.liu.se>

	* NEWS:
	Update version nr.

	* configure.in:
	Update requirements to latest versions of everything.

2002-06-10  Naba Kumar <kh_naba@users.sourceforge.net>

	* configure.in: Added hi in ALL_LINGUAS.

2002-06-09  Abel Cheung  <maddog@linux.org.hk>

	* eel/eel-glib-extension.c: Clarify the comment about
	strftime check.

2002-06-07  Damon Chaplin  <damon@ximian.com>

	* test/Makefile.am (INCLUDES): 
	* eel/Makefile.am (INCLUDES): use $(prefix)/${DATADIRNAME}/locale
	instead of $(datadir)/locale so it works on Solaris.

2002-06-06  Michael Meeks  <michael@ximian.com>

	* eel/eel-vfs-extensions.c
	(eel_vfs_test_capabilities): impl.

2002-06-06  Michael Meeks  <michael@ximian.com>

	* Version 2.0.0

2002-06-06  Jacob Berkman  <jacob@ximian.com>

	* eel/eel-gdk-extensions.c: pangoxft.h is not present on all
	systems, i think it's safe to just include pango/pango.h

2002-06-04  Yanko Kaneti <yaneti@declera.com>

	* configure.in: (ALL_LINGUAS) Added Bulgarian (bg).

=== eel 1.1.17 ===

2002-06-03  Alex Larsson  <alexl@redhat.com>

	* NEWS:
	Add some actual changes.

2002-06-03  Alexander Larsson  <alla@lysator.liu.se>

	* NEWS:
	* configure.in:
	Bump version to 1.1.17
	
2002-05-31  Alex Larsson  <alexl@redhat.com>

	* eel/eel-gdk-extensions.[ch] (eel_gdk_draw_layout_with_drop_shadow):
	Add new function.

2002-05-28  Havoc Pennington  <hp@redhat.com>

	* eel/eel-gdk-pixbuf-extensions.c: remove bogus #include <png.h>,
	we no longer use libpng

2002-05-27  Michael Meeks  <michael@ximian.com>

	* eel/eel-vfs-extensions.c
	(eel_make_valid_utf8): copy from nautilus
	(eel_format_uri_for_display_internal): use it
	for awkward (invalid) cases, that we still need to
	display in an error dialog.

=== eel 1.1.16 ===
	
2002-05-27  Alexander Larsson  <alla@lysator.liu.se>

	* NEWS:
	* configure.in:
	Bump version to 1.1.16

2002-05-23  Michael Meeks  <michael@ximian.com>

	* eel/eel-vfs-extensions.c
	(eel_format_uri_for_display_internal): move the utf8
	validation assert down to after we've handled 'locale_encoded
	filenames' as best we can.

2002-05-22  Michael Meeks  <michael@ximian.com>

	* eel/eel-vfs-extensions.c (eel_is_valid_uri): impl.

2002-05-21  Damon Chaplin  <damon@ximian.com>

	* eel/eel-gnome-extensions.c (eel_gnome_icon_selector_new): store
	the dialog pointer before calling eel_remove_weak_pointer(), as that
	will set it to NULL. We want to return it.

	* eel/eel-gdk-pixbuf-extensions.c (eel_gdk_pixbuf_load): close the
	pixbuf loader if we get a vfs error. It complains if we unref it
	without closing it.

=== eel 1.1.15 ===
	
2002-05-20  Alex Larsson  <alexl@redhat.com>

	* NEWS:
	* configure.in:
	Bump version to 1.15.

2002-05-18  Kjartan Maraas  <kmaraas@gnome.org>

	* configure.in: Added "mk" to ALL_LINGUAS.
	
2002-05-16  Michael Meeks  <michael@ximian.com>

	* eel/eel-background-style.c (eel_background_style_draw_flat_box):
	unref the pixmap instead of leaking it if not changes_with_size.

2002-05-16  Mark McLoughlin  <mark@skynet.ie>

	* eel/eel-pango-extensions.c: (measure_string_width),
	(compute_character_widths), (eel_string_ellipsize_start),
	(eel_string_ellipsize_end), (eel_string_ellipsize_middle),
	(eel_self_check_ellipsize): don't create redundant layouts
	when doing calculations. Just use the one we've already
	created.

2002-05-14  Federico Mena Quintero  <federico@ximian.com>

	* eel/eel-text-caption.c (entry_key_press_callback): Event
	handlers should return a gboolean!  Fixes #75229.

=== eel 1.1.14 ===
	
2002-05-13  Alex Larsson  <alexl@redhat.com>

	* NEWS: 
	* configure.in:
	Update to 1.1.14

2002-05-12  Anders Carlsson  <andersca@gnu.org>

	* eel/eel-pango-extensions.c 
	(eel_pango_layout_fit_to_dimensions): Fix this utterly broken
	function by rewriting parts of it. Fixes #81183, reported
	by Owen Taylor.

2002-05-11  Alexander Larsson  <alla@lysator.liu.se>

	* eel/eel-background.c: (eel_background_start_loading_image),
	(eel_background_set_style_font_from_default),
	(eel_background_set_widget_style), (eel_widget_font_changed),
	(eel_get_widget_background):
	Hacks to update the style when the default font changes.

2002-05-08  Damon Chaplin  <damon@ximian.com>

	* eel/eel-gnome-extensions.c (eel_gnome_icon_selector_new): connect
	the dialog signals up before calling gnome_icon_selection_show_icons()
	and also add a weak pointer to the dialog. We need to do this as
	GnomeIconSelection reenters the main loop while loading icons, so
	it can be closed or a button can be clicked before returning.
	Fixes bug #75387.

=== eel 1.1.13 ===
	
2002-05-04  David Emory Watson  <dwatson@cs.ucr.edu>

	This is needed to fix bug 46582.

	* configure.in:
	* NEWS: Bump version to 1.1.13.

	* eel/eel-vfs-extensions.c:
	* eel/eel-vfs-extensions.h:
	(eel_make_uri_from_input_internal): Optionally strip trailing
	whitespace since it could be part of a valid uri.
	(eel_make_uri_from_input): Update.
	(eel_make_uri_from_input_with_trailing_ws): New.

2002-04-30  Alexander Larsson  <alla@lysator.liu.se>

	* eel/eel-preferences-item.c
	(enumeration_menu_changed_callback),
	(enumeration_list_changed_callback):
	Don't use the translated string when looking up the enumeration position.
	Fixes #64696
	
2002-04-29  Pablo Saratxaga  <pablo@mandrakesoft.com>

	* configure.in: Added Vietnamese (vi) to ALL_LINGUAS
	* configure.in: Added Walloon (wa) to ALL_LINGUAS
	* configure.in: Added Basque (eu) to ALL_LINGUAS

=== eel 1.1.12 ===
	
2002-04-28  Alexander Larsson  <alla@lysator.liu.se>

	* configure.in:
	* NEWS:
	Bump version to 1.1.12.

2002-04-28  Alexander Larsson  <alla@lysator.liu.se>

	* configure.in:
	Removed -Wcast-align. This broke the build for Alpha on RH 7.1,
	even in header files! And it's not that useful.
	See bug #79860.

2002-04-27  Murray Cumming  <murrayc@usa.net>

	*  eel/eel-stock-dialogs.c (eel_show_yes_no_dialog):
	Bug #80072:
	Use eel_create_question_dialog instead() of show_message_dialog()
	so that the custom button titles can be used.

2002-04-26  Gustavo Giráldez  <gustavo.giraldez@gmx.net>

	* eel/eel-ellipsizing-label.c (real_finalize): chain call to
	parent class' finalize.

2002-04-22  Anders Carlsson  <andersca@gnu.org>

	* eel/eel-image-chooser.c: (eel_scrolled_image_chooser_new):
	Set shadow type to GTK_SHADOW_IN. Fixes #73389.
	
=== eel 1.1.11 ===
	
2002-04-21  Alexander Larsson  <alla@lysator.liu.se>

	* configure.in:
	* NEWS:
	Bump version to 1.1.11.

2002-04-21  Alexander Larsson  <alla@lysator.liu.se>

	* eel/eel-background.c (eel_background_ensure_image_scaled):
	Work around the fact that scaling large pixbufs to 1x1 crashes
	while allocating several gigs of memory.

2002-04-21  Anders Carlsson  <andersca@gnu.org>

	* eel/eel-gtk-extensions.c: (eel_gtk_label_set_scale),
	(get_layout_location), (eel_gtk_label_expose_event),
	(eel_gtk_label_size_request), (set_up_label),
	(eel_gtk_label_set_drop_shadow_color),
	(eel_gtk_label_set_drop_shadow_offset):
	* eel/eel-gtk-extensions.h:
	Add eel_gtk_label_set_drop_shadow_color and
	eel_gtk_label_set_drop_shadow_offset functions.
	
2002-04-18  Michael Meeks  <michael@ximian.com>

	* eel/eel-gnome-extensions.c
	(do_nothing_cb, get_set_value_imethod),
	(eel_bonobo_pbclient_set_value_async): impl.
	async property setter to cut throbber
	latency.

2002-04-17  Anders Carlsson  <andersca@gnu.org>

	* eel/eel-background.c: (eel_background_start_loading_image):
	If we load the pixbuf sync, unref it so that we won't leak it.
	
	* eel/eel-image-chooser.c: (eel_image_chooser_cell_data_func):
	Free strings.
	
	* eel/eel-labeled-image.c: (eel_labeled_image_class_init),
	(eel_labeled_image_destroy), (eel_labeled_image_forall):
	Add a ::destroy handler that destroys the image and label.
	
	* eel/eel-preferences-box.c:
	(preferences_box_category_list_recreate):
	Free the GtkTreeIter.
	
	* eel/eel-preferences-item.c:
	(preferences_item_update_editable_integer):
	Free the caption.
	
2002-04-17  Anders Carlsson  <andersca@gnu.org>

	* eel/eel-background.c (eel_background_finalize): 
	Free details after using it, not before.

	* eel/eel-preferences.c: (eel_preferences_get_enum):
	Free enums.
	
	* eel/eel-string-list.c: (eel_string_list_peek_nth):
	* eel/eel-string-list.h:
	Add eel_string_list_peek_nth which does not strdup the
	string returned.

=== eel 1.1.10 ===
	
2002-04-14  Alexander Larsson  <alla@lysator.liu.se>

	* NEWS:
	* configure.in:
	Bump version to 1.1.10

2002-04-14  Alexander Larsson  <alla@lysator.liu.se>

	* eel/eel-gnome-extensions.c (eel_gnome_canvas_set_scroll_region):
	Don't request_update all item unless the top left corner of
	the scroll region changed.

2002-04-13  Alexander Larsson  <alla@lysator.liu.se>

	* eel/eel-gnome-extensions.c (eel_gnome_shell_execute):
	Print a warning on failure. For debugging purposes.

2002-04-12  Jody Goldberg <jody@gnome.org>

	* eel/eel-gnome-extensions.c (eel_gnome_shell_execute) : no one uses
	  the return type anyway, remove it and make this a wrapper around
	  g_spawn_command_line_async.  Fixes lots of problems.

2002-04-12  Padraig O'Briain  <padraig.obriain@sun.com>

	* configure.in:
	Update required GAIL version to 0.13

	* eel/eel-accessibility.h:
	gailtextutil.h has moved from util directory to libgail-util

	* eel/eel-accessibility.c:
	Update calls to gail_text_util_get_substring as start_pos and end_pos
	arguments have been changed from gint* to gint

2002-04-07  Alexander Larsson  <alla@lysator.liu.se>

	* eel/eel-preferences-item.[ch]:
	Add EEL_PREFERENCE_ITEM_ENUMERATION_MENU_INTEGER type that
	stores the integer value of the enum. This is needed for
	the Nautilus thumbnail size limit.

2002-04-04  Dave Camp  <dave@ximian.com>

	* eel/eel-preferences-item.c
	(eel_preferences_item_set_description): set
	text with mnemonics.

	* eel/eel-labeled-image.c
	(eel_labeled_image_set_selected),
	(eel_labeled_image_get_selected): impl.

	* eel/eel-gtk-extensions.c
	(eel_pop_up_context_menu): tolerate a NULL event.

2002-04-04  Michael Meeks  <michael@ximian.com>

	* eel/eel-accessibility.c
	(eel_accessibility_set_description),
	(eel_accessibility_set_name): impl.

2002-04-03  Michael Meeks  <michael@ximian.com>

	* eel/eel-accessibility.c (get_quark_gobject),
	(get_quark_accessible): share quark id's with
	gobject-accessible.
	(eel_accessibility_set_atk_object_return): only
	hook up weak refs etc. for non GObjectAccessible
	derived types - otherwise we double unref the
	accessible.

2002-04-02  Michael Meeks  <michael@ximian.com>

	* eel/eel-accessibility.c
	(eel_accessible_text_get_type): impl.
	(eel_accessibility_for_object): impl.

	* eel-2.0.pc.in (Requires): add gail.

2002-04-01  Michael Meeks  <michael@ximian.com>

	* eel/eel-accessibility.c
	(eel_accessibility_add_simple_text): impl.
	(eel_accessibility_set_text_util): impl.
	(get_simple_text): 

	* configure.in: require gail >= 0.11 for accessibility.

2002-03-30  Alexander Larsson  <alla@lysator.liu.se>

	* test/test-eel-pixbuf-scale.c:
	Don't double define DEST_WIDTH and DEST_HEIGHT.

2002-03-29  Havoc Pennington  <hp@pobox.com>

	* eel/eel-gconf-extensions.c (eel_gconf_value_is_equal): don't use
	private gconf fields, and fix a bug in comparison of equality 
	of list values (if (a != NULL || b != NULL) return FALSE)

2002-03-28  Michael Meeks  <michael@ximian.com>

	* eel/eel-labeled-image.c
	(eel_labeled_image_toggle_button_new_from_file_name),
	(eel_labeled_image_check_button_new_from_file_name),
	(eel_labeled_image_button_new_from_file_name),
	(eel_labeled_image_toggle_button_new),
	(eel_labeled_image_check_button_new),
	(eel_labeled_image_button_new): use the new button types
	so we can update accessibility support there.
	(eel_labeled_image_button_class_init): use to
	override all button's get_accessibles.
	(eel_labeled_image_toggle_button_get_type), 
	(eel_labeled_image_check_button_get_type),
	(eel_labeled_image_button_get_type): impl.
	(eel_labeled_image_get_accessible): handle all
	button and plain label accessibility setup.
	(get_image): impl.
	(eel_labeled_image_accessible_image_get_size): impl.
	(eel_labeled_image_accessible_get_name): impl.
	(eel_labeled_image_accessible_image_interface_init),
	(eel_labeled_image_accessible_class_init),
	(eel_labeled_image_button_class_init),
	(eel_labeled_image_get_accessible): impl. etc.

2002-03-28  Alex Larsson  <alexl@redhat.com>

	* eel/eel-gdk-pixbuf-extensions.[ch]:
	Added new function eel_gdk_pixbuf_scale_down() that does
	fast downscaling. Speeds up thumbnailing.
	Use it in eel_gdk_pixbuf_scale_down_to_fit().

	* test/Makefile.am:
	* test/test-eel-pixbuf-scale.c:
	Tests for pixmap scaling.

2002-03-28  Michael Meeks  <michael@ximian.com>

	* eel/eel-gtk-extensions.c
	(eel_gtk_button_set_padding): many buttons (eg.
	stock ones) do not have a GTK_MISC as a child,
	don't do daft things to them.

	* test/test-eel-labeled-image.c
	(labeled_image_button_window_new): add a plain
	labeled image.

2002-03-28  Dave Camp  <dave@ximian.com>

	* eel/eel-labeled-image.c
	(eel_labeled_image_set_can_focus): impl.
	(eel_labeled_image_class_init): add activate
	signal & bindings.
	(eel_labeled_image_expose_event): render
	selection and focus.

2002-03-28  Michael Meeks  <michael@ximian.com>
	
	* test/test-eel-widgets.c
	(create_pixbuf): use DATADIR instead of a hard
	coded path.
	(test_ok_dialog): impl.
	(main): upd.
	Add window titles to elucidate function.

	* TODO: clean & add a11y bits.

	* test/test-eel-image-chooser.c: ditto.

	* eel/eel-caption-table.c
	(eel_caption_table_set_row_info): set role on
	invisible entries' accessibles to 'password'.

2002-03-27  Michael Meeks  <michael@ximian.com>

	* eel/eel-accessibility.h
	(EEL_ACCESSIBLE_FACTORY): don't auto-generate the
	type name.

	* eel/eel-accessibility.c
	(eel_accessibility_weak_unref): notify defunct.

2002-03-26  Michael Meeks  <michael@ximian.com>

	* eel/eel-accessibility.c
	[ cut & paste helpers from bonobo until gail is stable ]:
	(eel_accessibility_set_atk_object_return),
	(eel_accessibility_get_atk_object): impl.
	(eel_a11_weak_unref, get_quark_accessible): impl.
	(eel_accessibility_create_derived_type): impl.
	(eel_accessibility_get_atk_object): impl.

	* eel/eel-accessibility.h
	(EEL_ACCESSIBLE_FACTORY, EEL_WIDGET_SET_FACTORY):
	copy from gail - we need them.

=== eel 1.1.9 ===
		
2002-03-24  Alexander Larsson  <alla@lysator.liu.se>

	* configure.in: Bump version to 1.1.9

	* NEWS: bump version.

2002-03-22  Dave Camp  <dave@ximian.com>

	* eel/eel-gtk-extensions.c: (eel_gtk_viewport_get_visible_rect),
	(eel_gtk_viewport_scroll_to_rect): New functions.
	* eel/eel-gtk-extensions.h: Prototypes for the eel_gtk_viewport
	functions.
	* eel/eel-wrap-table.c: (eel_scrolled_wrap_table_new): New
	function to create a wrap table inside of a scrolled window.
	(eel_wrap_table_add), (eel_wrap_table_remove): If the wrap table
	is scrolled, connect to focus_in_event.
	(wrap_table_child_focus_in): New function, scrolls to the focused
	item in the viewport.
	* eel/eel-wrap-table.h: Prototype for eel_scrolled_wrap_table_new.

2002-03-18  Anders Carlsson  <andersca@gnu.org>

	* eel/eel-string.c: 
	Only include eel-lib-self-check-functions.h if 
	EEL_OMIT_SELF_CHECK isn't defined.

	* eel/eel-pango-extensions.c: 
	Only include eel-lib-self-check-functions.h if 
	EEL_OMIT_SELF_CHECK isn't defined.

	* eel/Makefile.am:
	* eel/eel-accessibility.c:
	(eel_accessibility_set_up_label_widget_relation):
	* eel/eel-accessibility.h:
	* eel/eel-caption-table.c: (eel_caption_table_resize):
	* eel/eel-caption.c: (eel_caption_set_child):
	Add new accessibility utility functions and have our
	label-widget composite widgets use them.
	
	* test/test-eel-widgets.c: (create_pixbuf):
	Update path due to e-h changes.
	
2002-03-17  Darin Adler  <darin@bentspoon.com>

	* configure.in: Bump required versions.

=== eel 1.1.8 ===
		
2002-03-17  Alexander Larsson  <alexl@redhat.com>

	* configure.in: Bump version to 1.1.8
	
	* NEWS: Bump version.
	
	* eel/eel-vfs-extensions.c: (eel_format_uri_for_display_internal),
	(eel_escape_high_chars), (eel_make_uri_from_input_internal),
	(eel_format_uri_for_display), (eel_make_uri_from_input),
	(eel_self_check_vfs_extensions):
	Handle utf8 and G_BORKEN_FILENAMES better.

2002-03-13  Gregory Leblanc  <gleblanc@linuxweasel.com>

	* eel.spec.in:  New one, from Chris Chabot

2002-03-11  Michael Meeks  <michael@ximian.com>

	* eel/eel-gnome-extensions.c
	(eel_bonobo_make_registration_id): impl.

2002-03-11  Anders Carlsson  <andersca@gnu.org>

	* eel/eel-gdk-extensions.c:
	* eel/eel-gdk-extensions.h:
	Remove the now unneeded eel_set_mini_icon function.
	
=== eel 1.1.7 ===

2002-03-10  Darin Adler  <darin@bentspoon.com>

	* NEWS: Bump version.

2002-03-09  Alexander Larsson  <alexl@redhat.com>

	* eel/eel-image-table.c: (image_table_emit_signal),
	(image_table_handle_motion), (ancestor_button_press_event),
	(ancestor_button_release_event):
	* eel/eel-image-table.h (EelImageTableEvent):
	Add the original GdkEvent to the EelImageTableEvent. You
	may need e.g. the time from the event. (Needed to fix
	stuck grab in nautilus.)

2002-03-08  Darin Adler  <darin@bentspoon.com>

	* eel/eel-preferences.c:
	(eel_preferences_set_emergency_fallback_string_list): Add a
	g_slist_reverse so that emergency fallback string lists are
	in the proper order.

	* eel/eel-background.c: Tweak formatting.

2002-03-07  Anders Carlsson  <andersca@gnu.org>

	* configure.in: Bump version to 1.1.7

	* eel/eel-preferences-item.c:
	(preferences_item_update_editable_string),
	(preferences_item_create_editable_string),
	(eel_preferences_item_new),
	(preferences_item_update_displayed_value),
	(eel_preferences_item_set_description):
	* eel/eel-preferences-item.h:
	Add EEL_PREFERENCES_ITEM_EDITABLE_PASSWORD_STRING type.
	
	* eel/eel-text-caption.c: (eel_text_caption_set_expand_tilde),
	(eel_text_caption_set_visibility):
	* eel/eel-text-caption.h:
	Add eel_text_caption_set_visibility which controls the visibility
	of the GtkEntry.
	
2002-03-06  Darin Adler  <darin@bentspoon.com>

	* eel/eel-preferences-box.c: (eel_preferences_dialog_new): Make the
	button say "Close" instead of "OK".

2002-03-06  Darin Adler  <darin@bentspoon.com>

	* eel/eel-cell-renderer-pixbuf-list.c:
	(eel_cell_renderer_pixbuf_list_class_init):
	* eel/eel-labeled-image.c: (eel_labeled_image_class_init):
	Remove strings we really don't need; lets not waste time translating
	these since no one ever sees them.

	* eel/eel-password-dialog.c: (eel_password_dialog_new): Tweak comment.

	* eel/eel-preferences-box.c: Add gnome-i18n.h include. Not sure why
	this wasn't needed before.

	* eel/eel-preferences.c: Remove unneeded gnome-i18n.h include.

2002-03-06  Darin Adler  <darin@bentspoon.com>

	* eel/eel-preferences-box.c: (eel_preferences_box_new):
	* eel/eel-wrap-table.c: (eel_wrap_table_class_init):
	Take out some strings that we don't really need to translate.

2002-03-06  Michael Meeks  <michael@ximian.com>

	* eel/eel-preferences-item.c
	(preferences_item_update_enumeration_radio),
	(preferences_item_update_enumeration_menu),
	(enumeration_radio_changed_callback),
	(enumeration_menu_changed_callback): upd. for enums

	* eel/eel-preferences.c
	(eel_preferences_add_auto_enum): impl.
	(preferences_entry_update_auto_storage): upd. for enums.

2002-03-05  Michael Meeks  <michael@ximian.com>

	* eel/eel-preferences.c
	(eel_preferences_get_enum, eel_preferences_set_enum): impl.

	* eel/eel-enumeration.c (eel_enumeration_get_sub_name),
	(eel_enumeration_get_sub_value): impl.

=== eel 1.1.6 ===

2002-03-04  Darin Adler  <darin@bentspoon.com>

	* eel/eel-stock-dialogs.c: (show_message_dialog): Put additional button to
	the left of the other buttons. Doing it this way is pretty nasty, but I
	don't know any better way to match what the HI folks want.

2002-03-03  Alexander Larsson  <alla@lysator.liu.se>

	* NEWS:
	* configure.in:
	Bump version.
	
	* eel/eel-background.h:
	Add eel_background_set_is_constant_size() and
	eel_background_get_pixmap_and_color()
	Remove eel_background_is_too_complex_for_gtk_style().
	
	* eel/eel-background.c: (eel_background_init),
	(eel_background_finalize), (get_pixmap_size), (eel_background_unrealize),
	(eel_background_ensure_realized), (eel_background_get_pixmap_and_color),
	(draw_background_callback), (eel_widget_background_changed):
	Add bitmap generation and caching capability.
	(eel_background_set_is_constant_size): set if windows don't change size,
	used by the nautilus desktop window.
	(eel_background_is_too_complex_for_gtk_style); Remve. Not used anymore.
	(eel_background_receive_dropped_background_image): Remove old reset.png hack.

	* eel/eel-background-style.c:
	(eel_background_style_finalize): unref background
	(eel_background_style_draw_flat_box), (eel_background_style_set_background):
	Use cached pixmaps from EelBackground. 
	(eel_background_style_new): Set the background. No need to mess
	with the base style.
	(eel_background_style_clone): Need to clone the background too.
	(eel_background_style_class_init): add clone and set_background virtual
	methods
	
2002-03-03  Anders Carlsson  <andersca@gnu.org>

	* eel/eel-preferences-item.c:
	(preferences_item_create_enumeration_list),
	(preferences_item_create_enumeration_menu):
	* eel/eel-string-picker.c: (eel_string_picker_set_string_list),
	(eel_string_picker_insert_separator):
	* eel/eel-string-picker.h:
	Create the string list first and then insert it into the
	string picker, instead of rebuilding the option menu 
	on every insert.
	
2002-03-01  Darin Adler  <darin@bentspoon.com>

	* eel/eel-glib-extensions.h:
	* eel/eel-glib-extensions.c: (eel_g_object_list_ref),
	(eel_g_object_list_unref), (eel_g_object_list_free),
	(eel_g_object_list_copy), (eel_add_weak_pointer),
	(eel_remove_weak_pointer): New names for old functions
	from eel-gtk-extensions.c.
	
	* eel/eel-gtk-extensions.h:
	* eel/eel-gtk-extensions.c: Remove old functions.

2002-02-28  Darin Adler  <darin@bentspoon.com>

	* eel/eel-image-chooser.c: (eel_image_chooser_set_selected_row):
	Handle -1 by deselecting all rows.

2002-02-28  Darin Adler  <darin@bentspoon.com>

	* eel/eel-gnome-extensions.c: (icon_selected): Since this is no longer
	a callback, get rid of the widget parameter.
	(icon_cancel_pressed): Get rid of the widget parameter.
	(entry_activated_callback): Check result of stat.
	(eel_gnome_icon_selector_new): Store a pointer to the dialog that we
	can use later to close it.

2002-02-27  Anders Carlsson  <andersca@gnu.org>

	* eel/eel-password-dialog.c: (dialog_show_callback),
	(eel_password_dialog_set_readonly_username):
	If the username is readonly, focus the password entry. Otherwise
	focus the username entry. Fixes #72801.
	
2002-02-27  Darin Adler  <darin@bentspoon.com>

	* eel/eel-gdk-extensions.h:
	* eel/eel-gdk-extensions.c: (eel_gdk_rectangle_contains_rectangle): New.

	* eel/eel-gtk-extensions.h:
	* eel/eel-gtk-extensions.c:
	(eel_gtk_tree_view_cell_is_completely_visible): New.

	* eel/eel-gdk-pixbuf-extensions.c: (eel_cancel_gdk_pixbuf_load):
	We need to close the loader even if we are just dropping it on the floor.
	Not sure that's good design, but I want to make gdk-pixbuf happy.

	* eel/eel-image-chooser.c: (eel_scrolled_image_chooser_show_selected_row):
	Only scroll if row isn't already completely visible.

=== eel 1.1.5 ===

2002-02-25  Anders Carlsson  <andersca@gnu.org>

	* eel/eel-pango-extensions.c:
	(eel_pango_font_description_get_largest_fitting_font_size):
	* eel/eel-pango-extensions.h:
	Implement eel_pango_font_description_get_largest_fitting_font_size.
	
2002-02-22  Darin Adler  <darin@bentspoon.com>

	* eel/Makefile.am:
	* eel/eel.h:
	* eel/eel-generous-bin.c: Re-add.
	* eel/eel-generous-bin.h: Re-add.

2002-02-21  Michael Meeks  <michael@ximian.com>

	* eel/eel-pango-extensions.c
	(eel_pango_layout_fit_to_dimensions): impl.

	* eel/eel-gdk-pixbuf-extensions.c
	(eel_gdk_pixbuf_draw_layout_clipped): document.

2002-02-22  Darin Adler  <darin@bentspoon.com>

	* eel/Makefile.am:
	* eel/eel.h:
	* eel/eel-generous-bin.c: Remove.
	* eel/eel-generous-bin.h: Remove.
	* eel/eel-region.c: Remove.
	* eel/eel-region.h: Remove.

	* eel/eel-image-table.c: Remove include "eel-region.h".

2002-02-22  Darin Adler  <darin@bentspoon.com>

	* eel/eel-glib-extensions.h:
	* eel/eel-glib-extensions.c:
	Remove unused eel_g_ptr_array_* functions.
	
	* eel/eel-gnome-extensions.h:
	* eel/eel-gnome-extensions.c:
	Remove unused eel_gnome_canvas_world_to_window_rectangle.
	(eel_gnome_canvas_world_to_widget_rectangle),
	(eel_gnome_canvas_widget_to_world),
	(eel_gnome_canvas_world_to_widget):
	Rename to reflect a clearer conception of these. They map to the
	widget coordinate system. Clearer than trying to talk about
	widget->window vs.  layout->bin_window .
	
	* eel/eel-gtk-extensions.h:
	* eel/eel-gtk-extensions.c:
	Remove unused eel_gtk_style_shade,
	eel_get_window_list_ordered_front_to_back,
	eel_gtk_widget_standard_realize,
	eel_gtk_bin_standard_size_allocate,
	eel_gtk_bin_standard_size_request.
	(eel_gtk_widget_get_button_event_location): New.
	(eel_gtk_widget_get_motion_event_location): New.

	* test/Makefile.am:
	* test/dumb-box.c: Remove.
	* test/dumb-box.h: Remove.
	* test/test-eel-gtk-style.c:
	Just keep this compiling. Not clear if it still is useful.

	* RENAMING: at_exit -> at_shutdown
	
2002-02-21  Darin Adler  <darin@bentspoon.com>

	* AUTHORS:
	* MAINTAINERS:
	Add some people.

	* eel/eel-gdk-pixbuf-extensions.c:
	(eel_gdk_pixbuf_draw_layout_clipped):
	Draw nothing if the rectangle is empty or "less than empty"
	rather than asserting.

2002-02-20  David Emory Watson  <dwatson@cs.ucr.edu>

	eel/eel-preferences-box.c:
	(eel_preferences_box_init): Remove connect.
	(user_level_changed_callback): Removed.

2002-02-20  Michael Meeks  <michael@ximian.com>

	* eel/eel-gdk-pixbuf-extensions.c
	(eel_gdk_pixbuf_draw_layout): split out into
	(eel_gdk_pixbuf_draw_layout_clipped): here, new method.

2002-02-20  Michael Meeks  <michael@ximian.com>

	* eel/eel-wrap-table.c (eel_wrap_table_class_init): 
	do an eel_type_init.

	* eel/eel-types.c (eel_type_init): protect vs.
	double init.

2002-02-19  jacob berkman  <jacob@ximian.com>

	* eel/eel-gnome-extensions.c (get_terminal_command_prefix):
	gnome-terminal 2 does not accept --login or --start-factory-server

	* eel/eel-gtk-extensions.[ch] (eel_gtk_selection_data_*_deep):
	remove as these are fixed in GTK 2.0 (fixes a double free crash)

2002-02-19  Michael Meeks  <michael@ximian.com>

	* eel/eel-preferences-box.c
	(category_list_row_activated_callback): rename to
	(category_list_selection_changed): this & use the selection's
	changed signal instead.
	(eel_preferences_box_new): upd.
	(preferences_box_category_list_recreate): upd.

2002-02-18  Gediminas Paulauskas <menesis@delfi.lt>

	* configure.in: remove GNOME_COMMON_INIT, GNOME_PLATFORM_GNOME_2

2002-02-16  Alexander Larsson  <alla@lysator.liu.se>

	* eel/eel-gdk-pixbuf-extensions.c (eel_gdk_pixbuf_draw_to_pixbuf_alpha):
	Add G_OBJECT() casts for g_object_ref/unref so we don't give warnings
	due to pixbuf being const.

2002-02-16  David Emory Watson  <dwatson@cs.ucr.edu>

	* NEWS: Bump version.
	* configure.in: Bump version.

	* eel/eel-gdk-extensions.h:
	* eel/eel-gdk-extensions.c:
	(eel_gdk_color_parse): New.
	(eel_gdk_color_parse_with_white_default): call eel_gdk_color_parse ().
	
2002-02-15  Michael Meeks  <michael@ximian.com>

	* eel/Makefile.am: add deprecated flags
	permanantly.

	* eel/eel-gdk-extensions.c
	(eel_gdk_choose_foreground_color),
	(eel_gdk_gc_choose_foreground_color): prune,
	unused, and funky color handling.

	* test/test-eel-pixbuf-tile.c:
	update image paths to include the prefix.

	* eel/eel-debug-drawing.c
	(eel_debug_draw_rectangle_and_cross): make sure
	we allocate the color.

2002-02-13  Michael Meeks  <michael@ximian.com>

	* eel/eel-image-table.c
	(image_table_peek_clear_gc): upd. color handling.
	(eel_image_table_set_smooth_background_color),
	(eel_image_table_set_is_smooth): kill, unused.
	(eel_image_table_expose_event): kill.
	(image_table_foreach_child_subtract_content),
	(image_table_peek_clear_gc): remove

	* eel/eel-gdk-pixbuf-extensions.c
	(pixbuf_destroy_callback),
	(eel_gdk_pixbuf_list_ref, eel_gdk_pixbuf_list_free):
	use g_object_ref/unref instead of gdk_pixbuf_~

	* eel/eel-gdk-extensions.c
	(eel_fill_rectangle_with_color): remove, color
	handling not pleasant, and not used.
	(eel_gdk_gc_choose_foreground_color): upd.


	* eel/eel-debug-drawing.c
	(eel_debug_draw_rectangle_and_cross): upd. color
	handling.

2002-02-12  Michael Meeks  <michael@ximian.com>

	* eel/eel-stock-dialogs.h (eel_create_info_dialog): 
	fix header comment.

2002-02-12  Darin Adler  <darin@bentspoon.com>

	* eel/eel-wrap-table.c: (eel_wrap_table_class_init):
	Register enums in here. This gets rid of the last place
	we had GNOME2_CONVERSION_COMPLETE.

	* eel/maketypes.awk: Fix to make EEL_TYPE_X instead of
	EEL_TYPE_EEL_X.

2002-02-12  Tõivo Leedjärv  <leedjarv@interest.ee>

	* configure.in: Added et to ALL_LINGUAS.

2002-02-12  Michael Meeks  <michael@ximian.com>

	* eel/eel-preferences-box.c
	(eel_preferences_box_new): create a tree view &
	list model
	(category_list_select_row_callback): rename to 
	(category_list_row_activated_callback): this & re-write..
	(preferences_box_find_row): re-write.
	(preferences_model_foreach_find): impl.
	(eel_preferences_box_rename_pane): re-write.
	(eel_preferences_box_finalize): unref the category model.
	(eel_preferences_dialog_new): show after
	populating with panes, so we don't get re-sizing jerkiness
	on the list.
	(preferences_box_select_pane): tolerate setting the name
	with the existing string.

	* eel/eel-text-caption.c: remove unused TEXT_CAPTION_INVALID

	* eel/eel-password-dialog.c: remove unused DIALOG_OK_BUTTON

2002-02-12  Anders Carlsson  <andersca@gnu.org>

	* eel/eel-canvas-rect.c (eel_canvas_rect_realize): Surround
	variable declarations with HAVE_RENDER.

2002-02-10  Darin Adler  <darin@bentspoon.com>

	* configure.in: Require newer libxml where location of xml memory
	calls has moved.
	* eel/eel-xml-extensions.c: Remove unneeded include of xmlmemory.h.

==== eel 1.1.4 ====

2002-02-09  Darin Adler  <darin@bentspoon.com>

	* NEWS: Bump version.
	* configure.in: Bump version.

	* eel/eel-debug.c:
	(eel_make_warnings_and_criticals_stop_in_debugger):
	Add gnome-vfs-modules to list of domains.

2002-02-08  Anders Carlsson  <andersca@gnu.org>

	* eel/eel-canvas-rect.c: (eel_canvas_rect_realize),
	(eel_canvas_rect_unrealize):
	Chain to parent implementations.
	
2002-02-06  Darin Adler  <darin@bentspoon.com>

	* eel/Makefile.am: Turn on GNOME_DISABLE_DEPRECATED and
	EEL_COMPILATION. Get rid of eel-gobject-extensions.[ch].

	* eel/eel-art-gtk-extensions.h:
	* eel/eel-art-gtk-extensions.c: (eel_gdk_window_get_bounds),
	(eel_gdk_window_get_screen_relative_bounds),
	(eel_gtk_widget_get_bounds), (eel_gtk_widget_get_dimensions),
	(eel_gtk_widget_get_preferred_dimensions),
	(eel_gdk_window_clip_dirty_area_to_screen),
	(eel_gdk_window_get_dimensions), (eel_gdk_get_pointer_position):
	Eliminate misguided use of const. Fix a few deprecated things.

	* eel/eel-background-style.c: (eel_gdk_window_update_sizes):
	Use gdk_drawable_get_size instead of gdk_window_get_size.

	* eel/eel-background.c: (draw_background_callback): Use g_object_unref
	instead of gdk_gc_unref.
	(eel_get_widget_background): Use g_signal_connect_object instead
	of eel_signal_connect_object_while_alive.

	* eel/eel-debug-drawing.c: (eel_debug_draw_rectangle_and_cross):
	Use g_object_unref instead of gdk_gc_unref.

	* eel/eel-debug.c: Turn this back on.

	* eel/eel-gnome-extensions.c: (eel_gnome_icon_selector_new): Get
	rid of a misguided use of eel_signal_connect_while_alive -- plain
	old g_signal_connect works fine.

	* eel/eel-gobject-extensions.c: Remove.
	* eel/eel-gobject-extensions.h: Remove.

	* eel/eel-image-table.c: (eel_image_table_unrealize): Use g_object_unref
	instead of gdk_gc_unref.

	* eel/eel-labeled-image.c: (eel_labeled_image_check_button_new): Get
	rid of some misguided use of eel_signal_connect_while alive -- plain
	old g_signal_connect works fine.

	* eel/eel-password-dialog.c: (eel_password_dialog_new): Get
        rid of some misguided use of eel_signal_connect_while alive -- plain
        old g_signal_connect works fine.

	* eel/maketypes.awk: Grab a new copy from gtk+. Is there a way to do
	this without copied and pasted code?
	* eel/eel-types.c: (eel_type_init): Change name to EEL_TYPE_N_BUILTINS.

	* test/Makefile.am: Turn on G_DISABLE_DEPRECATED, GDK_DISABLE_DEPRECATED,
	GTK_DISABLE_DEPRECATED, GNOME_DISABLE_DEPRECATED.

	* test/test-eel-background.c: (main): Turn of GtkCTree code that was
	already half-disabled.

	* test/test-eel-canvas-items.c: (item_event), (setup_item),
	(create_canvas_items), (create_canvas): gtk_signal_connect -> g_signal_connect.
	Remove some colormap stuff. gtk_widget_set_usize -> gtk_widget_set_size_request.
	gtk_window_set_policy -> gtk_window_set_resizable.
	* test/test-eel-gtk-style.c: (color_box_expose_event): gdk_gc_unref -> g_object_unref.
	(pixmap_box_expose_event): gdk_window_get_size -> gdk_drawable_get_size.
	* test/test.c: (test_window_new): gtk_window_set_policy -> gtk_window_set_resizable

2002-02-06  Michael Meeks  <michael@ximian.com>

	* eel/eel-wrap-table.c
	(eel_wrap_table_class_init),
	(eel_wrap_table_set_property),
	(eel_wrap_table_get_property): ditto

	* eel/makeenums.pl (parse_entries): output
	GEnumValue not GtkEnumValue - this should use
	glib-mkenums though.

	* eel/eel-gtk-extensions.c
	(eel_gtk_signal_connect_full_while_alive),
	(eel_gtk_signal_connect_free_data_custom):
	port deprecated bits.
	(eel_gtk_class_name_make_like_existing_type):
	remove - unused & not portable.

	* eel/eel-gnome-extensions.c
	(eel_gnome_icon_selector_new): remove all
	deprecated bits.

	* eel/eel-dateedit-extensions.c
	(eel_gnome_date_edit_get_date_as_string): ditto.

	* eel/eel-labeled-image.c
	(eel_labeled_image_class_init),
	(eel_labeled_image_set_property),
	(eel_labeled_image_get_property),
	(eel_labeled_image_check_button_new): ditto.

	* eel/eel-preferences-item.c
	(preferences_item_update_displayed_value),
	(preferences_item_update_displayed_value): ditto.

	* eel/eel-stock-dialogs.c
	(timed_wait_callback): ditto.

2002-02-05  Michael Meeks  <michael@ximian.com>

	* eel/eel-dateedit-extensions.c
	(eel_gnome_date_edit_get_date_as_string): add
	deprecated comment.

	* eel/eel-background.c
	(eel_background_reset),
	(eel_background_set_color),
	(eel_get_widget_background),
	(eel_background_set_image_placement),
	(eel_background_load_image_callback),
	(eel_background_cancel_loading_image),
	(eel_background_set_image_uri_helper), 
	(set_image_and_color_image_loading_done_callback),
	(eel_background_class_init): build with deprecated
	things disabled.

	* eel/eel-radio-button-group.c
	(eel_radio_button_group_class_init): ditto.

	* eel/eel-preferences-item.c
	(preferences_item_update_custom),
	(eel_preferences_item_set_description): ditto.

	* eel/eel-caption-table.c
	(eel_caption_table_class_init, entry_activate),
	(eel_caption_table_resize): ditto.

	* eel/eel-password-dialog.c
	(eel_password_dialog_new): ditto.

	* eel/eel-gtk-extensions.c
	(handle_standard_close_accelerator),
	(eel_gtk_menu_set_item_visibility),
	(alive_disconnecter),
	(eel_gtk_signal_connect_while_realized): ditto.

	* eel/eel-gnome-extensions.c
	(try_terminal_command),
	(eel_gnome_icon_selector_new): ditto.

	* eel/eel-ellipsizing-label.c
	(eel_ellipsizing_label_new): ditto.

	* eel/eel-text-caption.c
	(eel_text_caption_class_init),
	(eel_text_caption_set_editable),
	(eel_text_caption_init, eel_text_caption_init): ditto.

	* eel/eel-string-picker.c
	(eel_string_picker_class_init): ditto.

	* eel/eel-stock-dialogs.c
	(timed_wait_delayed_close_timeout_callback),
	(eel_show_info_dialog_with_details),
	(delete_event_callback): ditto.

2002-02-05  Darin Adler  <darin@bentspoon.com>

	* eel/eel-clist.c: Remove.
	* eel/eel-clist.h: Remove.
	* eel/eel-ctree.c: Remove.
	* eel/eel-ctree.h: Remove.
	* eel/eel-dnd.c: Move back into Nautilus.
	* eel/eel-dnd.h: Move back into Nautilus.
	* eel/eel-list-column-title.c: Remove.
	* eel/eel-list-column-title.h: Remove.
	* eel/eel-list.c: Remove.
	* eel/eel-list.h: Remove.
	* eel/eel.h: Housekeeping.
	* eel/Makefile.am: Housekeeping.

==== eel 1.1.3 ====

2002-02-04  Darin Adler  <darin@bentspoon.com>

	* NEWS: Update for 1.1.3.
	* .cvsignore: Don't ignore the tarballs.

	* eel/eel-pango-extensions.c: (eel_string_ellipsize_middle):
	* eel/eel-wrap-table.c: (wrap_table_layout): Fixes to make things
	compile with gcc 3.0.2, based on a patch contributed by Anush
	<nothin2chance@yahoo.com>.

2002-02-04  Laszlo Peter  <laca@ireland.sun.com>

	* COPYING: change to LGPL

	* eel/eel-background-style.c eel/eel-background-style.h
	  eel/eel-background.c eel/eel-background.h
	  eel/eel-dateedit-extensions.c eel/eel-dateedit-extensions.h
	  eel/eel-debug-drawing.c eel/eel-debug-drawing.h eel/eel-debug.c
	  eel/eel-debug.h eel/eel-enumeration.c eel/eel-enumeration.h
	  eel/eel-graphic-effects.h eel/eel-gtk-macros.h
	  eel/eel-lib-self-check-functions.c
	  eel/eel-lib-self-check-functions.h eel/eel-list-column-title.c
	  eel/eel-list-column-title.h eel/eel-region.c eel/eel-region.h
	  eel/eel-self-checks.c eel/eel-self-checks.h
	  eel/eel-string-list.c eel/eel-string-list.h: correct licensing
	  information in the headers by permission of the Copyright holders.

Mon Feb  4 11:24:21 2002  Owen Taylor  <otaylor@redhat.com>

	* eel/eel-gnome-extensions.c (dialog_response_callback): 
	Labels need a statement after them. (Fixes -Werror problem
	with recent GCC.)

2002-01-30  Darin Adler  <darin@bentspoon.com>

	* eel/eel-preferences-item.h:
	* eel/eel-preferences-item.c: 
	(preferences_item_update_font),
	(font_changed_callback), (preferences_item_create_font),
	(eel_preferences_item_new),
	(preferences_item_update_displayed_value),
	(eel_preferences_item_set_description):
	Make EEL_PREFERENCE_ITEM_FONT use the Eel font picker, and get
	rid of all support for EEL_PREFERENCE_ITEM_SMOOTH_FONT.

2002-01-30  Darin Adler  <darin@bentspoon.com>

	* configure.in: Bump to 1.1.3 since we have an API change.

	* eel/eel-dnd.h: start_x and start_y are in window coordinates,
	not world coordinates.
	
	* eel/eel-gnome-extensions.h:
	* eel/eel-gnome-extensions.c:
	(eel_gnome_canvas_world_to_canvas_window_rectangle): New.
	(eel_gnome_canvas_canvas_window_to_world): New.
	(eel_gnome_canvas_world_to_canvas_window): New.

==== eel 1.1.2 ====

2002-01-29  Darin Adler  <darin@bentspoon.com>

	* eel/eel-pango-extensions.c: (eel_self_check_ellipsize),
	(eel_self_check_pango_extensions): Turn off ellipsizing self-checks
	because they are failing for me.

2002-01-29  Darin Adler  <darin@bentspoon.com>

	* NEWS: Update for 1.1.2 release.

2002-01-28  Gediminas Paulauskas <menesis@delfi.lt>

	* eel/eel-glib-extensions.c, eel/eel-glib-extensions.h:
	(eel_g_list_copy): remove, it was moved into glib.
	* eel/eel-gtk-extensions.c, eel/eel-gtk-extensions.h:
	(eel_gtk_window_present): remove, it was moved into gtk+.

2002-01-28  Darin Adler  <darin@bentspoon.com>

	* eel/Makefile.am: Use LC_ALL instead of LC_COLLATE.
	* eel/eel-gnome-extensions.c: (eel_gnome_canvas_item_send_behind):
	Oops, it was sending things in front.

2002-01-27  Anders Carlsson  <andersca@gnu.org>

	* eel/eel-stock-dialogs.c (eel_run_simple_dialog): Start with 
	a response id that is 0.

2002-01-27  Darin Adler  <darin@bentspoon.com>

	* eel/eel-gnome-extensions.h:
	* eel/eel-gnome-extensions.c: (eel_gnome_canvas_item_send_behind): New.

2002-01-27  Alexander Larsson  <alla@lysator.liu.se>

	* acconfig.h:
	Add HAVE_RENDER

	* configure.in:
	Add checks for Xrender

	* eel/Makefile.am:
	Add RENDER_LIBS and eel-canvas-rect.[ch]

	* eel/eel-canvas-rect.[ch]:
	New type EelCanvasRect. Implemented for the Nautilus
	selection rectangle.
	
	* eel/eel-lib-self-check-functions.h:
	Add eel_self_check_canvas_rect to list of tests

	* test/test-eel-canvas-items.c:
	Add a test of the eel canvas items.
	
	* test/Makefile.am:
	Build test-eel-canvas-items

2002-01-24  Darin Adler  <darin@bentspoon.com>

	* eel/eel-pango-extensions.h:
	* eel/eel-pango-extensions.c: (eel_pango_ft2_get_context): New.

	* eel/eel-gtk-extensions.c: (create_pango_ft2_context): Use
	the new eel_pango_ft2_get_context.

2002-01-23  Peteris Krisjanis <peteris.krisjanis@ttc.lv>

	* eel/configure.in: added lv to ALL_LINGUAS

2002-01-22  Darin Adler  <darin@bentspoon.com>

	* eel/eel-font-picker.c: (font_picker_get_index_for_font):
	Handle NULL family_name.

2002-01-21  Darin Adler  <darin@bentspoon.com>

	* eel/eel-font-picker.h:
	* eel/eel-font-picker.c:
	* test/test-eel-font-picker.c:
	Rewrite to use Pango -- first cut, not done yet.

	* eel/eel-preferences-item.c:
	(preferences_item_create_smooth_font): Pass NULL for the PangoContext.

2002-01-19  Gediminas Paulauskas <menesis@delfi.lt>

	* eel/eel-glib-extensions.c: (eel_strdup_strftime):
	Convert format string into locale encoding at start, and convert back
	into utf-8 the result. 

2002-01-19  Darin Adler  <darin@bentspoon.com>

	* test/test-eel-gtk-style.c: (style_get_color), (style_get_gc):
	Fix mistake in that last change that didn't compile.

2002-01-19  Darin Adler  <darin@bentspoon.com>

	* test/test-eel-gtk-style.c: (style_get_color), (style_get_gc):
	Tweak code so gcc 3.x doesn't give warnings.

2002-01-18  Darin Adler  <darin@bentspoon.com>

	* TODO: Remove some already-done items.
	
	* eel/check-program.c: (main): Use the new eel_debug_shut_down.
	
	* eel/eel-debug.h:
	* eel/eel-debug.c: (eel_debug_shut_down),
	(eel_debug_call_at_shutdown),
	(eel_debug_call_at_shutdown_with_data): New.
	
	* eel/eel-debug-drawing.c: (eel_debug_show_pixbuf):
	* eel/eel-enumeration.c: (enumeration_table_get):
	* eel/eel-font-picker.c: (global_font_list_get):
	* eel/eel-gconf-extensions.c: (eel_gconf_client_get_global):
	* eel/eel-gdk-pixbuf-extensions.c:
	(eel_gdk_pixbuf_get_global_buffer):
	* eel/eel-glib-extensions.c: (eel_g_hash_table_new_free_at_exit):
	* eel/eel-preferences.c: (preferences_global_table_get_global):
	Switch from g_atexit to eel_debug_call_at_shutdown.
	
	* eel/eel-image-table.h:
	* eel/eel-image-table.c: (eel_image_table_class_init),
	(eel_image_table_init), (eel_image_table_new): Get rid of
	set_is_smooth signal, eel_image_table_set_is_smooth, and use of
	eel_smooth_widget calls.
	
	* eel/eel-image-with-background.c: Remove.
	* eel/eel-image-with-background.h: Remove.
	* eel/eel-image.c: Remove.
	* eel/eel-image.h: Remove.
	* eel/eel-smooth-widget.c: Remove.
	* eel/eel-smooth-widget.h: Remove.
	* eel/eel-viewport.c: Remove.
	* eel/eel-viewport.h: Remove.
	
	* eel/Makefile.am: Kill eel-image-with-background.[ch],
	eel-image.[ch], eel-smooth-widget.[ch], eel-viewport.[ch].
	* eel/eel.h: Ditto.
	
	* eel/eel-labeled-image.c: (eel_labeled_image_get_arg),
	(eel_labeled_image_add), (eel_labeled_image_remove),
	(labeled_image_ensure_image), (eel_labeled_image_set_pixbuf),
	(eel_labeled_image_set_pixbuf_from_file_name): Port from EelImage
	to GtkImage.
	
	* eel/eel-radio-button-group.c:
	(eel_radio_button_group_set_entry_pixbuf): Port from EelImage to
	GtkImage.
	
	* test/test-eel-image-table.c: (image_table_new_scrolled): Port
	from EelViewport to GtkViewport.
	
	* THANKS: Fix typo.
	* eel/eel-wrap-table.c: Fix comment format.
	
	* test/test-eel-image-background.c: Remove.
	* test/test-eel-image-simple.c: Remove.
	* test/test-eel-viewport-constraint.c: Remove.

	* test/.cvsignore: Remove obsolete tests.
	* test/Makefile.am: Remove obsolete tests.

	* test/test-eel-image-chooser.c: (main): Remove eel_smooth_widget
	call.
	
	* test/test.c: Remove EelImage code.

2002-01-17  Darin Adler  <darin@bentspoon.com>

	* eel/eel-pango-extensions.c:
	(eel_pango_layout_set_text_ellipsized): Soften an assert to
	a g_return.

2002-01-17  Darin Adler  <darin@bentspoon.com>

	* eel/Makefile.am: Fix parallel builds by getting rid of an
	ill-advised use of a full path to the library.

	* eel/eel-pango-extensions.c: (eel_string_ellipsize_start),
	(eel_string_ellipsize_end): These were reversed.

	* test/.cvsignore: test-eel-ellipsizing

2002-01-17  Anders Carlsson  <andersca@gnu.org>

	* eel/eel-cell-renderer-pixbuf-list.h: Fix warning.

	* eel/Makefile.am:
	Add eel-cell-renderer-pixbuf-list.[ch]
	
	* eel/eel-background-style.c: (eel_background_style_draw_flat_box):
	Special case GtkTreeView.
	
	* eel/eel-cell-renderer-pixbuf-list.c:
	* eel/eel-cell-renderer-pixbuf-list.h:
	Add these.
	
	* eel/eel-stock-dialogs.c: (show_ok_dialog):
	Set default response to GTK_RESPONSE_OK.
	
2002-01-16  Darin Adler  <darin@bentspoon.com>

	* configure.in: Bump version to 1.1.2.

2002-01-16  Darin Adler  <darin@bentspoon.com>

	* eel/eel-gdk-pixbuf-extensions.c: (eel_gdk_pixbuf_draw_layout):
	Fix case where clipped height or width turns out to be 0.
	* eel/eel-gtk-macros.h: Remove some unused macros, deprecate
	others.
	* eel/eel-pango-extensions.c: Remove extra include.
	* eel/eel-preferences-box.c: (eel_preferences_dialog_new):
	Don't try to eel_gtk_window_set_up_close_accelerator, since it's
	a dialog that already has a close accelerator.

2002-01-11  Havoc Pennington  <hp@redhat.com>

	* eel/eel.h: add eel-pango-extensions.h

	* eel/eel-pango-extensions.c
	(eel_pango_layout_set_text_ellipsized): put ellipsize code back in
	here and port to Pango
	
	* eel/eel-ellipsizing-label.c: re-enable ellipsization in the
	widget, change bad hack implementation to different bad hack
	implementation to avoid queueing a resize in size_allocate
	(real_style_set): remove style_set handler because it results in a
	queue_resize anyway
	(real_size_allocate): auto-select ellipsize mode based on label
	alignment

==== eel 1.1.1 ====

2002-01-15  Darin Adler  <darin@bentspoon.com>

	* NEWS: Get ready for eel 1.1.1 release.
	* eel/Makefile.am: Fix makeenums.pl stuff so it works when
	srcdir != destdir.

2002-01-15  Darin Adler  <darin@bentspoon.com>

	* eel/eel-gtk-extensions.c: (create_pango_ft2_context):
	Tiny tweak to the code -- makes it more readable, I think.

2002-01-09  Alexander Larsson  <alla@lysator.liu.se>

	* eel/eel-gtk-extensions.c (create_pango_ft2_context):
	Copy the font description from the base_context.

Thu Jan 10 10:53:52 2002  Owen Taylor  <otaylor@redhat.com>

	* eel/eel-gnome-extensions.c
	(eel_gnome_canvas_world_to_window_rectangle): Remove
	unused variable so things compile.

2002-01-09  Darin Adler  <darin@bentspoon.com>

	* eel/eel-gnome-extensions.h:
	* eel/eel-gnome-extensions.c:
	Remove gnome_win_hints_*.

	* eel/eel-list.c: (eel_list_destroy): Something I missed in the
	last change -- forgot to NULL out details.

2002-01-09  Darin Adler  <darin@bentspoon.com>

	* eel/eel-list.c: (eel_list_destroy),
	(unschedule_keyboard_row_reveal):
	Protect against double destroys, but do it in an inelegant way,
	which shouldn't matter, since we plan to remove this class.

2002-01-09  Darin Adler  <darin@bentspoon.com>

	* eel/eel-gdk-font-extensions.c: Remove.
	* eel/eel-gdk-font-extensions.h: Remove.

2002-01-08  Darin Adler  <darin@bentspoon.com>

	* eel/Makefile.am:
	* eel/eel-ctree.c:
	* eel/eel-ellipsizing-label.c:
	* eel/eel-lib-self-check-functions.h:
	* eel/eel-list.c:
	* eel/eel.h:
	Remove eel-gdk-font-extensions.[ch]
	
	* eel/eel-clist.h: Fix some overzealous global replace.
	
	* eel/eel-gobject-extensions.c:
	(eel_signal_connect_object_while_alive),
	(eel_signal_connect_while_alive):
	Add some more g_return_if_fail.
	
	* eel/eel-gtk-extensions.h:
	* eel/eel-gtk-extensions.c: (eel_gtk_label_set_scale): New.
	(eel_gtk_widget_set_foreground_color): Set text color too.
	
	* eel/eel-image-table.c:
	* eel/eel-image.c:
	* eel/eel-labeled-image.c:
	Add includes needed now that eel-gtk-extensions doesn't include
	gtkclist.h or gtkpixmap.h any more.
	
	* eel/eel-pango-extensions.h:
	* eel/eel-pango-extensions.c: (eel_pango_attr_list_copy_or_create),
	(eel_pango_attr_list_apply_global_attribute): New helper functions
	used by the eel_gtk_label_set_scale and the other code in here.
	(apply_global_attribute): New name for an old function.
	(eel_pango_layout_set_weight): New.
	
	* eel/eel-wrap-table.c: (eel_wrap_table_class_init):
	Don't add the enums, since we just get lots of complaints and we
	don't really use them right now.

2002-01-05  Christian Rose  <menthos@menthos.com>

	* configure.in: Added "ms" to ALL_LINGUAS.

2002-01-04  Havoc Pennington  <hp@pobox.com>

	* eel/eel-gconf-extensions.c (eel_gconf_monitor_add): don't do the
	recursive preload here, too much stuff in /apps/nautilus it seems
	like. Rely on explicit preloads in other code.

	* eel/eel-font-picker.c (font_picker_get_selected_style_entry):
	add FIXME and GNOME2_CONVERSION_COMPLETE for similar
	option_menu->menu_item issue

	* eel/eel-string-picker.c (eel_string_picker_get_selected_string):
	use gtk_option_menu_get_history() instead of setting item index 
	as object data - option_menu->menu_item is no longer non-NULL
	apparently, when we want it to be.

	* eel/eel-gconf-extensions.c
	(eel_gconf_value_get_eel_string_list): add a function to get an
	EelStringList

	* eel/eel-preferences-item.c
	(preferences_item_create_enumeration_list): use emergency fallback
	instead of default for deciding on number of string pickers

	* eel/eel-graphic-effects.c: don't include art_config.h, it 
	ended up being included twice and has no include guards

	* eel/eel-preferences.c: remove user levels, remove concept of
	installing defaults here, never "fix" invalid values in gconf
	database (as we did when a list of enum values was invalid), don't
	bother to cache values since GConfClient does already, remove
	callbacks_blocked which incorrectly relied on
	synchronicity/non-reentrancy of gconf, don't store the default
	value, remove all suggest_sync
	(eel_preferences_set_emergency_fallback): new function to replace
	setting defaults
	(eel_preferences_get_emergency_fallback): getter

	* eel/eel-gconf-extensions.c (eel_gconf_preload_cache): New
	function to allow us to get a bunch of GConf data in a single
	round trip
	(eel_gconf_get_default_value): new function to get the default
	from the schema
	
2002-01-04  Darin Adler  <darin@bentspoon.com>

	* HACKING: Update.
	* NEWS: Update.
	* README: Update.
	* TODO: Update.
	* MAINTAINERS: Update.
	* Makefile.shared: Remove.

	* configure.in: Clean up. Update requirements.
	* eel-2.0.pc.in: Remove bogus bonobo-activation dependency.
	* eel.spec.in: Remove bogus oaf dependency.
	* eel/Makefile.am: Do CFLAGS and LIBS a new better way.
	* test/Makefile.am: Change name of CFLAGS.

	* eel/eel-graphic-effects.c: Get rid of extra include.

2002-01-04  Anders Carlsson  <andersca@gnu.org>

	* eel/eel-gdk-extensions.c (eel_gdk_rgb_to_color): Fix up
	color conversion routines, as suggested by Darin.
	(eel_self_check_gdk_rgb_to_color): Add debug function.
	(eel_gdk_color_as_hex_string): Print all 48 bits of the
	color.
	(eel_self_check_gdk_extensions): Add some tests for
	eel_gdk_rgb_to_color.

2002-01-03  Darin Adler  <darin@bentspoon.com>

	* test/Makefile.am:
	* test/test-eel-font-picker.c: (main):
	Loose ends from removing EelFontManager.

2002-01-03  Darin Adler  <darin@bentspoon.com>

	* eel/eel-gnome-extensions.c: (get_terminal_command_prefix):
	Port to use libgnome to get terminal choice from GConf.

	* eel/Makefile.am:
	* eel/eel-font-manager.c: Remove.
	* eel/eel-font-manager.h: Remove.
	* eel/eel-font-picker.c:
	* eel/eel-lib-self-check-functions.h:
	* eel/eel.h:
	* test/.cvsignore:
	* test/Makefile.am:
	* test/test-eel-font-manager.c: Remove.
	* test/test-eel-font-picker.c: (main):
	Remove EelFontManager.

2002-01-03  Darin Adler  <darin@bentspoon.com>

	* RENAMING: Lets take those "-extensions" off the names of all
	the header files, since "eel" already contains the concept that
	it's "extensions". I'll probably do this soon since I have the
	access to do the CVS magic now.

	* eel/eel-gnome-extensions.c:
	(eel_gnome_stock_set_icon_or_register): Remove.

	* eel/eel-gtk-extensions.c:
	(eel_gtk_window_is_on_current_workspace_and_area) Remove.

	* eel/eel-gdk-font-extensions.c: (xlfd_string_get_nth_as_int):
	* eel/eel-preferences-item.c: (update_integer_settings_at_idle):
	* eel/eel-string.c: (eel_eat_str_to_int) (eel_self_check_string):
	* eel/eel-string.h:
	* test/test.c: (test_text_caption_get_text_as_int):
	Death to eel_eat_str_to_int. I basically can't face Owen in
	public when I know that I have an interface like that in code
	that I wrote.

2002-01-03  Anders Carlsson  <andersca@gnu.org>

	* eel/eel-pango-extensions.c
	* eel/eel-pango-extensions.h 
	(eel_pango_layout_set_font_desc): Remove this function since
	pango_layout_set_font_description does the same thing and
	better.

2002-01-03  Darin Adler  <darin@bentspoon.com>

	* eel/Makefile.am:
	* eel/eel-canvas-rect.c: Removed.
	* eel/eel-canvas-rect.h: Removed.
	* eel/eel-lib-self-check-functions.h:
	Bye for now to EelCanvasRect. If we do this optimization, it
	should be in libgnomecanvas itself.
	
	* eel/eel-font-picker.c: (font_picker_populate),
	(global_font_list_free), (global_font_list_get),
	(font_picker_find_entries_for_font):
	Hack to get rid of asserts about empty font list. This is
	a short term solution. Long term we have to decide what
	we are going to offer for choosing fonts.

2002-01-03  Darin Adler  <darin@bentspoon.com>

	* eel/eel-graphic-effects.c:
	Fix the include. It's not legal to include art_config.h
	directly. I added an art_misc.h include so that things
	will work with older libart and people won't get confused.

	* data/.cvsignore:
	* data/fonts/.cvsignore:
	* data/fonts/urw/.cvsignore:
	Re-remove these. Michael added them back in rather than
	deleting the obsolete files.

	* test/.cvsignore:
	Re-remove the obsolete entries in here. Again, Michael
	added these back in rather than deleting the obsolete
	files in his directory.

2002-01-03  Michael Meeks  <michael@ximian.com>

	* eel/eel-gdk-pixbuf-extensions.c
	(eel_gdk_pixbuf_save_to_file): use gdk-pixbuf's save code.

	* eel/eel-graphic-effects.c: add art_config.h include.

	* eel/eel-font-manager.c: use DATADIR not EEL_DATADIR.

2002-01-03  Anders Carlsson  <andersca@gnu.org>

	* eel/eel-pango-extensions.h:
	* eel/eel-pango-extensions.c: Use the API Darin suggested instead
	since that makes more sense.

2002-01-02  Darin Adler  <darin@bentspoon.com>

	* configure.in: Remove unused libpng code.
	* eel.spec.in: Remove libpng, fonts, and librsvg.

2002-01-02  Darin Adler  <darin@bentspoon.com>

	* Makefile.am:
	* configure.in:
	* data/: Remove all of the data, since it was fonts that are not
	needed any more.

	* configure.in:
	* eel-2.0.pc.in:
	Remove dependency on librsvg.

	* eel/Makefile.am:
	* eel/eel-font-picker.h:
	* eel/eel-glyph.c: Removed.
	* eel/eel-glyph.h: Removed.
	* eel/eel-label.c: Removed.
	* eel/eel-label.h: Removed.
	* eel/eel-lib-self-check-functions.h:
	* eel/eel-scalable-font-private.h: Removed.
	* eel/eel-scalable-font.c: Removed.
	* eel/eel-scalable-font.h: Removed.
	* eel/eel-smooth-text-layout.c: Removed.
	* eel/eel-smooth-text-layout.h: Removed.
	* eel/eel.h:
	* test/test-eel-font-manager.c:
	* test/test-eel-font-picker.c: (update_font),
	(font_changed_update_label_callback), (use_defalt_font_callback),
	(use_defalt_bold_font_callback), (main):
	* test/test-eel-gtk-style.c:
	* test/test-eel-image-scrolled.c: (toggle_smooth_callback),
	(label_window_new), (label_window_new_scrolled):
	Remove eel-glyph, eel-label, eel-scalable-font, eel-smooth-text-layout.

	* eel/eel-graphic-effects.c:
	Remove incorrect art_config.h include.

	* eel/eel-labeled-image.c: (eel_labeled_image_add),
	(eel_labeled_image_remove), (labeled_image_ensure_label),
	(eel_labeled_image_set_text), (eel_labeled_image_get_text):
	* test/test-eel-viewport-constraint.c:
	(summary_view_item_label_new):
	Port to GtkLabel from EelLabel.

	* test/.cvsignore:
	* test/Makefile.am:
	* test/test-eel-font-simple.c: Remove.
	* test/test-eel-font.c: Remove.
	* test/test-eel-glyph-simple.c: Remove.
	* test/test-eel-glyph.c: Remove.
	* test/test-eel-label-flavorful.c: Remove.
	* test/test-eel-label-offset.c: Remove.
	* test/test-eel-label-scrolled.c: Remove.
	* test/test-eel-label-simple.c: Remove.
	* test/test-eel-label-wrapped.c: Remove.
	* test/test-eel-label.c: Remove.
	* test/test-eel-smooth-text-layout.c: Remove.
	Remove test-eel-font*, test-eel-glyph*, test-eel-label*.

	* test/test.h:
	* test/test-eel-pixbuf-tile.c:
	Change test includes around a tiny bit.

2002-01-02  Darin Adler  <darin@bentspoon.com>

	* eel/Makefile.am:
	* eel/eel-clickable-image.c:
	* eel/eel-clickable-image.h:
	* eel/eel-label-with-background.c:
	* eel/eel-label-with-background.h:
	* eel/eel-lib-self-check-functions.h:
	* eel/eel-smooth-text-layout-cache.c:
	* eel/eel-smooth-text-layout-cache.h:
	* eel/eel.h:
	* test/test-eel-clickable-image.c:
	* test/test-eel-label-background.c:
	* test/Makefile.am:
	* test/test.c:
	Delete some unused classes and files. More to come.
	
	* eel/eel-ellipsizing-label.c: (real_finalize),
	(eel_ellipsizing_label_class_init):
	Use finalize instead of destroy.
	
	* eel/eel-labeled-image.c:
	* eel/eel-labeled-image.h:
	* test/test-eel-image-table.c: (labeled_image_new):
	Remove some unused functions that are hard to implement with
	GtkLabel (instead of EelLabel).

2002-01-02  Darin Adler  <darin@bentspoon.com>

	* eel/eel-gdk-pixbuf-extensions.c: (eel_gdk_pixbuf_draw_layout):
	Clip the ink_rect to what will fit in the buffer. This prevents
	problems with gdk_pixbuf_composite, which doesn't help us with
	clipping at all.

2002-01-02  Darin Adler  <darin@bentspoon.com>

	* eel/eel-gnome-extensions.c: (eel_gnome_canvas_get_pango_context):
	* eel/eel-gtk-extensions.h:
	* eel/eel-gtk-extensions.c: (create_pango_ft2_context),
	(eel_gtk_widget_get_pango_ft2_context):
	Add new function to get a freetype2 context for drawing on the
	client side. Code moved from the canvas-specific function that
	was in here before.

2002-01-02  Frederic Crozat  <fcrozat@mandrakesoft.com>

	* eel/eel-background.c: (eel_background_ensure_image_scaled),
	(eel_background_start_loading_image),
	(eel_background_set_image_uri_helper),
	(eel_background_set_image_uri),
	(eel_background_set_image_uri_sync),
	(eel_background_set_image_uri_and_color):
	* eel/eel-background.h:
	Add support for synchronous loading of image (needed to fix
	flash when starting Nautilus desktop)

2002-01-02  Anders Carlsson  <andersca@gnu.org>

	* eel/eel-image-chooser.c: Use gtk_tree_model_get instead
	of gtk_tree_model_get_value; this simplifies a lot since we 
	don't need to fool around with GValues.

2002-01-01  Anders Carlsson  <andersca@gnu.org>

	* test/test-eel-image-chooser.c: Update picture paths.

	* eel/eel-pango-extensions.h: New file.

	* eel/eel-pango-extensions.c: New file.

	* eel/eel-vfs-extensions.c (eel_read_file_async): Fix the argument
	order.

	* eel/eel-text-caption.c (eel_text_caption_init):
	Call gtk_entry_set_activates_default.

	* eel/eel-radio-button-group.c (eel_radio_button_group_insert): Enable
	mnemonic support.

	* eel/eel-image-chooser.c: Rewrite to use GtkTreeView.
	
	* eel/eel-image-chooser.h: Inherit from GtkTreeView and remove
	an unused and unneeded API call.

	* eel/eel-caption.c (eel_caption_set_title_label): Use
	gtk_label_set_text_with_mnemonic instead.
	(eel_caption_set_child): Use gtk_label_set_mnemonic_widget.

2001-12-20  Darin Adler  <darin@bentspoon.com>

	* eel/eel-gdk-pixbuf-extensions.c: (eel_gdk_pixbuf_draw_layout):
	Use ink_rect now that the pango bug that was plaguing me is fixed.

	* eel/eel-gnome-extensions.c: (create_pango_context_for_aa_canvas):
	Remove some unneeded casts.

2001-12-21  Duarte Loreto <happyguy_pt@hotmail.com>

        * configure.in: Added new pt translation to ALL_LINGUAS

2001-12-18  Michael Meeks  <michael@ximian.com>

	* eel/eel-gconf-extensions.c (eel_gconf_monitor_add):
	recursively cache the GConf keys to reduce CORBA traffic.

2001-12-17  Darin Adler  <darin@bentspoon.com>

	* eel/eel-gdk-pixbuf-extensions.c: (eel_gdk_pixbuf_draw_layout):
	Use the logical_rect to determine the left side.

	* eel/eel-debug.c:
	(eel_make_warnings_and_criticals_stop_in_debugger):
	Add GdkPixbuf.

2001-12-17  Darin Adler  <darin@bentspoon.com>

	* eel/eel-gdk-pixbuf-extensions.h:
	* eel/eel-gdk-pixbuf-extensions.c: (eel_gdk_pixbuf_draw_layout):
	Simplified parameters.

	* eel/eel-debug.c:
	(eel_make_warnings_and_criticals_stop_in_debugger): Turn this back on.
	Michael turned it off by accident.

2001-12-13  Darin Adler  <darin@bentspoon.com>

	* eel/eel-gdk-pixbuf-extensions.h:
	* eel/eel-gdk-pixbuf-extensions.c: (eel_draw_layout_to_pixbuf):
	New function for drawing with Pango. Seems to be agonizingly slow
	due to lack of cache, but I'm not sure if that's the problem.
	
	* eel/eel-gnome-extensions.h:
	* eel/eel-gnome-extensions.c: (create_pango_context_for_aa_canvas),
	(eel_gnome_canvas_get_pango_context): Helper function for getting
	the appropriate context when drawing to an anti-aliased GnomeCanvas.

	* eel/eel-gtk-extensions.c: Add an include that's needed now that
	I removed excess includes from eel-gnome-extensions.h.

2001-12-12  Michael Meeks  <michael@ximian.com>

	* eel/eel-list-column-title.c (eel_list_column_title_paint):
	remove erroneous style unref.

2001-12-11  Laszlo Peter  <laca@ireland.sun.com>

	* eel/Makefile.am: add dependencies to fix building with make -j

2001-12-09  Anders Carlsson  <andersca@gnu.org>

	* eel/eel-caption-table.c: (eel_caption_table_resize),
	(eel_caption_table_set_row_info): Use gtk+ mnemonics.
	
	* eel/eel-gnome-extensions.c: (icon_selected_callback),
	(icon_cancel_pressed), (dialog_response_callback),
	(entry_activated), (eel_gnome_icon_selector_new):
	* eel/eel-gnome-extensions.h:
	Bring back the eel icon selector and remove the 
	eel_dialog_get_button_by_index function.
	
	* eel/eel-password-dialog.c: 
	(caption_table_activate_callback):
	Use gtk_window_activate_default instead of calling
	gtk_button_clicked on the ok button.
	(eel_password_dialog_new):
	Use mnemonics in the Username and Password
	labels.
	
2001-12-08  Michael Meeks  <michael@ximian.com>

	* eel/eel-list.c: populate from stable & port

	* eel/eel-list-column-title.c: build it

	* eel/eel-clist.[ch]: cross port changes to Gtk+2.0's
	version of GtkCList.

	* eel/eel-ctree.[ch]: cross port changes to Gtk+2.0's
	version of GtkCTree.

	* eel/eelmarshal.list: add lots of marshallers.

2001-12-07  Darin Adler  <darin@bentspoon.com>

	* eel/eel-art-extensions.c: (eel_art_irect_union): Add missing return.

2001-12-07  Laszlo Peter  <laca@ireland.sun.com>

	* eel/eel-art-extensions.c, eel/eel-debug-drawing.c: replace illegal
	uses of the ternary operator with if-else.

	* test/test-eel-clickable-image.c, test/test-eel-image-table.c:
	s/__FUNCTION__/G_GNUC_FUNCTION/

2001-12-06  Darin Adler  <darin@bentspoon.com>

	* lots of files
	Get rid of unneeded casts in calls to g_object_ref/unref.

2001-12-06  Darin Adler  <darin@bentspoon.com>

	* eel/eel-debug.c: (log_handler): Remove the code that adds the
	program name and pid to each message. glib now has that built
	in if you set the G_MESSAGES_PREFIXED environment variable.

	* eel/eel-debug.h:
	* eel/eel-debug.c:
	(eel_make_warnings_and_criticals_stop_in_debugger),
	New strategy for the call that makes warnings and criticals
	stop in the debugger. We just use a hard-coded list of domains
	here in Eel, rather than asking the caller to pass in the list
	of domains. Forward looking to the day when we can do this
	without explicitly doing it for each domain.

	* eel/check-program.c: (main):
	* test/test.c: (test_init):
	Fix callers that no longer need to list the domains.

2001-11-30  Darin Adler  <darin@bentspoon.com>

	* eel/Makefile.am:
	* eel/eel-background-style.c:
	* eel/eel-background-style.h:
	Create EelBackgroundStyle subclass for GtkStyle that implements
	gradients. This is a better version of a hack we used for Gtk 1.X.
	
	* eel/eel-background.c: (eel_background_set_widget_style): Use
	EelBackgroundStyle.
	(eel_self_check_background): Fix an unref/sink thing.
	
	* eel/eel-background.c:
	(eel_background_receive_dropped_color):
	* test/test-eel-image-background.c:
	(window_new_with_eel_background_gradient),
	(window_new_with_gtk_background_hacked):
	* test/test-eel-label-background.c:
	(window_new_with_eel_background_gradient),
	(window_new_with_gtk_background_hacked):
	* test/test-eel-label.c:
	(red_background_color_value_changed_callback),
	(green_background_color_value_changed_callback),
	(blue_background_color_value_changed_callback),
	(create_background_frame):
	* test/test-eel-viewport-constraint.c: (create_row):
	Change all rgb:RRRR/GGGG/BBBB to use #RRGGBB format instead.
	
	* eel/eel-gdk-extensions.h: Fix typo in name of unimplemented
	function. I should probably just delete it.
	
	* eel/eel-gdk-extensions.c:
	(eel_gdk_color_parse_with_white_default): Add placeholder for rgb:
	code, in case we need it.
	(eel_parse_rgb_with_white_default): Call
	eel_gdk_color_parse_with_white_default so we share code.
	(eel_gdk_rgb_to_color_spec): Create #RRGGBB format.
	(eel_gdk_color_as_hex_string): Create #RRGGBB format.
	(eel_self_check_gdk_extensions): Use #RRGGBB format.

Tue Nov 20 20:26:25 2001  Owen Taylor  <otaylor@redhat.com>

	* configure.in: Add [quoting] around AC_CHECK_HEADER
	needed by some autoconf versions.

Mon Nov 19 17:34:16 2001  Jonathan Blandford  <jrb@webwynk.net>

	* eel/eel-stock-dialogs.c (eel_run_simple_dialog): remove uneeded
	GTK_OBJECT_DESTROYED check.

	Patch from Gediminas Paulauskas <menesis@delfi.lt>

	* eel/check-program.c, eel/eel-debug.c, test/test.c: replace
	g_log_domain_glib with "Glib"
	* eel/eel-gobject-extensions.h: replace #include <gobject/gobject.h>
	with glib-object.h

2001-11-09  Darin Adler  <darin@bentspoon.com>

	* eel/eel-stock-dialogs.c: (show_ok_dialog),
	(eel_create_info_dialog), (eel_show_info_dialog),
	(details_dialog_response_callback): Destroy dialogs when the
	button is pushed. We still need to refine this further.

2001-11-08  Darin Adler  <darin@bentspoon.com>

	* Tons of files.
	Removed many unneeded G_OBJECT casts.

2001-11-08  Darin Adler  <darin@bentspoon.com>

	* eel/eel-stock-dialogs.h:
	* eel/eel-stock-dialogs.c:
	A cut at porting this all to GtkDialog.

2001-11-08  jacob berkman  <jacob@ximian.com>

	* configure.in: call ourselves eel rather than eel2, and use
	eel-2.0 for the gettext package name

	* acconfig.h: add GETTEXT_PACKAGE

2001-11-06  Darin Adler  <darin@bentspoon.com>

	* eel/Makefile.am:
	* eel/eel-gobject-extensions.h:
	* eel/eel-gobject-extensions.c:
	(eel_signal_connect_object_while_alive),
	(eel_signal_connect_while_alive):
	Add new eel-gobject-extensions.[ch].

	* Many of files.
	More Gtk->G changes.

2001-11-06  Darin Adler  <darin@bentspoon.com>

	* Lots of files.
	More GtkObject -> GObject.

2001-11-06  Michael Meeks  <michael@ximian.com>

	* eel/eel-gdk-pixbuf-extensions.c
	(free_pixbuf_load_handle): do a g_object_unref not an
	unref.

2001-11-03  Darin Adler  <darin@bentspoon.com>

	* Tons of files:
	A bit more GtkObject -> GObject conversion.

2001-11-03  Darin Adler  <darin@bentspoon.com>

	* eel/eel-gtk-macros.h: Ref the parent class instead of just
	peeking at it.

2001-11-03  Darin Adler  <darin@bentspoon.com>

	* eel/eel-preferences.c: (preferences_while_alive_disconnector),
	(eel_preferences_add_callback_while_alive):
	* eel/eel-preferences.h:
	Change eel_preferences_add_callback_while_alive to work with
	any GObject, not just a GtkObject.

	* eel/eel-preferences-box.c: (eel_preferences_box_init):
	* eel/eel-preferences-item.c: (preferences_item_set_main_child):
	* eel/eel-preferences-pane.c: (eel_preferences_pane_init),
	(eel_preferences_pane_add_control_preference):
	Update callers.

2001-11-03  Darin Adler  <darin@bentspoon.com>

	* eel/eel-gtk-macros.h:
	Another update to the boilerplate macros. I also decided to
	do a name change to take out the word "DEFINE".

	* Many files.
	Update for name change.

2001-11-01  Havoc Pennington  <hp@pobox.com>

	* eel/eel-gtk-extensions.c (eel_gtk_window_get_geometry_string):
	new function to replace gnome_geometry_string

2001-11-01  Darin Adler  <darin@bentspoon.com>

	* eel/eel-gtk-macros.h: When I fixed the comma in my copy, I
	made some formatting changes.

2001-11-01  Havoc Pennington  <hp@pobox.com>

	* eel/eel-gtk-macros.h (EEL_DEFINE_BONOBO_BOILERPLATE): add
	missing comma

	* test/test-eel-label-simple.c (use_system_font_callback): adapt 
	to not use eel_widget_set_font(), and add note about how the use
	of eel_gtk_get_system_font() here is broken and is only for
	testing purposes and no one should copy it.

	* eel/eel-gtk-extensions.c (eel_gtk_window_present): that one was
	easy
	(eel_gtk_widget_set_font_by_name): port to GTK 2
	(eel_gtk_label_make_bold): port to GTK 2
	(eel_gtk_label_make_larger): port and note in docs that it's
	broken
	(eel_gtk_label_make_smaller): port and note in docs that it's
	broken
	(eel_gtk_widget_set_background_color): do this properly
	(eel_gtk_widget_set_foreground_color): ditto
	(eel_get_current_event_time): remove, just use
	gtk_get_current_event_time()
	(eel_drag_set_icon_pixbuf): remove, just use
	gtk_drag_set_icon_pixbuf()
	(eel_gtk_widget_standard_draw): delete, there is no draw method
	anymore
	(eel_gtk_pixmap_new_empty): make this less lame
	(eel_nullify_when_destroyed): work on GObject, use
	g_object_add_weak_pointer()
	(eel_nullify_cancel): corresponding change
	(eel_gtk_widget_set_font): remove, just use
	gtk_widget_modify_font()
	(eel_gtk_style_set_font): delete, this was totally broken; I don't
	know what it's for but we have to do it a different way
	(eel_gtk_menu_insert_separator): use GtkSeparatorMenuItem!
	woo-hoo! also, remove setting it insensitive, this will be fixed
	before 2.0 so it isn't required
	(EEL_STANDARD_BUTTON_PADDING): remove, should fix in GTK if we are
	going to fix it
	(eel_gtk_button_auto_click): remove, use gtk_widget_activate()
	(eel_gtk_button_set_standard_padding): remove, should not be used
	(activate_button_on_double_click): use gtk_widget_activate()
	instead of eel_gtk_button_auto_click()
	(eel_gtk_window_set_initial_geometry): use gtk_window_move()
	instead of gtk_widget_set_uposition()
	(eel_gtk_window_set_up_close_accelerator): make it whine if you
	use it on GtkDialog, since that breaks the standard GtkDialog
	close accelerators
	(eel_popup_menu_position_func): remove obsolete FIXME about
	GdkPoint using gint16

	* eel/eel-gdk-extensions.c (eel_gdk_window_set_invisible_cursor):
	port to GTK 2 (not sure why it used Xlib before)

	* eel/eel-dnd.c (eel_drag_drop_action_ask): port to GTK 2

2001-11-01  Darin Adler  <darin@bentspoon.com>

	* eel/eel-gtk-macros.h: Oops, need to pass init and fini functions
	in to bonobo_type_unique.

2001-11-01  Darin Adler  <darin@bentspoon.com>

	* configure.in: Remove some unused stuff.
	* eel/eel-gtk-macros.h: Fix boilerplate to work with GObject, not
	just GtkObject. Share code with the BonoboObject case too.

2001-10-29  Darin Adler  <darin@bentspoon.com>

	* eel-2.0.pc.in: Add some Requires.

2001-10-29  Darin Adler  <darin@bentspoon.com>

	* eel/Makefile.am: Fix typo.

2001-10-28  Darin Adler  <darin@bentspoon.com>

	* configure.in: Fix comment, remove unnecessary direct pkgconfig
	macro since GNOME_PLATFORM_GNOME_2 takes care of htat.

	* many files:
	Since everyone else calls them class_init and init, renamed our
	initialize_class and initialize to match existing practice.

	* eel/eel-gtk-macros.h:
	Added EEL_DEFINE_BONOBO_BOILERPLATE.

	* eel/eel-xml-extensions.h:
	* eel/eel-xml-extensions.c: (eel_xml_remove_node): Remove this
	since xmlUnlinkNode is now implemented.

2001-10-27  jacob berkman  <jacob@ximian.com>

	* eel/eel-background.c (eel_background_start_loading_image):
	update to new vfs priority macro name

2001-10-22  Darin Adler  <darin@bentspoon.com>

	* eel/eel-gdk-extensions.c: (eel_gdk_window_set_wm_protocols):
	* eel/eel-gdk-font-extensions.c: (eel_gdk_font_get_name):
	Fix for GdkAtom/XAtom change in gtk.

2001-10-20  Anders Carlsson  <andersca@gnu.org>

	* eel/eel-background.c: (eel_background_start_loading_image):
	* eel/eel-gdk-pixbuf-extensions.c: (eel_gdk_pixbuf_load_async):
	* eel/eel-gdk-pixbuf-extensions.h:
	* eel/eel-vfs-extensions.c: (eel_read_file_async),
	(eel_read_entire_file_async):
	* eel/eel-vfs-extensions.h: Update async eel functions using gnome-vfs
	to take a priority argument because of the recent priority changes in
	gnome-vfs.

2001-10-11  Ramiro Estrugo  <ramiro@fateware.com>

	* eel/eel-clickable-image.c: (eel_clickable_image_new_solid):
	* eel/eel-image-chooser.c: (eel_image_chooser_insert_row):
	* eel/eel-image.c: (eel_image_initialize_class),
	(eel_image_initialize), (eel_image_finalize), (eel_image_set_arg),
	(eel_image_get_arg), (eel_image_size_request),
	(eel_image_expose_event), (eel_image_new_solid):
	* eel/eel-image.h:
	* eel/eel-label.c: (eel_label_initialize_class),
	(eel_label_initialize), (eel_label_finalize), (eel_label_set_arg),
	(eel_label_get_arg), (eel_label_size_request), (label_paint),
	(paint_label_smooth), (paint_label_smooth_cached),
	(eel_label_expose_event), (label_can_cache_contents),
	(eel_label_new_solid):
	* eel/eel-label.h:
	* eel/eel-labeled-image.c: (eel_labeled_image_make_smaller):
	* eel/eel-labeled-image.h:
	* eel/eel-smooth-widget.c: (eel_smooth_widget_paint),
	(eel_smooth_widget_get_preferred_dimensions):
	* eel/eel-smooth-widget.h:
	* test/.cvsignore:
	* test/Makefile.am:
	* test/test-eel-image-background.c:
	(window_new_with_eel_background_image),
	(window_new_with_eel_background_gradient),
	(window_new_with_gtk_background),
	(window_new_with_gtk_background_hacked),
	(window_new_with_solid_background):
	* test/test-eel-image-simple.c: (image_window_new), (main):
	* test/test-eel-image-tile.c:
	* test/test-eel-image.c:
	* test/test-eel-label-background.c:
	(window_new_with_eel_background_image),
	(window_new_with_eel_background_gradient),
	(window_new_with_gtk_background),
	(window_new_with_gtk_background_hacked),
	(window_new_with_solid_background):
	* test/test-eel-label-scrolled.c: (label_window_new),
	(label_window_new_scrolled), (label_window_new_table):
	* test/test-eel-labeled-image.c: (main):
	* test/test-eel-viewport-constraint.c: (create_eel_label):
	* test/test.c: (test_image_new), (test_label_new):
	* test/test.h:
	Lose the "tile" feature of EelImage and EelLabel.  The short story
	is that this code is unnecessary.  Losing it makes the widgets
	simpler and should make the transition to using GtkImage from Gtk+
	2.0 a little easier.  Blame 70% Arlo 30% Ramiro for this "feature."
	
2001-10-10  Darin Adler  <darin@bentspoon.com>

	* eel/eel-debug-drawing.c:
	* eel/eel-label.c:
	* eel/eel-smooth-text-layout.c:
	Mark functions static for proper namespace hygiene.

2001-10-02  Darin Adler  <darin@bentspoon.com>

	* eel/eel-canvas-rect.c: (test_diff_rects): Change call to
	g_string_printfa to use g_string_append_printf.

2001-10-02  Darin Adler  <darin@bentspoon.com>

	* .cvsignore:
	* Makefile.am:
	* configure.in:
	Remove use of xml-i18n-tools, since we don't have anything that
	we use it to localize.

2001-10-02  Darin Adler  <darin@bentspoon.com>

	* eel/eel-background.c: (eel_background_is_dark): Remove extra
	factor of two that was making every background seem dark.

2001-10-01  Darin Adler  <darin@bentspoon.com>

      	Now that we are setting the translation domain properly to make
        _() use eel translations, we must use explicit gettext calls
        when we want application translations.

        * eel/eel-dnd.c: (eel_drag_drop_action_ask): Switch into the
        eel domain when calling gnome_popup_menu_new so we get the
        eel translations of the menu items.

        * eel/eel-enumeration.c:
        (eel_enumeration_get_nth_description_translated):
        * eel/eel-preferences-box.c: (preferences_box_populate_pane),
        (eel_preferences_box_populate):
        * eel/eel-xml-extensions.c: (eel_xml_get_property_translated):
        Use gettext, not _(), to translate strings passed from elsewhere.

        * eel/eel-preferences.c:
        (eel_preferences_get_user_level_name_for_display):
        Use _(), not gettext, to translate strings in this code.

        * eel/eel-gdk-font-extensions.c:
        Remove gnome-i18n.h include where it's not used.

	* configure.in: Remove unused @REBUILD@ stuff.
	* eel/eel-glib-extensions.c: Whitespace tweaks.
	
2001-09-28  Darin Adler  <darin@bentspoon.com>

	* eel/eel-font-manager.c: (eel_self_check_font_manager):
	Cleaned up tests a bit.

	* eel/eel-string-list.c: (eel_self_check_string_list):
	Changed test results back now that g_strsplit behavior has been
	changed in glib.

	* configure.in: Bump required glib version to 1.3.9.

2001-09-28  Darin Adler  <darin@bentspoon.com>

	Port from destroy to finalize.

	* eel/eel-background.c: (eel_background_initialize_class),
	(eel_background_finalize):
	* eel/eel-canvas-rect.c: (rect_finalize),
	(eel_canvas_rect_initialize_class):
	* eel/eel-caption-table.c: (eel_caption_table_initialize_class),
	(caption_table_finalize):
	* eel/eel-caption.c: (eel_caption_initialize_class),
	(eel_caption_finalize):
	* eel/eel-clickable-image.c:
	(eel_clickable_image_initialize_class),
	(eel_clickable_image_finalize):
	* eel/eel-debug-drawing.c: (debug_pixbuf_viewer_initialize_class),
	(debug_pixbuf_viewer_finalize):
	* eel/eel-font-picker.c: (eel_font_picker_initialize_class),
	(eel_font_picker_finalize):
	* eel/eel-gtk-extensions.c: (eel_gtk_style_set_font),
	(eel_gtk_widget_set_font), (eel_gtk_get_system_font):
	* eel/eel-gtk-extensions.h:
	* eel/eel-image-chooser.c: (eel_image_chooser_initialize_class),
	(eel_image_chooser_finalize), (eel_image_chooser_destroy):
	* eel/eel-image-table.c: (eel_image_table_initialize_class),
	(eel_image_table_finalize):
	* eel/eel-image.c: (eel_image_initialize_class),
	(eel_image_finalize):
	* eel/eel-label.c: (eel_label_initialize_class),
	(eel_label_finalize):
	* eel/eel-labeled-image.c: (eel_labeled_image_initialize_class),
	(eel_labeled_image_finalize):
	* eel/eel-list-column-title.c:
	(eel_list_column_title_initialize_class),
	(eel_list_column_title_finalize):
	* eel/eel-password-dialog.c:
	(eel_password_dialog_initialize_class),
	(eel_password_dialog_initialize), (eel_password_dialog_finalize),
	(eel_password_dialog_new):
	* eel/eel-preferences-box.c:
	(eel_preferences_box_initialize_class),
	(eel_preferences_box_finalize):
	* eel/eel-preferences-group.c:
	(eel_preferences_group_initialize_class),
	(eel_preferences_group_finalize):
	* eel/eel-preferences-item.c:
	(eel_preferences_item_initialize_class),
	(preferences_item_finalize):
	* eel/eel-preferences-pane.c:
	(eel_preferences_pane_initialize_class),
	(eel_preferences_pane_finalize):
	* eel/eel-radio-button-group.c:
	(eel_radio_button_group_initialize_class),
	(eel_radio_button_group_finalize):
	* eel/eel-scalable-font.c: (eel_scalable_font_initialize_class),
	(eel_scalable_font_finalize):
	* eel/eel-smooth-text-layout-cache.c:
	(eel_smooth_text_layout_cache_initialize_class),
	(eel_smooth_text_layout_cache_finalize):
	* eel/eel-smooth-text-layout.c:
	(eel_smooth_text_layout_initialize_class),
	(eel_smooth_text_layout_finalize):
	* eel/eel-string-picker.c: (eel_string_picker_initialize_class),
	(eel_string_picker_finalize):
	* eel/eel-text-caption.c: (eel_text_caption_initialize_class),
	(eel_text_caption_finalize):
	* eel/eel-viewport.c: (eel_viewport_initialize_class),
	(eel_viewport_finalize):
	* eel/eel-wrap-table.c: (eel_wrap_table_initialize_class),
	(eel_wrap_table_finalize):
	Replace destroy default handlers with finalize ones in most cases.
	In a few cases, divide an existing destroy handler into two pieces.

	* test/test-eel-label-flavorful.c: (decreasing_label_window_new):
	* test/test-eel-label-simple.c: (use_system_font_callback):
	Re-enable some test code.

2001-09-27  Darin Adler  <darin@bentspoon.com>

	* test/test-eel-label-flavorful.c: (label_set_label_to_font_name):
	Oops. One more thing to fix in here. Use pango call.

2001-09-26  Darin Adler  <darin@bentspoon.com>

	* eel/Makefile.am:
	Another pass. The last one was too simplistic.

2001-09-26  Darin Adler  <darin@bentspoon.com>

	* configure.in:
	Get the path of glib-genmarshal.

	* eel/.cvsignore:
	* eel/Makefile.am:
	Fix up generated file build to be simpler. Most importantly, add
	the feature where it won't recompile everything every time any
	header changes.

	* eel/eel-gtk-extensions.h:
	* eel/eel-gtk-extensions.c: (eel_gtk_get_system_font):
	Wrote Pango version of this function.

	* test/test-eel-label-flavorful.c: (label_set_label_to_font_name):
	Reenabled some ifdef'd out code.

2001-09-19  Marius Andreiana  <mandreiana@yahoo.com>

	* configure.in: Added ro (Romanian) to ALL_LINGUAS
	
2001-09-18  Darin Adler  <darin@bentspoon.com>

	* eel/eel-gtk-extensions.h:
	* eel/eel-ellipsizing-label.c: (recompute_ellipsized_text):
	* eel/eel-gdk-pixbuf-extensions.c: (check_average_value):
	* eel/eel-gtk-extensions.c: (eel_gtk_widget_set_font_by_name),
	(eel_gtk_label_make_bold), (eel_gtk_label_make_larger),
	(eel_gtk_label_make_smaller):
	* test/test-eel-label-flavorful.c: (label_set_label_to_font_name):
	* test/test-eel-label-simple.c: (use_system_font_callback):

	Turned off a lot of GdkFont stuff so we can still compile.
	This highlights more of the gnome 2 conversion work that will
	be needed.

2001-09-17  Darin Adler  <darin@bentspoon.com>

	* eel/eel-background.c: (eel_background_is_dark): Make this work
	with background images that are transparent or partly-transparent.
	It turns out this was another part of the problem with the default
	Nautilus theme's text color.
	
	* eel/eel-gdk-pixbuf-extensions.h:
	* eel/eel-gdk-pixbuf-extensions.c: (eel_gdk_pixbuf_average_value):
	Fix bug that caused incorrect average values in pixbufs with more
	than about 66000 pixels. Alex Larsson found the problem and
	provided a fix that I used as a starting point. Also change
	algorithm so that it handles the alpha channel. Also made it use
	64-bit arithmetic for simplicity -- hope that doesn't make it too
	slow. Also changed it to use an argb value instead of a GdkColor.
	(eel_gdk_pixbuf_intersect): Get rid of special case for
	eel_gdk_pixbuf_whole_pixbuf by making just using a wide-open
	rectangle instead.
	(check_average_value), (eel_self_check_gdk_pixbuf_extensions):
	Added some test cases for eel_gdk_pixbuf_average_value.

2001-09-08  Wang Jian  <lark@linux.net.cn>

	* configure.in(ALL_LINGUAS): Added zh_CN for Simplified Chinese.

2001-09-07  Darin Adler  <darin@bentspoon.com>

	* eel/eel-gdk-font-extensions.h:
	* eel/eel-gdk-font-extensions.c: (eel_gdk_font_get_italic),
	(eel_gdk_font_get_bold), (eel_gdk_font_get_larger),
	(eel_gdk_font_get_largest_fitting), (font_get_bold),
	(font_get_size_in_pixels): Call the new eel_gdk_font_get_name.
	(eel_gdk_font_get_name): Public version of font_get_name. Code
	stolen from gal used to get name from X.

	* test/test-eel-label-flavorful.c: (label_set_label_to_font_name):
	Call eel_gdk_font_get_name, remove font_get_name.

2001-09-07  Darin Adler  <darin@bentspoon.com>

	* configure.in: Got rid of dependency on libgnomesupport.

	* eel/eel-gdk-font-extensions.c: (font_get_name):
	* test/test-eel-label-flavorful.c: (font_get_name):
	Disabled these until we can figure out what to do about them.

2001-09-03  Darin Adler  <darin@bentspoon.com>

	* eel/check-program.c: (main):
	* test/test-eel-password-dialog.c: (main):
	* test/test-eel-widgets.c: (main):
	* test/test.c: (test_init):
	Use libgnomeui_module_info_get () instead of
	libgnomeui_module_info.

2001-09-01  Darin Adler  <darin@bentspoon.com>

	* eel/eel-gtk-extensions.c: Remove include.

2001-09-01  Darin Adler  <darin@bentspoon.com>

	* eel/eel-dnd.c:
	(is_path_that_gnome_uri_list_extract_filenames_can_parse):
	* eel/eel-font-manager.c: (font_description_table_add),
	(next_token):
	* eel/eel-glib-extensions.c: (eel_strdup_strftime):
	* eel/eel-string.c: (eel_istr_has_prefix), (eel_istr_has_suffix),
	(eel_str_to_int), (eel_str_capitalize):
	Oops! How did I miss all of these places that needed to use
	the new g_ascii_* calls?

2001-08-31  Darin Adler  <darin@bentspoon.com>

	* eel/eel-background.c:
	* eel/eel-dnd.c:
	* eel/eel-font-manager.c:
	* eel/eel-glib-extensions.c:
	* eel/eel-list.c:
	* eel/eel-string.c:
	* eel/eel-vfs-extensions.c: (is_valid_scheme_character),
	(eel_make_uri_canonical):
	Get rid of all includes of <ctype.h> and use non-locale-specific
	g_ascii_* calls from glib instead.

2001-08-31  Darin Adler  <darin@bentspoon.com>

	Rolled change from stable eel-1-0 branch:

	* eel/eel-gtk-extensions.c:
	(eel_gtk_class_name_make_like_existing_type),
	(eel_gtk_get_system_font): Fix storage leaks by using
	gtk_object_sink to get rid of temporary widgets that are never
	parented instead of using gtk_object_destroy.

2001-08-31  Darin Adler  <darin@bentspoon.com>

	* eel/eel-gtk-extensions.c: (eel_gtk_window_present):
	Get things compiling again by getting rid of code that uses
	gnome_win_hints (for now).

2001-08-31  Abel Cheung  <maddog@linux.org.hk>

	* configure.in (ALL_LINGUAS): zh_TW.Big5 -> zh_TW

2001-08-27  Darin Adler  <darin@bentspoon.com>

	Rolled change from stable eel-1-0 branch:
	
	2001-08-27  Alex Larsson  <alexl@redhat.com>
	
	* eel/eel-list-column-title.c (truncate_string):
	Fix elipsis truncation on multibyte locales.

2001-08-27  Anders Carlsson  <andersca@gnu.org>

	* eel/eel-font-manager.c (eel_self_check_font_manager): Remove
	unused original_current_dir variable.

 	* eel/eel-canvas-rect.c (rect_update): Free our fill_svp
 	if it exists.
 
 	* eel/eel-gdk-font-extensions.c (xlfd_string_get_nth_as_int): 
 	Free strings returned by xlfd_string_get_nth.

2001-08-24  Darin Adler  <darin@bentspoon.com>

	* configure.in: Require librsvg 1.1, not 1.1.0.
	* eel/eel-glyph.c: Use header from libart, not librsvg.

2001-08-22  Ramiro Estrugo  <ramiro@fateware.com>

	Change from the stable eel-1-0 branch.

	* eel/eel-gconf-extensions.c: (eel_gconf_value_set_string_list):
	Fix leaks introduced in last checkin.

2001-08-22  Ramiro Estrugo  <ramiro@fateware.com>

	Change from the stable eel-1-0 branch.

	* eel/eel-gconf-extensions.h:
	* eel/eel-gconf-extensions.c: (eel_gconf_is_default): Use value
	free cover that does its own not NULL checking.
	(eel_gconf_value_get_string_list),
	(eel_gconf_value_set_string_list): New function to deal with
	GConfValue lists of GNONF_VALUE_STRING type.

	* eel/eel-preferences.c: (preferences_gconf_value_get_int),
	(preferences_gconf_value_get_bool),
	(preferences_gconf_value_get_string),
	(preferences_gconf_value_get_string_list), (preferences_get_value),
	(preferences_preference_is_gconf_key), (preferences_key_make),
	(preferences_find_first_non_null_default_value),
	(eel_preferences_get_visible_user_level),
	(eel_preferences_set_visible_user_level),
	(eel_preferences_set_is_invisible), (eel_preferences_set_boolean),
	(eel_preferences_get_boolean), (eel_preferences_set_integer),
	(eel_preferences_get_integer), (eel_preferences_set),
	(eel_preferences_get), (eel_preferences_set_string_list),
	(eel_preferences_get_string_list),
	(eel_preferences_default_set_integer),
	(eel_preferences_default_get_integer),
	(eel_preferences_default_set_boolean),
	(eel_preferences_default_get_boolean),
	(eel_preferences_default_set_string),
	(eel_preferences_default_get_string),
	(eel_preferences_default_set_string_list),
	(eel_preferences_default_get_string_list),
	(preferences_entry_invoke_callbacks_if_needed),
	(preferences_entry_update_cached_value),
	(preferences_entry_ensure_gconf_connection),
	(preferences_entry_free), (preferences_global_table_free),
	(eel_preferences_add_callback), (eel_preferences_add_auto_string),
	(eel_preferences_add_auto_string_list),
	(eel_preferences_add_auto_integer),
	(eel_preferences_add_auto_boolean),
	(eel_preferences_remove_auto_string),
	(eel_preferences_remove_auto_string_list),
	(eel_preferences_remove_auto_integer),
	(eel_preferences_remove_auto_boolean),
	(preferences_while_alive_disconnector),
	(eel_preferences_add_callback_while_alive),
	(eel_preferences_remove_callback),
	(eel_preferences_set_description),
	(eel_preferences_set_enumeration_id),
	(eel_preferences_visible_in_current_user_level),
	(eel_preferences_initialize):
	Cleanup whacky system where preference visibilities and default
	values were stored using gconf.  Instead, store the visibilities
	and defaults values in the already existing table of preferences.
	The changes make this code a bit simpler.  In particular, the code
	to create the right keys is now gone.  Add some covers for getting
	values out of GConfValue safely and with some extra checking the
	the types are right.

2001-08-21  Maciej Stachowiak  <mjs@anarchy.noisehavoc.org>

	Merge from stable branch:
	
	2001-08-20  Maciej Stachowiak  <mjs@noisehavoc.org>
 
 	* eel/eel-clist.c: (eel_clist_set_column_justification,
 	size_allocate_title_buttons): Try to remove some sources of
 	crashing when EelList is used as a drop-in replacement for
 	GtkCList. (Using EelCList directly still crashes).
 	* eel/eel-list-column-title.c: (eel_list_column_title_paint): More
 	potential crash reduction.
 
 	* test/Makefile.am: Speed up the build a bit by removing some
 	redundant libraries.
 	* eel/Makefile.am: Likewise.

2001-08-21  Maciej Stachowiak  <mjs@noisehavoc.org>

	* eel/eel-font-manager.c (collect_fonts_from_directory): Adjust to
	recent removal of filtering from gnome-vfs.

2001-08-21  Maciej Stachowiak  <mjs@eazel.com>

	Merge from eel-1-0 branch:

	2001-07-20  Maciej Stachowiak  <mjs@eazel.com>
 
        * eel/eel-ctree.c: (draw_row): Fix bugzilla.eazel.com bug 8387
 	(Dragging elements to a folder entry should make it hilighted) by
	making the text of the drop target row bold in addition to making
	the icon darker. I think this looks a lot better.
 
2001-08-17  Darin Adler  <darin@bentspoon.com>

	* eel/eel-gtk-extensions.c: Remove include of obsolete header.

2001-08-17  Ramiro Estrugo  <ramiro@fateware.com>

	Change from the stable eel-1-0 branch.
	
	Make these widgets more useful outside Nautilus by providing
	functions to change ui elements (such as titles and descriptions)
	as well iterators.

	These changes do not affect either binary or source compatibility
	for Nautilus.
	
	* eel/eel-preferences-box.h:
	* eel/eel-preferences-box.c:
	(preferences_box_populate_pane), (eel_preferences_dialog_new),
	(eel_preferences_dialog_get_box), Add accessor for the preferences
	box of a dialog.
	(eel_preferences_dialog_populate), Separate the populate function
	out on its own.
	(eel_preferences_box_for_each_pane), New function for iterating
	panes.
	(eel_preferences_box_rename_pane), New function to rename a pane.
	(eel_preferences_box_get_pane_name): New function to find the name
	of a pane.

	* eel/eel-preferences-group.h:
	* eel/eel-preferences-group.c:
	(eel_preferences_group_set_title_label), New function for changing
	the title label of a group.
	(eel_preferences_group_for_each_item): New function for iterating
	items.

	* eel/eel-preferences-pane.h:
	* eel/eel-preferences-pane.c: (eel_preferences_pane_initialize),
	(eel_preferences_pane_destroy), (eel_preferences_pane_new),
	(eel_preferences_pane_add_group),
	(preferences_pane_get_max_caption_width),
	(eel_preferences_pane_update),
	(eel_preferences_pane_add_control_preference), Use more consistent
	paramter names.
	(eel_preferences_pane_for_each_group): New function for iterating
	groups.

	* eel/eel-preferences-item.h:
	* eel/eel-preferences-item.c:
	* eel/eelmarshal.list:
	(eel_preferences_item_initialize_class),
	(preferences_item_update_custom),
	(preferences_item_set_main_child),
	(preferences_item_create_enumeration_list),
	(preferences_item_create_boolean),
	(preferences_item_create_editable_string),
	(preferences_item_create_editable_integer),
	(preferences_item_create_enumeration_menu),
	(preferences_item_create_font),
	(preferences_item_create_smooth_font),
	(eel_preferences_item_get_name), (update_text_settings_at_idle),
	(preferences_item_update_text_settings_at_idle),
	(update_integer_settings_at_idle),
	(preferences_item_update_editable_integer_settings_at_idle),
	(preferences_item_update_description),
	(eel_preferences_item_set_control_preference),
	(eel_preferences_item_set_control_action),
	(preferences_item_get_control_showing),
	(eel_preferences_item_enumeration_list_set_unique_exceptions),
	(eel_preferences_item_set_description):
	Add new functions for changing the descriptions of items.  Factor
	out the code to set descriptions into its own function and make
	that public.  Use more consistent parameter names.  Add signal for
	notifying custom items about description changes.

2001-08-15  Darin Adler  <darin@bentspoon.com>

	Remove some glib extensions that are obviated by additions to
	glib 2.0.

	* eel/eel-glib-extensions.h: Remove EEL_N_ELEMENTS (G_N_ELEMENTS),
	eel_g_list_safe_for_each (g_list_foreach), eel_g_list_sort_custom
	(g_list_sort_with_data), eel_g_string_append_len (g_string_append_len),
	eel_g_hash_table_remove_deep_custom, eel_g_hash_table_remove_deep,
	eel_g_hash_table_destroy_deep_custom, eel_g_hash_table_destroy_deep
	(use g_hash_table_new_full instead), eel_g_ptr_array_sort
	(g_ptr_array_sort_with_data), eel_shell_quote (g_shell_quote).
.
	* eel/eel-glib-extensions.c: (eel_strdup_strftime):
	Use g_string_append_len instead of eel_g_string_append_len.
	(eel_dumb_down_for_multi_byte_locale_hack): Use G_N_ELEMENTS
	instead of EEL_N_ELEMENTS.
	(eel_self_check_glib_extensions): Test g_shell_quote instead
	of eel_shell_quote.

	* eel/eel-gnome-extensions.c: (try_terminal_command),
	(try_terminal_command_argv), (get_terminal_command_prefix),
	(eel_gnome_make_terminal_command):
	Use g_shell_quote instead of eel_shell_quote.

	* eel/eel-gtk-extensions.c: (eel_gtk_object_list_unref):
	Use g_list_foreach instead of eel_g_list_safe_for_each.

	* eel/eel-scalable-font.c: (free_global_font_handle_table),
	(initialize_global_stuff_if_needed):
	Use g_hash_table_new_full instead of eel_g_hash_table_destroy_deep_custom.

	* eel/eel-debug.c:
	(eel_make_warnings_and_criticals_stop_in_debugger):
	* eel/eel-font-manager.c: (font_directory_is_ignored),
	(font_foundry_is_ignored), (font_family_is_ignored),
	(eel_font_manager_get_default_font),
	(eel_font_manager_get_default_bold_font):
	* eel/eel-font-picker.c: (font_make_style_name):
	* eel/eel-list.c: (eel_list_initialize_dnd),
	(get_data_on_first_target_we_support):
	* test/test-eel-gtk-style.c:
	* test/test-eel-image-chooser.c: (populate_image_chooser_callback),
	(populate_button_group_callback):
	* test/test-eel-image-table.c: (labeled_image_new),
	(image_table_new_scrolled):
	* test/test-eel-image.c: (main):
	Use G_N_ELEMENTS instead of EEL_N_ELEMENTS.

Wed Aug 15 16:32:56 2001  Jonathan Blandford  <jrb@redhat.com>

	* eel/eel-dnd.c (eel_drag_default_drop_action_for_icons): make the
	trash directory.

2001-08-15  Darin Adler  <darin@bentspoon.com>

	* eel/eel-gdk-pixbuf-extensions.c: Use a 64K buffer instead of
	a 4K one.

2001-08-14  Darin Adler  <darin@bentspoon.com>

	* eel/eel-font-manager.c: (eel_font_manager_get_bold):
	Remove another ill-advised call to
	eel_font_manager_file_is_scalable_font. Even if we do want
	to test the file's type, we definitely don't want to do it
	inside g_return_if_fail.

2001-08-14  Alex Larsson  <alexl@redhat.com>

	* eel/eel-scalable-font.c (eel_scalable_font_new):
	Don't test eel_font_manager_file_is_scalable_font (),
	it does slow I/O.
	(eel_scalable_font_get_default_font,
	eel_scalable_font_get_default_bold_font):
	Don't keep recreating new EelScalableFonts for the
	default font.

2001-08-13  Darin Adler  <darin@bentspoon.com>
	
	* eel/eel-background.c: (eel_background_load_image_callback),
	(draw_background_callback), (render_background_callback),
	(eel_background_set_up_canvas):
	Replace the old EelBackgroundCanvasGroup hack with code that uses
	the new draw_background and render_background signals in
	GnomeCanvas.

	* eel/Makefile.am:
	* eel/eel-background-canvas-group.c:
	* eel/eel-background-canvas-group.h:
	Remove the old EelBackgroundCanvasGroup class.

2001-08-09  Ramiro Estrugo  <ramiro@fateware.com>

	Change from the eel-1-0 branch.
	
	* eel/eel-art-extensions.h:
	* eel/eel-art-extensions.c: (eel_art_point_assign),
	(eel_art_point_clamp), (eel_art_point_offset_by):
	Add ArtPoint version of some functions.

2001-08-08  Darin Adler  <darin@bentspoon.com>

	* autogen.sh: No need for hack-macros any more.
	* configure.in: No need to check for freetype, since
	we don't depend on it directly. We use it via librsvg.
	* eel.spec.in: No need to check for freetype.

2001-08-06  Darin Adler  <darin@bentspoon.com>

	* autogen.sh: No need to gettextize, xml-i18n-toolize, and
	libtoolize twice.
	* configure.in: Switch from lots of GNOME_PKGCONFIG_CHECK_MODULES
	calls to a lot fewer PKG_CHECK_MODULES calls. More oaf ->
	bonobo-activation renaming. No need to build intl directory.
	* Makefile.am: No need to build intl directory.

	* test/Makefile.am: No need to use -I to include this directory.
	
	* eel/check-program.c:
	* test/test-eel-password-dialog.c:
	* test/test-eel-widgets.c:
	<libgnomeui/gnome-init.h> -> <libgnomeui/gnome-ui-init.h>.
	
2001-07-26  Darin Adler  <darin@bentspoon.com>

	* configure.in: Fix option checking code. Before it was setting
	VFS_CFLAGS, which was wrong.
	
	* eel/Makefile.am: Add -DG_DISABLE_DEPRECATED.
	
	* eel/eel-background.c: (eel_widget_background_changed):
	Use gtk_widget_queue_draw instead of gtk_widget_queue_clear.
	* eel/eel-canvas-rect.c: (test_diff_rects): Use g_string_printfa
	instead of g_string_sprintfa.
	* eel/eel-caption.c: (eel_caption_get_title_label): Use
	gtk_label_get_text instead of gtk_label_get.
	* eel/eel-clickable-image.c:
	(eel_clickable_image_initialize_class): Use g_signal_new instead
	of gtk_signal_new.
	(label_enter), (label_leave), (label_handle_button_release): Use
	g_signal_emit instead of gtk_signal_emit.
	* eel/eel-debug-drawing.c: (eel_debug_show_pixbuf): Use
	gtk_window_set_resizable instead of gtk_window_set_policy.
	* eel/eel-font-picker.c: (font_picker_populate): Use
	gtk_radio_menu_item_get_group instead of gtk_radio_menu_item_group.
	* eel/eel-gdk-extensions.c: (eel_fill_rectangle_with_color),
	(eel_gdk_gc_choose_foreground_color): Get rid of unneeded calls to
	gdk_rgb_init.
	* eel/eel-glib-extensions.c: (eel_test_predicate): Use
	g_ascii_strcasecmp instead of g_strcasecmp.
	* eel/eel-gtk-extensions.h: Add ifdefs so we can compile this
	header with GTK_DISABLE_DEPRECATED on -- helps us notice what we
	should get rid of.
	* eel/eel-image-chooser.c: (eel_image_chooser_initialize_class):
	Use G_STRUCT_OFFSET instead of GTK_SIGNAL_OFFSET.
	(eel_image_chooser_set_selected_row): Use g_signal_emit instead of
	gtk_signal_emit.
	* eel/eel-image-table.c: (eel_image_table_initialize_class),
	(image_table_emit_signal): Use g_signal_emit instead of
	gtk_signal_emit.
	* eel/eel-image.c: (eel_image_initialize_class): Use
	G_STRUCT_OFFSET instead of GTK_SIGNAL_OFFSET.
	* eel/eel-label.c: (eel_label_initialize_class): Use
	G_STRUCT_OFFSET instead of GTK_SIGNAL_OFFSET.
	* eel/eel-preferences-box.c: (eel_preferences_dialog_new): Use
	gtk_window_set_resizable instead of gtk_window_set_policy.
	* eel/eel-preferences-item.c:
	(preferences_item_create_editable_string): Use g_ascii_strcasecmp
	instead of g_strcasecmp.
	* eel/eel-radio-button-group.c: (eel_radio_button_group_insert):
	Use gtk_radio_button_get_group instead of gtk_radio_button_group.
	* eel/eel-stock-dialogs.c: (find_message_label): Use
	gtk_label_get_text instead of gtk_label_get.
	* eel/eel-string.c: (eel_strcasecmp): Use g_ascii_strcasecmp
	instead of g_strcasecmp.

	* eel/eel-gdk-font-extensions.h: Fix typo in comment.

2001-07-26  Ramiro Estrugo  <ramiro@fateware.com>

	* configure.in:
	* eel/.cvsignore:
	* eel/Makefile.am:
	* eel/eel-features.c:
	* eel/eel-features.h.in:
	* eel/eel.h:
	Add eel-features.[ch] so that the version of the library can be
	checked at runtime.
	
2001-07-26  Ramiro Estrugo  <ramiro@fateware.com>

	Change from the the eel-1-0 branch:

	* eel/eel-image.h:
	* eel/eel-image.c: (eel_image_initialize_class),
	(eel_image_initialize), (eel_image_set_arg), (eel_image_get_arg),
	(eel_image_expose_event), (eel_image_get_pixbuf_opacity),
	(eel_image_set_pixbuf_insensitive_opacity),
	(eel_image_get_pixbuf_insensitive_opacity):
	Add support for rendering the image pixbuf at a lower opacity when
	the widget state is insensitive.

2001-07-25  Ramiro Estrugo  <ramiro@fateware.com>

	* eel/Makefile.am:
	Add missing eelmarshal.list to EXTRA_DIST and use a sophisticated
	alphabetized order on the list.
	
2001-07-25  Ramiro Estrugo  <ramiro@fateware.com>

	* eel-2.0.pc.in:
	Change link flags to '-leel-2' instead of '-leel'
	
2001-07-25  Ramiro Estrugo  <ramiro@fateware.com>

	* configure.in:
	Add defines for Eel library major, minor and micro version numbers
	so that we can use these to properly set the shared library
	version info.
	Make the includedir be eel-2/eel' instead of 'eel' so that we can
	have GNOME1 and GNOME2 installations of Eel cohabiting in the
	same $prefix.

	Change the PACKAGE name to eel2.

	* data/fonts/urw/Makefile.am:
	Data dir is now 'share/eel-2/eel' instead of 'share/eel'

	* eel-2.0.pc.in:
	Include dir is now include/eel-2/eel' instead of 'include/eel'

	* eel.spec.in:
	Update for includedir and datadir changes.
	Add missing .mo file rule.
	Cleanup some.
	
	* eel/Makefile.am:
	Set the shared library version info.
	Change libary name to libeel-2 so that we can install it in the
	same prefix as libeel (GNOME1 and GNOME2 cohabitation)
	Install headers in the new 'eel-2/eel' includedir.
	Update EEL_DATADIR for new 'eel-2/eel' data location so that
	fallback fonts can be found in the right place.

	* test/Makefile.am:
	Update for includedir and datadir changes.

	* test/dumb-box.c: (eel_dumb_box_expose):
	More sythetic exposure fixes.
	
2001-07-24  Ramiro Estrugo  <ramiro@fateware.com>

	* eel/eel-image-chooser.c: (image_chooser_expose_event):
	* eel/eel-viewport.c: (eel_viewport_expose_event):
	* eel/eel-wrap-table.c: (eel_wrap_table_expose_event):
	More sythetic expose event fixes.
	
2001-07-24  Ramiro Estrugo  <ramiro@fateware.com>

	* eel/eel-gtk-container.c: (eel_gtk_container_child_expose_event):
	Fix the way that expose events are synthesized for children of
	containers.  In Gtk+ 2.0 there is a standard and convenient way of
	doing this, so we use that instead of doing it "by hand".
	
2001-07-24  Ramiro Estrugo  <ramiro@fateware.com>

	* eel/eel-clickable-image.c:
	(eel_clickable_image_initialize_class):
	* eel/eel-clickable-image.h:
	* eel/eel-font-picker.c: (eel_font_picker_initialize_class):
	* eel/eel-font-picker.h:
	* eel/eel-image-chooser.c: (eel_image_chooser_initialize_class):
	* eel/eel-image-chooser.h:
	* eel/eel-image-table.c: (eel_image_table_initialize_class):
	* eel/eel-image-table.h:
	* eel/eel-image.c: (eel_image_initialize_class):
	* eel/eel-label.c: (eel_label_initialize_class):
	* eel/eel-preferences-item.c:
	(eel_preferences_item_initialize_class):
	* eel/eel-preferences-item.h:
	* eel/eel-radio-button-group.c:
	(eel_radio_button_group_initialize_class):
	* eel/eel-radio-button-group.h:
	* eel/eel-string-picker.c: (eel_string_picker_initialize_class):
	* eel/eel-string-picker.h:
	* eel/eel-text-caption.c: (eel_text_caption_initialize_class):
	* eel/eel-text-caption.h:
	Changes to make the GTK+ 2.0 signal system happier.  Make sure
	that all signals are declared in the class structure and that the
	offset argument to gtk_signal_new () points to a valid method
	offset.
	
2001-07-24  Ramiro Estrugo  <ramiro@fateware.com>

	* eel/eel-gdk-pixbuf-extensions.c:
	* eel/eel-gdk-pixbuf-extensions.h:
	* eel/eel-smooth-widget.c: (smooth_widget_get_gtk_background):
	Remove the use of a "safe" (and very hacky) drawable to pixbuf
	function, since the problems we were working around have been
	fixed in GTK+ 2.0.
	With this change, "smooth" widgets work again.
	
	* test/test.c: (test_init):
	Comment out the gnome_program_init() thing for now.
	Currently the gnome_program_init() function makes the test
	programs hang for me.  Using just the gtk_init () works for
	most tests, so I am using just that until the gnome_program_init ()
	function is fixed or we learn how to use it properly.

2001-07-24  Ramiro Estrugo  <ramiro@fateware.com>

	Change from the the eel-1-0 branch:
	
	* eel/eel-string-list.h:
	* eel/eel-string-list.c: (eel_string_list_prepend): New function
	to prepend a string to the collection.
	(eel_string_list_append_string_list): Rename from
	eel_string_list_append () which was a confusing name.
	This API change doesnt affect Nautilus or Eel since neither used
	this function.

2001-07-18  Darin Adler  <darin@bentspoon.com>

	* acconfig.h: Also need to add GNOME_EXPLICIT_TRANSLATION_DOMAIN
	here for autoheader.

2001-07-17  Darin Adler  <darin@bentspoon.com>

	* configure.in: Add GNOME_EXPLICIT_TRANSLATION_DOMAIN so messages
	withing eel get translated properly.

2001-07-17  Darin Adler  <darin@bentspoon.com>

	* eel/eel-gdk-font-extensions.c:
	(eel_gdk_font_get_largest_fitting): Add FIXME about incorrect
	assumption that the longest string is the widest.
	(xlfd_string_get_nth): Check for extra characters before the "-",
	and don't allow n == 0.
	(xlfd_string_replace_nth), Check for extra characters before the
	"-", don't allow n == 0, and use return_if_fail to check for bad
	values of n rather than just returning NULL.
	(xlfd_string_get_nth_as_int): Use return_if_fail to check for bad
	values of n rather than just returning XFLD_INVALID_VALUE. Remove
	extra check for NULL.
	(eel_self_check_gdk_font_extensions): Add lots of new self-checks
	and change rule so that we don't allow an extra trailing "-"
	character.

	* eel/check-program.c: (main): Use gnome_program_init correctly.
	* test/test-eel-password-dialog.c: (main): Use gnome_program_init
	correctly.
	* test/test-eel-widgets.c: (main): Use gnome_program_init
	correctly.

2001-07-16  Darin Adler  <darin@bentspoon.com>

	* eel/eel-self-checks.c: (eel_check_string_list_result):
	Fix place where I called the wrong function.

2001-07-15  Darin Adler  <darin@bentspoon.com>

	* eel/check-program.c: (main): Fix up init calls. I am still quite
	confused about how to use gnome_program_init properly.

	* eel/eel-preferences-item.h:
	* eel/eel-preferences-item.c:
	* eel/eel-self-checks.h:
	* eel/eel-string-list.h:
	* eel/eel-string.h:
	Corrected spelling error: "delimeter" -> "delimiter".

	* eel/eel-self-checks.c: (eel_check_string_list_result):
	Changed string list check to be simpler and distinguish lists
	with empty strings in them from empty lists.

2001-07-13  Darin Adler  <darin@bentspoon.com>

	* eel/check-program.c:
	* eel/eel-xml-extensions.c:
	* eel/eel-xml-extensions.h:
	Fix gnome-xml includes to use <libxml/*>. Before it was just
	picking up the wrong headers on my machine, which is why it worked.

2001-07-13  Darin Adler  <darin@bentspoon.com>

	Now things link, and the test programs compile too.

	* configure.in:
	* eel/check-program.c: (main):
	* eel/eel-list-column-title.c:
	* eel/eel-list.c:
	* eel/eel-smooth-widget.c: (smooth_widget_get_gtk_background):
	* test/dumb-box.h:
	* test/test-eel-image-chooser.c: (populate_image_chooser_callback):
	* test/test-eel-image.c: (pixbuf_new_from_name):
	* test/test-eel-label-flavorful.c: (font_get_name):
	* test/test-eel-label-offset.c:
	* test/test-eel-label.c: (main):
	* test/test-eel-password-dialog.c: (main):
	* test/test-eel-pixbuf-tile.c: (pixbuf_drawing_area_expose_event),
	(drawable_drawing_area_expose_event):
	* test/test-eel-viewport-constraint.c: (main):
	* test/test-eel-widgets.c: (create_pixbuf), (main):
	* test/test.c: (test_pixbuf_new_named), (eel_pixmap_file):
	* test/test.h:

2001-07-13  Darin Adler  <darin@bentspoon.com>

	Enough to make everything compile.
	The eel self-check program doesn't link yet.

	* eel/check-program.c: (main):
	* eel/eel-password-dialog.c: (caption_table_activate_callback),
	(eel_password_dialog_new), (eel_password_dialog_run_and_block):
	* eel/eel-preferences-box.c: (eel_preferences_dialog_new):
	* eel/eel-stock-dialogs.c: (timed_wait_callback),
	(eel_run_simple_dialog), (create_message_dialog),
	(show_message_box), (show_ok_box), (eel_create_info_dialog),
	(details_dialog_clicked_callback),
	(eel_show_info_dialog_with_details),
	(eel_show_error_dialog_with_details), (eel_show_yes_no_dialog),
	(eel_create_question_dialog):
	* eel/eel-types.c: (eel_type_init):

2001-07-13  Darin Adler  <darin@bentspoon.com>

	A cut at making things compile with GNOME 2.
	Some things are inside #ifdef GNOME2_CONVERSION_COMPLETE.
	90% of the way to compiling everything.

	* eel/.cvsignore:
	* eel/Makefile.am:
	* eel/check-program.c: (main):
	* eel/eel-background-canvas-group.c:
	(eel_background_canvas_group_supplant_root_class):
	* eel/eel-background.c: (eel_background_initialize_class),
	(eel_background_draw), (eel_background_draw_flat_box),
	(eel_background_set_widget_style), (eel_get_widget_background),
	(eel_background_receive_dropped_color):
	* eel/eel-canvas-rect.c: (rect_update):
	* eel/eel-canvas-rect.h:
	* eel/eel-caption-table.c: (eel_caption_table_initialize_class),
	(eel_caption_table_get_entry_text):
	* eel/eel-clickable-image.c:
	(eel_clickable_image_initialize_class):
	* eel/eel-clist.c:
	* eel/eel-ctree.c: (eel_ctree_class_init):
	* eel/eel-dnd.c: (eel_drag_drop_action_ask):
	* eel/eel-enumeration.c:
	* eel/eel-font-manager.c: (file_as_string),
	(font_description_table_new), (collect_fonts_from_directory),
	(directory_contains_file), (try_using_font_server),
	(ensure_local_font_table), (eel_font_manager_get_default_font),
	(eel_font_manager_get_default_bold_font),
	(eel_self_check_font_manager):
	* eel/eel-font-picker.c: (eel_font_picker_initialize_class),
	(font_picker_add_item), (font_picker_populate):
	* eel/eel-gdk-extensions.c: (eel_gdk_window_set_invisible_cursor):
	* eel/eel-gdk-font-extensions.c: (font_get_name):
	* eel/eel-gdk-pixbuf-extensions.c: (eel_gdk_pixbuf_load),
	(file_read_callback), (load_done),
	(eel_gdk_pixbuf_get_from_window_safe):
	* eel/eel-gdk-pixbuf-extensions.h:
	* eel/eel-glib-extensions.c:
	* eel/eel-gnome-extensions.c: (eel_dialog_get_button_by_index),
	(get_terminal_command_prefix), (eel_gnome_icon_selector_new),
	(eel_gnome_stock_set_icon_or_register):
	* eel/eel-gnome-extensions.h:
	* eel/eel-gtk-extensions.c: (send_delete_event),
	(handle_standard_close_accelerator),
	(eel_popup_menu_position_func), (eel_gtk_menu_insert_separator),
	(eel_gtk_signal_connect_full_while_alive),
	(eel_gtk_signal_connect_while_realized),
	(eel_nullify_when_destroyed), (eel_nullify_cancel),
	(event_get_time):
	* eel/eel-gtk-extensions.h:
	* eel/eel-gtk-macros.h:
	* eel/eel-image-chooser.c: (eel_image_chooser_initialize_class):
	* eel/eel-image-table.c: (eel_image_table_initialize_class):
	* eel/eel-image.c: (eel_image_initialize_class),
	(eel_image_set_pixbuf_from_file_name),
	(eel_image_set_tile_pixbuf_from_file_name):
	* eel/eel-label.c: (eel_label_initialize_class),
	(eel_label_set_is_smooth),
	(eel_label_set_tile_pixbuf_from_file_name),
	(eel_label_set_never_smooth):
	* eel/eel-list-column-title.c:
	(eel_list_column_title_initialize_class),
	(eel_list_column_title_destroy), (eel_list_column_title_finalize),
	(eel_list_column_title_request), (eel_list_column_title_paint):
	* eel/eel-list.c: (eel_list_initialize_class),
	(eel_list_initialize), (eel_list_clear_keyboard_focus),
	(eel_list_set_keyboard_focus), (eel_list_size_request),
	(new_column_width), (draw_rows), (eel_list_draw),
	(eel_list_expose), (eel_list_row_at):
	* eel/eel-password-dialog.c: (caption_table_activate_callback),
	(eel_password_dialog_new), (eel_password_dialog_run_and_block):
	* eel/eel-password-dialog.h:
	* eel/eel-preferences-box.c: (preferences_box_select_pane),
	(eel_preferences_dialog_new):
	* eel/eel-preferences-box.h:
	* eel/eel-preferences-group.c:
	(eel_preferences_group_get_title_label):
	* eel/eel-preferences-item.c:
	(eel_preferences_item_initialize_class):
	* eel/eel-preferences-pane.h:
	* eel/eel-preferences.c:
	* eel/eel-radio-button-group.c:
	(eel_radio_button_group_initialize_class):
	* eel/eel-region.c: (gdk_region_new_from_irect),
	(eel_region_add_rectangle), (eel_region_subtract_rectangle):
	* eel/eel-scalable-font.c:
	* eel/eel-smooth-widget.h:
	* eel/eel-stock-dialogs.c: (add_label_to_dialog),
	(timed_wait_delayed_close_timeout_callback), (timed_wait_free),
	(timed_wait_dialog_destroy_callback), (timed_wait_callback),
	(delete_event_callback), (eel_run_simple_dialog),
	(create_message_dialog), (show_message_box), (show_ok_box),
	(eel_create_info_dialog), (eel_show_info_dialog),
	(details_dialog_clicked_callback),
	(eel_show_info_dialog_with_details), (eel_show_warning_dialog),
	(eel_show_error_dialog), (eel_show_error_dialog_with_details),
	(eel_show_yes_no_dialog), (eel_create_question_dialog):
	* eel/eel-stock-dialogs.h:
	* eel/eel-string-picker.c: (eel_string_picker_initialize_class),
	(eel_string_picker_set_string_list):
	* eel/eel-text-caption.c: (eel_text_caption_initialize_class):
	* eel/eel-types.c: (eel_type_init):
	* eel/eel-viewport.c: (eel_viewport_initialize_class),
	(eel_viewport_draw), (eel_viewport_size_allocate):
	* eel/eel-xml-extensions.c:

2001-07-11  Darin Adler  <darin@bentspoon.com>

	* eel/eel-font-manager.c: (collect_fonts_from_directory):
	Fix code that can segfault due to unknown MIME type.

	* eel/eel-scalable-font.c: (initialize_global_stuff_if_needed):
	Tell librsvg our datadir so we don't have to be in the same prefix
	as librsvg. There's this bad thing where we install fonts that the
	librsvg library has to find. Lets hope we can obsolete this
	completely soon.

2001-07-09  Ramiro Estrugo  <ramiro@fateware.com>

	* .cvsignore:
	* Makefile.am:
	* autogen.sh:
	* configure.in:
	* eel-2.0.pc.in:
	* eel-config.in:
	* eel.spec.in:
	* eel/eel-art-extensions.h:
	* eel/eel-art-gtk-extensions.h:
	* eel/eel-background-canvas-group.c:
	* eel/eel-background-canvas-group.h:
	* eel/eel-background.h:
	* eel/eel-canvas-rect.h:
	* eel/eel-caption-table.h:
	* eel/eel-caption.h:
	* eel/eel-clickable-image.h:
	* eel/eel-font-manager.h:
	* eel/eel-font-picker.h:
	* eel/eel-gconf-extensions.h:
	* eel/eel-glyph.h:
	* eel/eel-image-chooser.h:
	* eel/eel-image-table.h:
	* eel/eel-image-with-background.h:
	* eel/eel-image.h:
	* eel/eel-label-with-background.h:
	* eel/eel-label.h:
	* eel/eel-labeled-image.h:
	* eel/eel-list.h:
	* eel/eel-password-dialog.h:
	* eel/eel-preferences-box.h:
	* eel/eel-preferences-group.h:
	* eel/eel-preferences-item.h:
	* eel/eel-preferences-pane.h:
	* eel/eel-preferences.h:
	* eel/eel-radio-button-group.h:
	* eel/eel-region.h:
	* eel/eel-scalable-font-private.h:
	* eel/eel-scalable-font.h:
	* eel/eel-smooth-text-layout-cache.h:
	* eel/eel-smooth-text-layout.h:
	* eel/eel-smooth-widget.h:
	* eel/eel-string-picker.h:
	* eel/eel-text-caption.h:
	* eel/eel-vfs-extensions.h:
	* eel/eel-viewport.h:
	* eel/eel-wrap-table.h:
	* eelConf.sh.in:
	Begin port to GNOME2, part 1.  Make configure work in the GNOME2
	universe and also a few simple s/BEGIN_GNOME_DECLS/G_BEGIN_DECLS/
	
2001-07-09  Ramiro Estrugo  <ramiro@fateware.com>

	* eel/eel-art-extensions.h:
	* eel/eel-art-extensions.c: (eel_art_drect_get_width),
	(eel_art_drect_get_height), (eel_art_irect_assign_end_points),
	(eel_art_drect_assign_end_points), (eel_art_ipoint_offset_by),
	(eel_art_point_equal):
	More ArtDRect versions of point/rectangle stuff.
	
==== eel 1.0.1 ====

2001-07-05  Darin Adler  <darin@bentspoon.com>

	* configure.in: Bumped version to 1.0.1
	* NEWS: Some notes about recent changes.

2001-06-26  Alexander Larsson  <alla@lysator.liu.se>

	* eel/eel-font-manager.c (eel_font_manager_get_default_font,
	eel_font_manager_get_default_bold_font):
	Don't keep looking for the files after we found them the first
	time.

2001-06-26  Ramiro Estrugo  <ramiro@fateware.com>

	* eel/eel-art-extensions.h:
	* eel/eel-art-extensions.c: (eel_art_irect_is_empty): New function.
	(eel_art_ipoint_offset_by): New function.

2001-06-25  Ramiro Estrugo  <ramiro@fateware.com>

	* eel/eel-art-extensions.h:
	* eel/eel-art-extensions.c: (eel_dimensions_clamp),
	(test_dimensions_clamp), (eel_self_check_art_extensions):
	New constant points.  New function to clamp dimensions .
	* eel/eel-string-list.h:
	* eel/eel-string-list.c: (eel_string_list_insert_string_list):
	New function to insert a string list into another.
	
2001-06-06  Ramiro Estrugo  <ramiro@fateware.com>

        Patch from Frederic Devernay <Frederic.Devernay@sophia.inria.fr> 
        (tweaked by me to | bits instead of +) to make the Eel Font Manager 
        follow links when determining the mime type of fonts. 
 
	* eel/eel-font-manager.c: (collect_fonts_from_directory),
	(eel_font_manager_file_is_scalable_font):

2001-06-06  Darin Adler  <darin@bentspoon.com>

	Integrated a revised version of a patch by Eungkyu Song
	<eungkyu@sparcs.org> to make the font manager code accept either a
	tab or a space as the separator.

	* eel/eel-font-manager.c: (font_description_table_add): Use
	strpbrk instead of strstr.

2001-06-06  Alex Larsson  <alexl@redhat.com>

	* eel/eel-background.[ch] (eel_background_draw):
	This function now takes both the src and dest coordinates.
	(eel_background_draw_to_drawable): Update to the new
	eel_background_draw API.
	* eel/eel-background-canvas-group.c
	(eel_background_canvas_group_draw): Update to the new
	eel_background_draw API.

2001-06-05  Ramiro Estrugo  <ramiro@fateware.com>

	* eel/eel-gtk-container.c: (eel_gtk_container_child_size_allocate):
	Move the critical after the child check for NULL since we allow
	a NULL child to be given.
	
2001-06-05  Ramiro Estrugo  <ramiro@fateware.com>

	* eel/eel-art-extensions.c: (eel_art_ipoint_clamp),
	(test_irect_intersect), (test_irect_union), (test_ipoint_clamp),
	(eel_self_check_art_extensions):
	* eel/eel-art-extensions.h:
	New function to clamp a point plus checks for that.
	
2001-06-04  Ramiro Estrugo  <ramiro@fateware.com>

	* eel/eel-debug-drawing.h:
	* eel/eel-debug-drawing.c:
	(eel_debug_show_pixbuf_in_external_viewer):
	Replace the hard coded eog viewer to one that can accept any
	external viewer.  I ran into the problem that the Eog binary
	changed names from "eog" to "eog-shell" so I decided to make this
	debug feature more generic.
	
	* eel/Makefile.am:
	* eel/eel.h:
	* eel/eel-gtk-container.h:
	* eel/eel-gtk-container.c: (eel_gtk_container_child_expose_event),
	(eel_gtk_container_child_map), (eel_gtk_container_child_unmap),
	(eel_gtk_container_child_add), (eel_gtk_container_child_remove),
	(eel_gtk_container_child_size_allocate):
	New files.  Functions to simplify the implementations of
	GtkContainer widgets.
	
	* eel/eel-gtk-extensions.c: (eel_gtk_widget_standard_realize):
	Dont hardcode the event mask.  Use gtk_widget_get_events()
	instead.  Also document this fact so that users are aware that
	they need to set the event mask using gtk_widget_set_events () -
	which is the right Gtk+ way anyway.

	* eel/eel-image-chooser.c: (eel_image_chooser_initialize):
	Call gtk_widget_set_events() with the right event mask for the
	image chooser.

	* eel/eel-labeled-image.c: (eel_labeled_image_size_allocate),
	(eel_labeled_image_expose_event), (eel_labeled_image_map),
	(eel_labeled_image_unmap), (eel_labeled_image_add),
	(eel_labeled_image_remove):
	Simplify the implementations of GtkContainer methods by using the
	functions in eel-gtk-container.[ch].  Theres probably other
	widgets in Eel and Nautilus that could benefit from this
	simplification/code sharing as well.

	* eel/eel-self-checks.c: (eel_check_double_result):
	* eel/eel-self-checks.h:
	New checks for double values.
	
	* eel/eel-string-list.h:
	* eel/eel-string-list.c: (eel_string_list_new_from_string_array):
	New function to allocate a EelStringList from a regular C string
	array.
	(eel_string_list_assign_from_string_array): New function to assign
	a regular C string array to a EelStringList.
	(eel_string_list_reverse): New function to reverse a string list.
	(test_string_list_reverse), (test_new_from_string_array),
	(eel_self_check_string_list): Self checks for the above new
	functions.

	* test/dumb-box.c: (eel_dumb_box_initialize_class),
	(eel_dumb_box_expose): Some dumb cleanup of old comment cruft.
	* test/test-eel-font-simple.c: (main):
	* test/test-eel-font.c: (main):
	* test/test-eel-glyph-simple.c: (main):
	* test/test-eel-glyph.c: (main):
	* test/test-eel-smooth-text-layout.c: (main):
	Update for changes in debug function to view pixbufs in external
	viewers.
	
2001-06-04  Darin Adler  <darin@bentspoon.com>

	* eel/eel-font-manager.c: (collect_fonts_from_directory),
	(eel_font_manager_file_is_scalable_font):
	* test/test-eel-background.c: (main):
	* test/test-eel-label.c: (widget_set_eel_background_image):
	* test/test.c: (test_gtk_widget_set_background_image):
	Fix all code that prepends "file://" to try to make a URI from a
	path. Use gnome_vfs_get_uri_from_local_path instead.

2001-06-01  Alex Larsson  <alexl@redhat.com>

	* eel/eel-background.c (eel_background_draw_flat_box):
	Only render area if we get passed an area.
	(eel_background_draw): Do correct translation of
	coordinates for destination drawable.

2001-06-01  Darin Adler  <darin@bentspoon.com>

	* configure.in: Bump version number to 1.0.0.1
	* NEWS: Mention the plans to release 1.0.1

2001-06-01  Darin Adler  <darin@bentspoon.com>

	* eel/eel-list.c: (eel_list_button_release): Fixed code that was
	passing x twice instead of x and y that prevented single-click
	from working in the Nautilus list view. Also did some other
	cleanups to behavior when multiple buttons are pressed at once.

2001-05-22  John Harper  <jsh@pixelslut.com>

	Fallout from fixing bug 8220 (Having Ctrl as default "modifier
	key used for default WM shortcuts" breaks everything...):

	* eel/eel-list.c (eel_list_keyboard_move_to,
	eel_list_keyboard_space): changed to use Control modifier
	instead of Alt

2001-05-20  Darin Adler  <darin@eazel.com>

	Checked in change for Miguel Rodríguez Pérez
	<migras@atlas.uvigo.es>.

	* eel/eel-preferences-item.c 
	(preferences_item_update_editable_string): 
	(preferences_item_update_editable_integer): Only update
	text if it changed.

2001-05-19  George Lebl  <jirka@5z.com>
 
	* configure.in, po/cs.po: Add czech translations
 
2001-05-17  Darin Adler  <darin@eazel.com>

	* eel/eel-gtk-extensions.c:
	(eel_gtk_signal_connect_full_while_alive): Weakened a
	too-strong g_return_if_fail.

2001-05-09  Ramiro Estrugo  <ramiro@eazel.com>

	* eel/eel-self-checks.h:
	* eel/eel-self-checks.c:
	Make eel_after_check() and eel_report_check_failure() public so
	that third party projects can use them to construct their own
	checks and still be able to use the same check failure reporting
	machinery.
	
2001-05-08  Darin Adler  <darin@eazel.com>

	* RENAMING: Refine the renaming ideas.

==== eel 1.0 ====

2001-05-04  Robin * Slomkowski  <rslomkow@rslomkow.org>

	* configure.in: fixed lirsvg test for 1.0.x

2001-05-04  Robin * Slomkowski  <rslomkow@rslomkow.org>

	* configure.in: upped version to 1.0 and changed upped
	  dependance too librsvg 1.0.0

2001-05-04  Robin * Slomkowski  <rslomkow@rslomkow.org>

	* configure.in: upped version to 0.1

2001-05-04  Ramiro Estrugo  <ramiro@eazel.com>

	* eel/eel-preferences-item.c:
	(preferences_item_create_editable_string):
	Restore a silly hack for the sake of Nautilus.  Id like to
	properly fix this, but not so close to a release.
	
2001-05-04  Ramiro Estrugo  <ramiro@eazel.com>

	* configure.in:
	Add GConf and OAF dependency.

	* eel.spec.in:
	Add GConf and OAF dependency.  Also add missing BuildRequires
	entries.
	
	* eel/Makefile.am:
	Need to set librsvg cflags directly here, since librsvg does not
	appear in any public eel headers and thus not exported in
	eel-config --cflags.

	* eel/eel-dateedit-extensions.c:
	* eel/eel-dateedit-extensions.h:
	* eel/eel-gconf-extensions.c:
	* eel/eel-gconf-extensions.h:
	* eel/eel-generous-bin.c:
	* eel/eel-generous-bin.h:
	* eel/eel-lib-self-check-functions.h:
	* eel/eel-preferences-box.c:
	* eel/eel-preferences-box.h:
	* eel/eel-preferences-group.c:
	* eel/eel-preferences-group.h:
	* eel/eel-preferences-item.c:
	* eel/eel-preferences-item.h:
	* eel/eel-preferences-pane.c:
	* eel/eel-preferences-pane.h:
	* eel/eel-preferences.c:
	* eel/eel-preferences.h:
	* eel/eel.h:
	Move over some more stuff over from Nautilus.
	
2001-05-03  Darin Adler  <darin@eazel.com>

	* RENAMING: Some renaming ideas.

2001-05-03  Darin Adler  <darin@eazel.com>

	* eel/eel-vfs-extensions.h:
	* eel/eel-vfs-extensions.c: (eel_make_uri_from_half_baked_uri),
	(eel_self_check_vfs_extensions): Add new call to make a canonical
	URI from the kind of half-baked URIs that are used in gmc URL
	files and in drag and drop. The definition of a half-baked URI is
	that it starts with "file:" and then has a normal path, without
	URI escaping.

	* Makefile.am: Fixed a typo.
	
2001-05-03  Ramiro Estrugo  <ramiro@eazel.com>

	* eel/eel-gdk-extensions.h: Add an opaque version of the color
	packing macro.
	* eel/eel-gdk-extensions.c: (eel_self_check_gdk_extensions): Add
	checks for color packing macros.

	* eel/eel-art-extensions.h:
	* eel/eel-art-extensions.c: (eel_art_irect_intersect),
	(eel_art_irect_union), (eel_dimensions_assign),
	(eel_dimensions_equal), (eel_art_ipoint_assign),
	(eel_art_ipoint_equal), (test_intersect), (test_union),
	(eel_self_check_art_extensions): Some more art extensions.
	Currently unused in Eel or Nautilus.

	* eel/eel-self-checks.h:
	* eel/eel-self-checks.c:
	Add self check machinery for EelArtIPoints.
	
	* eel/eel-gdk-pixbuf-extensions.h: Dumb spacing tweak.

2001-05-02  Darin Adler  <darin@eazel.com>

	Fixed bug 8219 (crash under libefence):

	* eel/eel-scalable-font.c: (eel_scalable_font_new),
	(free_global_font_handle_table): Dup the font names before using
	them as keys, since the underlying freetype font can last longer
	than the EelScalableFont.

2001-05-02  Ramiro Estrugo  <ramiro@eazel.com>

	* eel/eel-debug-drawing.c: (eel_debug_show_pixbuf_in_eog):
	Update for EOG name change.  eog got renamed to eog-shell.
	
2001-05-02  Ramiro Estrugo  <ramiro@eazel.com>

	* configure.in:
	Lots of improvement.  Make dealing with dependency libs/cflags simpler.

	* eel/Makefile.am:
	* test/Makefile.am:
	Eliminate cut-n-paste disease by using dependency macros defined
	in configure.in.
	
2001-05-02  Ramiro Estrugo  <ramiro@eazel.com>

	* autogen.sh:
	Detect whether the invocation of configure failed and print a
	message accordingly.  We used to always assume that configure was
	successful and print misleading "now type make to build $PROJECT"
	messages.

2001-05-01  Ramiro Estrugo  <ramiro@eazel.com>

	* configure.in:
	Simplify the freetype2 detection insanity by using autoconf macro
	technology.  The new test should work with both FreeType2 RPMS as
	well as freetype built from source in any prefix.
	
2001-05-01  Ramiro Estrugo  <ramiro@eazel.com>

	* eel/eel-gdk-pixbuf-extensions.c:
	* eel/eel-gdk-pixbuf-extensions.h:
	* eel/eel-glyph.c:
	* eel/eel-glyph.h:
	* eel/eel-label.c:
	* eel/eel-scalable-font.c:
	* eel/eel-scalable-font.h:
	* eel/eel-smooth-text-layout.c:
	* eel/eel-smooth-widget.c:
	* test/test-eel-font-simple.c:
	* test/test-eel-font.c:
	* test/test-eel-glyph-simple.c:
	* test/test-eel-glyph.c:
	* test/test-eel-smooth-text-layout.c:
	More work on changing parameters for functions that accept and
	return ArtIRect, EelArtIPoint, ArtDRect, EelDimensions to pass by
	value instead of by pointer.

2001-05-01  Ramiro Estrugo  <ramiro@eazel.com>

	* test/Makefile.am:
	Add include flag for test directory.
	
2001-05-01  Ramiro Estrugo  <ramiro@eazel.com>

	* eel/eel-image-chooser.c:
	Respect the GtkStyle.
	
	* test/.cvsignore:
	* test/Makefile.am:
	* test/dumb-box.h:
	* test/dumb-box.c:
	* test-eel-gtk-style.c:
	Add a GtkStyle debugging tool	
	
	* test/test-eel-image-chooser.c:
	Update for style respect changes.
	
2001-04-30  Ramiro Estrugo  <ramiro@eazel.com>

	* eel/Makefile.am:
	Remove some garbage that apparently satan tried to sneak in.
	
2001-04-30  Darin Adler  <darin@eazel.com>

	reviewed by: John Sullivan <sullivan@eazel.com>

	Fixed bug 8198 ("New Terminal" does not use GNOME default
	applications). This involved changing the API, so it requires
	changes to Nautilus too.

	* eel/eel-glib-extensions.c: (eel_shell_quote): Make it smarter so
	it doesn't quote simple things with no fancy characters in them.
	(eel_self_check_glib_extensions): Update test.
	
	* eel/eel-gnome-extensions.h:
	* eel/eel-gnome-extensions.c: (try_terminal_command),
	(try_terminal_command_argv), (get_terminal_command_prefix): New
	functions, used to implement eel_gnome_open_terminal. These look
	at the gnome-config setting that controls which terminal program
	is used.
	(eel_gnome_make_terminal_command): New public function. We've now
	eliminated the concept of just getting the name of a terminal
	program.
	(eel_gnome_open_terminal): Use eel_gnome_make_terminal_command to
	do the hard part.

2001-04-30  John Sullivan  <sullivan@eazel.com>

	Fixed bug 6234 (Escape should close Properties window)
	Fixed bug 6271 (Close dialogs with Escape to match GNOME standard)

	* eel/eel-gtk-extensions.c:
	(eel_gtk_window_event_is_close_accelerator): Close dialogs with
	Escape as well as Control-W. (non-GnomeDialogs can either call 	
	eel_gtk_window_set_up_close_accelerator to arrange this, or can call
	this querying function directly).

2001-04-30  Ramiro Estrugo  <ramiro@eazel.com>

	* eel/eel-art-extensions.c:
	* eel/eel-art-extensions.h:
	* eel/eel-art-gtk-extensions.c:
	* eel/eel-art-gtk-extensions.h:
	* eel/eel-clickable-image.c:
	* eel/eel-debug-drawing.c:
	* eel/eel-debug-drawing.h:
	* eel/eel-gdk-pixbuf-extensions.c:
	* eel/eel-gdk-pixbuf-extensions.h:
	* eel/eel-glyph.c:
	* eel/eel-glyph.h:
	* eel/eel-gnome-extensions.c:
	* eel/eel-gnome-extensions.h:
	* eel/eel-image-chooser.c:
	* eel/eel-image-table.c:
	* eel/eel-image-with-background.c:
	* eel/eel-image.c:
	* eel/eel-label.c:
	* eel/eel-labeled-image.c:
	* eel/eel-region.h:
	* eel/eel-smooth-text-layout.c:
	* eel/eel-smooth-text-layout.h:
	* eel/eel-smooth-widget.c:
	* eel/eel-smooth-widget.h:
	* eel/eel-wrap-table.c:
	* test/test-eel-font.c:
	* test/test-eel-glyph-simple.c:
	* test/test-eel-glyph.c:
	* test/test-eel-pixbuf-tile.c:
	* test/test-eel-smooth-text-layout.c:
	* test/test.c:
	Change parameters for functions that accept and return ArtIRect,
	EelArtIPoint, ArtDRect, EelDimensions to pass by value instead of
	by pointer.
	
2001-04-29  Ramiro Estrugo  <ramiro@eazel.com>

	* eel/eel-enumeration.c: (eel_self_check_enumeration):
	Add one more check.
	
	* eel/eel-string-picker.h:
	* eel/eel-string-picker.c: (eel_string_picker_set_string_list),
	(eel_string_picker_insert_string),
	(eel_string_picker_insert_separator):
	Add support for separators.
	
2001-04-26  Ramiro Estrugo  <ramiro@eazel.com>

	* eel/eel-art-extensions.h:
	* eel/eel-art-extensions.c: (eel_art_irect_align),
	(eel_dimensions_are_empty), (eel_art_irect_assign_dimensions),
	(eel_self_check_art_extensions): Change constants to be lower
	case.  Also declare them as "extern const" and not just "extern."

	* eel/eel-art-gtk-extensions.c: (eel_gdk_rectangle_to_art_irect),
	(eel_gdk_window_get_bounds),
	(eel_gdk_window_get_screen_relative_bounds),
	(eel_gtk_widget_get_bounds), (eel_gtk_widget_get_dimensions),
	(eel_gtk_widget_get_preferred_dimensions),
	(eel_gdk_window_clip_dirty_area_to_screen),
	(eel_gdk_window_get_dimensions):
	* eel/eel-debug-drawing.c: (debug_pixbuf_viewer_size_request):
	* eel/eel-gdk-pixbuf-extensions.c: (eel_gdk_pixbuf_get_dimensions),
	(eel_gdk_pixbuf_intersect):
	* eel/eel-glyph.c: (eel_glyph_get_dimensions),
	(eel_glyph_intersect):
	* eel/eel-image-chooser.c: (image_chooser_get_partial_dimensions):
	* eel/eel-image.c: (image_get_pixbuf_dimensions),
	(image_get_pixbuf_bounds), (image_get_tile_dimensions):
	* eel/eel-label.c: (label_composite_text_callback_cached),
	(label_get_text_dimensions), (label_get_text_bounds),
	(label_get_content_dimensions), (label_get_content_bounds),
	(label_get_tile_dimensions):
	* eel/eel-labeled-image.c: (labeled_image_get_image_dimensions),
	(labeled_image_get_label_dimensions),
	(labeled_image_get_image_bounds_fill),
	(eel_labeled_image_get_image_bounds),
	(labeled_image_get_label_bounds_fill),
	(eel_labeled_image_get_label_bounds),
	(labeled_image_get_content_dimensions),
	(labeled_image_get_content_bounds):
	* eel/eel-scalable-font.c: (eel_scalable_font_measure_text):
	* eel/eel-smooth-text-layout.c:
	(eel_smooth_text_layout_get_dimensions):
	* eel/eel-smooth-widget.c: (smooth_widget_get_tile_origin_point),
	(eel_smooth_widget_get_tile_bounds),
	(eel_smooth_widget_get_preferred_dimensions):
	* eel/eel-viewport.c: (eel_viewport_get_scroll_offset):
	* eel/eel-wrap-table.c: (wrap_table_art_irect_max_dimensions),
	(wrap_table_get_max_child_dimensions),
	(wrap_table_get_content_dimensions),
	(wrap_table_get_content_bounds), (wrap_table_get_scroll_offset):
	Update for art extensions constants renaming.
	
2001-04-26  Ramiro Estrugo  <ramiro@eazel.com>

	* eel/eel-image-chooser.c: (image_chooser_motion_notify_event),
	(image_chooser_button_press_event),
	(image_chooser_button_release_event):
	Use pointer grab technology to prevent the list from getting
	events from unrelated widgets.
	
2001-04-26  John Sullivan  <sullivan@eazel.com>

	* eel/eel-list.c: (eel_list_get_cell_hit_rectangle), (draw_cell):
	Made drawing and hit-testing code immune to NULL text. This was
	spewing out tons of complaints before in search results view
	(from the fancy date-squeezing code).

2001-04-26  John Sullivan  <sullivan@eazel.com>

	Merged from nautilus-1 branch:

	2001-03-30  Ramiro Estrugo  <ramiro@eazel.com>

	reviewed by: John Harper  <jsh@eazel.com>

	* eel/eel-stock-dialogs.c: (create_message_box):
	Make sure the label is not NULL before changing its line wrap.
	This works around the crashing problem.  Why the label is NULL is
	still a mystery.

2001-04-26  Darin Adler  <darin@eazel.com>

	* eel/eel-debug.h:
	* eel/eel-debug.c: (call_default_log_handler_with_better_message):
	Add comment about handling cases where we're out of
	memory. Removed unneeded NULL-handling code.
	(eel_assert_computed_str), (eel_str_equal_with_free): Removed an
	old unused feature.
	
	* eel/eel-gnome-extensions.c: Formatting tweaks.

2001-04-26  Ramiro Estrugo  <ramiro@eazel.com>

	* eel/eel-enumeration.h:
	* eel/eel-enumeration.c:
	(eel_enumeration_get_nth_description_translated),
	(eel_enumeration_id_get_nth_description),
	(eel_enumeration_id_get_nth_description_translated):
	New functions to fetch translated descriptions.
	
2001-04-26  Ramiro Estrugo  <ramiro@eazel.com>

	* eel/Makefile.am:
	Build the image chooser widget.
	
	* eel/eel-art-gtk-extensions.h:
	* eel/eel-art-gtk-extensions.c: (eel_gdk_get_pointer_position):
	New function to obtain the pointer position as a point.
	
	* eel/eel-caption.h:
	* eel/eel-caption.c: (eel_caption_initialize_class),
	(eel_caption_destroy), (caption_show_all),
	(eel_caption_set_show_title):
	Fix some rotten comments and other minor style tweaks.  Remove
	unused defines.  Fix wrongly named show_all method, a cut-n-paste
	mistake.
	
	* eel/eel-gdk-extensions.h:
	* eel/eel-gdk-extensions.c: (eel_gdk_rgb_to_color):
	Return the resulting color as a structure instead of a pointer.
	
	* eel/eel-gtk-extensions.h:
	* eel/eel-gtk-extensions.c: (eel_gtk_widget_standard_realize),
	(eel_gtk_widget_standard_draw),
	(eel_gtk_bin_standard_size_allocate),
	(eel_gtk_bin_standard_size_request):
	Implementations of some standard gtk widget methods.
	
	* eel/eel-label.c:
	(eel_label_set_solid_background_color),
	(eel_label_set_text_color): Fix a bug where the label
	wouldnt properly update when some color attributes changed because
	of a stale solid pixbuf cache.

	* eel/eel-radio-button-group.h:
	* eel/eel-radio-button-group.c:
	(eel_radio_button_group_clear): New function to clear out all the
	items in the group.
	(eel_radio_button_group_initialize_class):
	(eel_radio_button_group_initialize),
	(eel_radio_button_group_destroy), (button_toggled),
	(eel_radio_button_group_insert):
	Nautilus style tweaks.  Remove unused constant.  Change signal
	signature to be simpler.  Remove the signal data nastiness and let
	the caller find out the active item by using the getter methods
	instead.  	
	(eel_radio_button_group_get_active_index),
	(eel_radio_button_group_set_active_index): Use signed integers for
	the active index.

	* eel/eel-string-list.h:
	* eel/eel-string-list.c: (eel_string_list_append):
	New function to append one string list to another.
	
	* eel/eel-viewport.h:
	* eel/eel-viewport.c: (eel_gtk_scrolled_window_add_with_viewport):
	New convenience function to create scrolled windows with an
	EelViewport as the child.
	
	* eel/eel.h:
	Add eel-image-chooser.h
	
	* test/.cvsignore:
	* test/Makefile.am:
	Build the image chooser test.

	* test/test.h:
	Include eel.h instead of the individual headers.
	
2001-04-26  Ramiro Estrugo  <ramiro@eazel.com>

	* eel/eel-image-chooser.h:
	* eel/eel-image-chooser.c:
	New widget to choose an image from a list.
	
	* test/test-eel-image-chooser.c:
	Test program for the new widget.
	
2001-04-24  Darin Adler  <darin@eazel.com>

	reviewed by: Ramiro Estrugo <ramiro@eazel.com>

	* eel/eel-debug.c:
	(eel_make_warnings_and_criticals_stop_in_debugger):
	Add more log domains, most importantly "".

2001-04-20  John Harper  <jsh@eazel.com>

	reviewed by: Darin Adler  <darin@eazel.com>

